apt (2.9.34) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Fix uploads to errors.ubuntu.com with whoopsie:
    - zstd: The compressor level should be -6, not -19
    - edsp: Add functionality to only write relevant packages
    - solver evaluation: write minimized solver dumps
    - edsp: Dump minimized Dir::Log::Solver logs
    - solver3: Use zstd-compressed, base64-encoded dumps
    - solver3: Avoid empty ErrorMessage field in evaluation crash report
  * solver3: Only hide ver->pkg clauses, not pkg->ver version selection ones
    - previously we hid version information vital to the understanding
    - thanks to Helmut Grohne for the report
  * solver3: Record manual flag before discovering packages (LP: #2102720)
  * solver3: Handle previously satisfied Suggests last and do not install
    new packages for Suggests (LP: #2103556)

  [ Johannes Schauer Marin Rodrigues ]
  * apt-pkg/solver3.h: avoid static_assert(false)
  * cmdline/apt-get.cc: emit Signed-By field and support $(SIGNED_BY) in
    apt-get indextargets --format

  [ Christopher Bock ]
  * doc/sources.list.5.xml: snapshot infos

 -- Julian Andres Klode <jak@debian.org>  Thu, 20 Mar 2025 22:45:30 +0100

apt (2.9.33) unstable; urgency=medium

  * 3.0 solver updates:
    - Fix detection of satisfied recommends for pkg variables
    - Print correct reason when registering dependency
    - Correctly determine 'same' or groups (a|c was same as a|b...)
    - Fix Recommends/Suggests vs Enhances confusion (LP: #2101800)
    - Fix test-resolve-by-keep-new-recommend
  * edsp: Set Forbid-New-Install/Forbid-Remove: no if other is set such
    that `apt upgrade` dumps are different from `apt-get upgrade` ones
    and can be correctly reproduced (as the one in the LP bug above).
  * test: Fix some weird editing artefact introduced in 2.9.32 causing
    a test to effectively be skipped.

 -- Julian Andres Klode <jak@debian.org>  Wed, 12 Mar 2025 19:22:59 +0100

apt (2.9.32) unstable; urgency=medium

  * Rewordings and documentation updates:
    - Add doc/design/install.md: Installation design
    - Replace "GPG error" with "OpenPGP signature verification failed"
  * Bug fix: Correctly detect obsolete packages in EDSP
    - refactor obsolete checks to use VerFileIterator::Downloadable()
    - Consider 0-size debs not downloadable, set a size in EDSP
    - edsp: Write 'Size' to the EDSP files
  * UX: Produce more human-readable dependency errors in 3.0 solver.
    - test: Grep continuation lines in error messages
    - solver3: Simplify Var pointer tagging
    - solver3: cleanup operators for Var
    - solver3: Support pretty printing clauses
    - solver3: Verbose error messages
    The output now has multiple lines, prints the underlying concrete
    dependency (foo Depends bar), and prints paths not taken.
  * Bug fixes:
    - solver3: bestReason: Only find actual assignments [i.e. when the
      path to a decision is determined for printing, we sometimes picked
      assignments with the wrong polarity, e.g. when determining "why not foo"
      in "foo Conflicts mail-transport-agent" we might have picked a
      decision "not exim4" rather than a choice "postfix"].
    - solver3: Do not prefer new installs over manually installed obsoletes.
      (LP: #2100247) - We still try dependencies with obsolete packages
      last, even if manual, so a "Depends: new" is processed before
      "Depends: new | obsolete" either way.
  * Feature: Introduce transaction support and upgrade count for pkgDepCache.
    - Introduce pkgDepCache::Transaction for transactional depcache updates
    - depcache: Add a new UpgradeCount() member
  * Feature: Fall back to the 3.0 solver if internal failed, or apport is
    installed.
    - Evaluate and fall back to the 3.0 solver
    - Print --solver 3.0 explanation if both internal and it failed
  * Both features have been shipped for several weeks in Ubuntu already and
    received minor bug fixes and additional test cases.

 -- Julian Andres Klode <jak@debian.org>  Sun, 09 Mar 2025 18:19:14 +0100

apt (2.9.31) unstable; urgency=medium

  [ Julian Andres Klode ]
  * edsp: Use buffered writes for EDSP dumps
  * strutl: Add missing #include <cstdint> [gcc 15] (Closes: #1096322)
  * refactor: Deduplicate and Move SectionInSubTree to Configuration
  * solver3: Fix test-apt-move-and-forget-manual-sections
  * solver3: Fix error stack handling
  * test: Improve output cleaning for solver progress
  * Fix crash in VersionExtra using --with-source etc (Closes: #1098702)
  * test-apt-ftparchive-cachedb: Avoid race condition in test case

  [ Miroslav Kure ]
  * Czech program translation update (Closes: #1095976)

  [ Helge Kreutzmann ]
  * German program translation update (Closes: #1098456)
  * German manpage translation update (Closes: #1099118)

  [ David Kalnischkies ]
  * apt-ftparchive: Do not output locale dependent dsc file size

  [ Алексей Шилин ]
  * Russian translation update (Closes: #1098937)

 -- Julian Andres Klode <jak@debian.org>  Fri, 28 Feb 2025 17:49:31 +0100

apt (2.9.30) unstable; urgency=medium

  * Upload libapt-pkg 7.0 ABI transition to unstable:
    - Use smart pointers in a whole bunch of places (probably only an API break)
    - Add a version script to hide any standard library symbols
    - Remove the functions marked as deprecated, such as PrintStatus and _strtabexpand
    - Introduce SourceVersion objects in the cache
    - Migrate from APT::StringView to std::string view and change a bunch of
      functions from std::string to std::string_view.
      Thanks to наб for the merge requests, very appreciated, that was a lot
      of busywork.
    Several other changes were already queued in the previous releases in
    #ifdef, please have a look at them.

 -- Julian Andres Klode <jak@debian.org>  Sun, 16 Feb 2025 17:58:07 +0100

apt (2.9.29) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * German program translation update (Closes: #1052411)
  * German program translation update (Closes: #1095681)

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #1095409)
  * Dutch manpages translation update (Closes: #1095411)

  [ Jean-Pierre Giraud ]
  * French manpage translation update (Closes: #1088326, #1050876)

  [ Arnaud Rebillout ]
  * test: Fix skipping test cases

  [ Peter Krefting ]
  * Swedish program translation update (Closes: #1070029)

  [ Julian Andres Klode ]
  * Add DepIterator::IsSatisfied(PkgIterator)
  * test: Support comments in --skip/--only files
  * Major 3.0 solver update, improving version selection, unit propagation,
    and as a result significantly performance (2x for apt-tests). Also new:
    - Phased updates are now supported
    - The number of broken test cases is down from 31 to 9
    - dist-upgrade now installs Essential packages
    - The order of alternatives in or groups is now better preserved
    - Recommends for upgrades of installed dependencies are now upgraded
      to Depends if they are new or previously satisfied; to avoid breaking
      Recommends or introducing unsatisfied Recommends in an upgrade.
    - A time out of 10s has been added that is checked whenever the solver
      backtracks to prevent practically infinite runtime.

 -- Julian Andres Klode <jak@debian.org>  Fri, 14 Feb 2025 19:42:43 +0100

apt (2.9.28) unstable; urgency=medium

  [ Julian Andres Klode ]
  * modernize-sources: Avoid opening /dev/stdout for simulate
  * dpkg: Pass --admindir if a different one is specified; fixes issue
    where foreign architectures from the host were used when Dir is set.
  * Various updates to the '3.0' solver: Particularly it now has a clause
    database for reals rather than rediscovering clauses when backtracking.
    - refactor: Drop unused code, annotate [[nodiscard]] and const, simplify,
      extract functions, and particularly introduce the Clause class.
    - algorithm: Simplify work ordering. This may cause some changes in
      how dependencies are resolved.
    - algorithm: Replace PropagateInstall() with Discover() and then
      propagate based on the stored clauses. Clauses are discovered
      from package dependencies and persistent, i.e. they have no
      decision level associated. Discovery is incremental so far.
    - algorithm: Support comparing packages and versions, such that
      we can store both package and version variables in a clause.
    - algorithm: Use a package clause for optional roots. This allows
      deciding to keep an automatically installed package installed,
      without having to decide the version (and hence enqueue common
      dependencies first).
    - performance: Cache calls to policy.
    - performance: Cache all configuration calls
    - performance: Point to stored clauses, do not copy them
    - performance: Avoid std::vector for statically sized arrays. Due
      to adding libstdc++ assertions, vector range checks accounted
      for up to 20% of solver runtime.

  [ Christopher Bock ]
  * completion: Add modernize-sources (Closes: #1094904)
  * edit-sources: don't force .list

 -- Julian Andres Klode <jak@debian.org>  Fri, 07 Feb 2025 21:00:48 +0100

apt (2.9.27) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Symbols: Update for 2.9.23/2.9.25
  * Updates for the '3.0' solver:
    - Soft unit propagation for optional items
    - Do not accidentally solve new Recommends before hard dependencies
    - Use a propagation queue instead of recursively propagating facts
  * Correctly calculate kernel size in /boot (Closes: #1085184)
  * Measure BootSize as integer

  [ Boyuan Yang ]
  * po/zh_CN.po: Refresh Simplified Chinese translation for apt

  [ Rafael Fontenelle ]
  * Brazilian Portuguese program translation update (Closes: #1092563)

  [ David Kalnischkies ]
  * Cleanups and fixes for cache counters/size fields:
    - Do not overflow ver/desc<->file relation counters
    - Drop unused description size info from binary cache
    - Drop unused version stanza size info from binary cache
    - Do not create descriptions structs for each architecture
    - Record all available sources for descriptions
    - Include Extra in the size counted for Version struct

  [ Samuel Thibault ]
  * Also support debian-ports modernization

 -- Julian Andres Klode <jak@debian.org>  Mon, 03 Feb 2025 13:44:58 +0100

apt (2.9.26) unstable; urgency=medium

  [ Sam Hartman ]
  * Fix regression that prevented sending intermediate client certificates

  [ Andreas Rönnquist ]
  * apt-secure manual page is in manual section 8

  [ Julian Andres Klode ]
  * apt: Introduce the modernize-sources command
  * Make notices about .list sources without signed-by less obnoxious
    You get a single line telling you about modernize-sources now, unless
    you run --audit (or have deb822 files without Signed-By).
  * Documentation updates:
    - Deprecate legacy one-line-style format harder. Removal not before 2029.
    - Set signed-by/Signed-By in sources.list(5) short examples for Debian, Ubuntu
    - Update Debian, Ubuntu example default sources to best practices:
      We now ship debian.sources/ubuntu.sources instead of sources.list
    - Update codenames for trixie, plucky as stable

 -- Julian Andres Klode <jak@debian.org>  Tue, 28 Jan 2025 19:49:53 +0100

apt (2.9.25) unstable; urgency=medium

  * sqv, gpgv: Do not fail if Dir::Etc::Trusted is set and trusted.gpg.d is missing

 -- Julian Andres Klode <jak@debian.org>  Wed, 22 Jan 2025 11:07:01 +0100

apt (2.9.24) unstable; urgency=medium

  * gitlab-ci: Use platform: linux/i386 instead of i386/debian image
  * Warn about missing Signed-By in .list format, this deprecates
    /etc/apt/trusted.gpg.d.
  * Remove superseded warning about trusted.gpg fallback
  * Unset Dir::Etc::trusted, this removes /etc/apt/trusted.gpg from
    the trusted path.

 -- Julian Andres Klode <jak@debian.org>  Tue, 21 Jan 2025 12:17:24 +0100

apt (2.9.23) unstable; urgency=high

  [ David Kalnischkies ]
  * Write Pre-Depends with a dash again in EDSP (Closes: #1093254)
  * Grep for more evil in test as a signature can contain evil

  [ Julian Andres Klode ]
  * Workaround gcc 14.2.0-9 regression in no-tree-slp-vectorize on Graviton;
    this prevented https connections from working.

 -- Julian Andres Klode <jak@debian.org>  Fri, 17 Jan 2025 20:37:48 +0100

apt (2.9.22) unstable; urgency=medium

  [ Balint Reczey ]
  * apt-pkg/deb/debsystem.cc: Fall back to "dpkg" when Dir::Bin::dpkg is not found

  [ Julian Andres Klode ]
  * debian/changelog: v3 signature packet, not v3 subkey
  * Ensure we can build with APT_PKG_ABI > 601
  * ssl: Set an error when we receive SSL_ERROR_SYSCALL
  * ssl: Explictly return -1 (error) or 0 (server closed connection)
  * abicheck: Add some workarounds to avoid errors
  * t/i/test-method-gpgv-legacy-keyring: Switch to http, extend
  * proxy: Avoids triggering bounds check in std::string_view
  * methods/connect: Avoid unused argument warning

  [ David Kalnischkies ]
  * Resolve autopkgtest failures caused by dpkg >= 1.22.12 (Closes: #1092090)
  * Try stomping a little less on global macro namespace
  * Add pkgCache::{Priority,DepType}_NoL10n to avoid duplication
  * Replaces macros with C++ attributes: APT_OVERRIDE, APT_ARRAY_SIZE, APT_NORETURN,
    APT_DEPRECATED, APT_UNUSED, APT_MUSTCHECK, APT_IGNORE_DEPRECATED
  * Drop SourceListWarnings::NonFreeFirmware messages
  * Remove leftovers of the apt-key removal
  * Move apt-extractexamples desc line from apt-utils to apt (Closes: #1091344)
  * Remove leftovers from ftp and rsh/ssh methods removal
  * Change multi sources.list entry example from FTP to HTTPS

  [ Sergio Durigan Junior ]
  * d/t/control: Don't depend on gdb-minimal.

 -- Julian Andres Klode <jak@debian.org>  Tue, 14 Jan 2025 18:33:08 +0100

apt (2.9.21) unstable; urgency=medium

  [ Simon McVittie ]
  * sources.list(5): Suggest VENDOR.sources for new systems

  [ Guillem Jover ]
  * Remove non-US leftovers in code and documentation
  * Remove obsolete references to ftp://ftp.debian.org
  * Use deb.debian.org instead of ftp.debian.org URLs

  [ Julian Andres Klode ]
  * Extend v3 signature packet expiry to 2026, owing to OBS use
  * sqv: Avoid propagating errors between files (Closes: #1091679)
  * http: seccomp: Allow reading directories (Closes: #1091351)
  * test: Check "${METHODSDIR}/sqv" not "/usr/bin/sqv"
  * Unfuzzy documentation translations
  * Run update-po4a

 -- Julian Andres Klode <jak@debian.org>  Wed, 01 Jan 2025 22:48:55 +0100

apt (2.9.20) unstable; urgency=medium

  * symbols: Merge 2.9.19 and fix version for InsertErrno
  * Re-include std:: symbols in the symbols file as optional again

 -- Julian Andres Klode <jak@debian.org>  Sat, 28 Dec 2024 22:59:50 +0100

apt (2.9.19) unstable; urgency=medium

  * Replace GnuTLS and gcrypt with OpenSSL
  * Replace GnuPG with Sequoia on supported Debian platforms
    - methods: Add new sqv method
    - debian: Add default policy to allow SHA-1 self-signatures until 2026
    - debian: Plug sqv into the package build
  * Smaller bits:
    - apt-helper: Add a hash-file helper to debug file hashing
    - Use sq in the test suite, remove apt-key
    - abicheck: Add symbol-merge.py helper
    - Symbols: Merge stable, noble, testing, unstable

 -- Julian Andres Klode <jak@debian.org>  Mon, 23 Dec 2024 12:16:19 +0100

apt (2.9.18) unstable; urgency=medium

  * Fix out-of-bounds read in `apt show :` (Closes: #1090068)
  * Introduce git-like automatic pager for apt(8), emulating git behavior.
    It is enabled for the show, list, search, policy, showsrc commands.
    The pager can be set using APT_PAGER or PAGER and defaults to `pager`
  * Add initial pinning information to apt show --full.
    The fields `APT-Pin`, `APT-Candidate`, and `APT-Release` provide
    pinning information. It is not yet possible to see multiple sources,
    and the per-source pinning is not shown.
  * gpgv: Extract VerifyDetachedSignatureFile()

 -- Julian Andres Klode <jak@debian.org>  Thu, 19 Dec 2024 18:38:04 +0100

apt (2.9.17) unstable; urgency=medium

  * solver3:
    - Fix intransitivity of version comparison on upgrade, this
      means no-strict-pinning gets the correct order now.
    - Add a missing debug level check
    - Reject all non-candidates outright for strict pinning
  * gpgv: Merge all keyrings into a single one again. This fixes
    issues with arbitrary gpgv restrictions, such as strange
    filenames or more than 40 keys
  * Stop installing apt-key, make it a test suite helper
    - gpgv: Drop references to apt-key
    - Remove the apt-key manual page and add documentation to apt-secure

 -- Julian Andres Klode <jak@debian.org>  Sat, 07 Dec 2024 17:12:51 +0100

apt (2.9.16) unstable; urgency=medium

  * Avoid extension check for .gpg in Signed-By keyrings (Closes: #1088656)
    A warning for extensions other than .pgp and .gpg will be introduced at
    a later point, but not now as we try to be bug compatible.

 -- Julian Andres Klode <jak@debian.org>  Fri, 29 Nov 2024 09:45:11 +0100

apt (2.9.15) unstable; urgency=medium

  [ David Kalnischkies ]
  * Collect unprinted Ign errors for display in Err output

  [ Julian Andres Klode ]
  * Stop using apt-key for signature verification
    - test-apt-cdrom: Hande assert-pubkey-algo like other gpgv messages
    - Fix accidental ABI break in debListParser::ParseDepends
    - tagfile: Avoid uninitialized variable warnings
    - gpgv: Generalize apt_error to apt_msg(), add apt_warning()
    - Do not implode key file name vector for calling gpgv
    - apt-key: Only cat supported keyrings into the merged one
    - apt-key: Temporarily accept 'pub' as an extension for binary gpg keys
    - gpgv: Explictly pass all the keyrings to gpgv from apt
    - gpgv: Use std::string instead of const char *
    - strutl: Add Base64Decode
    - gpgv: Verify keyrings and dearmor outside apt-key
    - Directly call gpgv instead of apt-key
    - gpgv: Add direct support for --assert-pubkey-algo
    - fileutl: Use execvp() in Popen() instead of execv()
    - Detect working gpgv using gpgv --dump-options

 -- Julian Andres Klode <jak@debian.org>  Thu, 28 Nov 2024 19:33:03 +0100

apt (2.9.14) unstable; urgency=medium

  [ Julian Andres Klode ]
  * test: Do not fail if valgrind is not available
  * test: Handle gpgv-sq differeces and test with it
  * apt-key: Prefer gpgv-sq if installed

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #1087458)
  * Dutch manpages translation update (Closes: #1087461)

  [ Алексей Шилин ]
  * Russian program translation update (Closes: #1087804)

  [ Luca Vercelli ]
  * Italian program translation update (Closes: #1081992)

  [ David Kalnischkies ]
  * Fixes for several compile-time warnings:
    - Acknowledge non-erase usage of remove_if for volatile sources
    - Fix expired std::string usage in APT::StringView testcase
    - Add a virtual destructor to private CacheSet Matcher
    - Avoid unnormalized paths for CMake install destinations
    - Tag hidden acquire classes as final for devirtualization
  * Support uncompressed indexes from partial file:/ mirrors, and
    other fixes for the acquire system:
    - Show hashes calculated by main thread in error messages
    - Alternatively calculate alternative file hashes in file method
    - Rewrite hidden config option checker for more patterns
    - Allow AutoDetectProxy to work with more than just http(s)
    - Do not assume mirror-URIs end in a filename causing a hang
    - Do not change UsedMirror on local copy of InRelease
    - Clear previous ignored errors before processing acquire item again
    - Never consider file/copy/cdrom sources bad sites due to errors
    - Allow HashSum mismatches to fallback to other mirrors
    - Look at non by-hash paths in copy and file methods

 -- Julian Andres Klode <jak@debian.org>  Fri, 22 Nov 2024 17:13:23 +0100

apt (2.9.13) unstable; urgency=medium

  * Add a --comment option to record Comment: in history
  * Hardening: Add -Wp,-D_GLIBCXX_ASSERTIONS to CXXFLAGS to enable bounds
    checking for all STL containers.
  * patterns: Avoid out-of-bounds std::string_view read.
    We only pass NUL-terminated strings to the function, and the code expects
    that but we pass through an interface which doesn't guarantee that, so
    we trigger an index < size() assertion when accessing the terminating
    NUL byte when compiled with -Wp,-D_GLIBCXX_ASSERTIONS.
  * ftparchive: Remove fixed size buffers on trusted inputs (LP: #2087848)
    - ftparchive: override: Remove fixed-size line buffers in override files
    - ftparchive: cachedb: Remove 600-byte key (and hence file path) limit
    - ftparchive: writer: Remove line length limit on file lists
  * tests: Temporarily disable valgrind-if-available on armhf and ppc64el
    to avoid having to wait for a new valgrind without those architectures

 -- Julian Andres Klode <jak@debian.org>  Wed, 20 Nov 2024 15:59:46 +0100

apt (2.9.12) unstable; urgency=medium

  [ наб ]
  * More refactorings for string_view
  * Provide a DEFER() macro for cleanup of local variables

  [ Julian Andres Klode ]
  * string_view: Include missing headers, fixes rust-rust-apt failure
  * Handle Retry-After by default

  [ Felix Moessbauer ]
  * http: use Retry-After HTTP header to optimize retries
  * http: add test for Retry-After handling

 -- Julian Andres Klode <jak@debian.org>  Mon, 18 Nov 2024 15:03:10 +0100

apt (2.9.11) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Various refactorings to the 3.0 solver
  * Remove ftp, rsh, ssh methods (disabled since 1.8)
  * Apply messaging fixes from Robert Krátký
  * Fix keeping back removals of obsolete packages (LP: #2078720)
  * Return an error if ResolveByKeep() is unsuccessful (LP: #2078720)
  * Move apt-extracttemplates to /usr/lib/apt in 'apt' package
  * json: Add "options" array to JSON hooks; adjust test cases accordingly

  [ наб ]
  * Refactor buffers into std::array and bump sizes, improving performance:
    - Bump various buffer sizes to the default APT_BUFFER_SIZE
    - Turn char[APT_BUFFER_SIZE] buffers into std::array<char, APT_BUFFER_SIZE>
    - Turn std::unique_ptr<char[]/std::array<char>>(APT_BUFFER_SIZE) buffers into std::array<char, APT_BUFFER_SIZE>
    - dpkgpm: use sysconf(_SC_GETPW_R_SIZE_MAX)-sized + growing buffer for getpwuid_r() instead of 255
    - dpkgpm: use std::array<unsigned char, APT_BUFFER_SIZE> for I/O copy buffers
  * File reading changes, fixing static line size limitations:
    - dpkgpm: lift out CopyIndented() and make_unique_*() for FILEs; use getline() for reading lines instead of 1k buffer
    - dpkgpm: use getline() for Apport var/crash lines
    - dpkgpm: fdopen() failing doesn't close the fd
  * Only run valgrind in tests if valgrind available on host
  * ReportMirrorFailureToCentral: fix use-after-free
  * Non-functional changes:
    - Replace constant-size never-reallicated getservbyport_r() std::vector buffer with std::array
    - FileFd::Open: don't needlessly copy filename in three-arg constructor
    - Replace std::bind with lambdas
    - Turn unique_ptr<decltype(fclose and free)> into real deleter types (warnings now, UB in C++20)
    - dpkgpm: append ":$printarchitecture" instead of ':'+${#printarchitecture} to package name
    - Prepare for APT::StringView -> std::string_view

  [ Américo Monteiro ]
  * Portuguese manpages translation update (Closes: #1086336)

  [ Miroslav Kure ]
  * Czech program translation update (Closes: #1087220)

 -- Julian Andres Klode <jak@debian.org>  Thu, 14 Nov 2024 18:29:35 +0100

apt (2.9.10) unstable; urgency=medium

  [ Rafael Marian ]
  * Fixed missing spaces in apt-mark(8) (Closes: #959854)
  * Update manual link in apt-secure(8) (Closes: #1050616)
  * Fix misspeling in italian apt --help (Closes: #967973)

  [ David Kalnischkies ]
  * Ignore pending input before confirmation prompts (Closes: #1082956)
  * Show prompt reply if input is from non-terminal

  [ Julian Andres Klode ]
  * extracttar: Move large buffer to heap for valgrind

  [ Christopher Bock ]
  * apt-patterns(7): document recommends

  [ Raziel Anarki ]
  * Support --target-release in `apt list`

 -- Julian Andres Klode <jak@debian.org>  Tue, 22 Oct 2024 18:47:04 +0200

apt (2.9.9) unstable; urgency=medium

  [ Chongyun Lee ]
  * Fix compilation error with clang/libc++ 18

  [ Julian Andres Klode ]
  * Implement 'Pin: source-version <foo>'
  * Fix buffer overflow, stack overflow, exponential complexity in
    apt-ftparchive Contents generation (LP: #2083697)
    - ftparchive: Mystrdup: Add safety check and bump buffer size
    - ftparchive: contents: Avoid exponential complexity and overflows
    - test framework: Improve valgrind support
    - test: Check that apt-ftparchive handles deep paths

  [ Remus-Gabriel Chelu ]
  * Romanian program translation update (Closes: #1080210)

 -- Julian Andres Klode <jak@debian.org>  Thu, 17 Oct 2024 09:41:18 +0200

apt (2.9.8) unstable; urgency=medium

  [ Aristo Chen ]
  * Do not return error if `Signed-By` value in source list is empty

  [ Carles Pina i Estany ]
  * Update Catalan translation

  [ Julian Andres Klode ]
  * Fix obsoleted-by handling for experimental in 3.0 solver

 -- Julian Andres Klode <jak@debian.org>  Mon, 12 Aug 2024 16:12:43 +0200

apt (2.9.7) unstable; urgency=medium

  [ sid ]
  * Show installed version (not candidate version) while removing a package

  [ David Kalnischkies ]
  * Parse snapshot option for apt show/list (Closes: #1075819)

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #1075874)
  * Dutch manpages translation update (Closes: #1075875)

  [ Michał Kułach ]
  * Polish program translation update (Closes: #1075975)

  [ Julian Andres Klode ]
  * worker: Add an audit level to log audit messages
  * gpgv: Add a LaterWorthless level, a SoonWorthless but at 'audit' level
  * gpgv: Add IsAssertedPubKeyAlgo() function
  * Only revoke weak RSA keys for now, add 'next' and 'future' levels
    (LP: #2073126)
  * solver3: Refactor Reason.Pkg()/Reason.Ver() use with iterator
  * Add note that redundant 'CLI interface' is intentional

 -- Julian Andres Klode <jak@debian.org>  Tue, 30 Jul 2024 13:19:24 +0900

apt (2.9.6) unstable; urgency=medium

  * solver3: Do not accidentally promote Replaces and Enhances to
    dependencies; this fixes a regression in 2.9.5 when we added
    code to promote currently satisfied Suggests to Depends.
  * solver3: Unmark packages before setting any in ToDepCache
  * solver3: Refactor (rewrite) FromDepCache() (Closes: #1071519)
    This was intended to not have any behavioural changes, but verifying
    the things that changed actually showed that they fixed subtle bugs.
  * solver3: Consider packages as obsolete and not versions; this makes things
    a bit easier to reason about.
  * solver3: Only demote obsolete packages in choices for upgrades; this
    fixes packages being needlessly replaced in apt install.

 -- Julian Andres Klode <jak@debian.org>  Tue, 02 Jul 2024 22:20:36 +0200

apt (2.9.5) unstable; urgency=medium

  [ Julian Andres Klode ]
  * CI: Set /bin/sh shell for travis user, so flock -c works
  * Fix test cases for non-amd64 architectures
  * edsp: Parse source version from the Source-Version field
  * Check gpgv --dump-options for --assert-pubkey-algo support.
    Thanks to Justus Winter for the idea
  * Make the failure mode for non-executable tests stronger
  * solver3: Do not dump sizes that are clearly pointers
  * solver3: Group work items
  * solver3: Remove no longer necessary comparisons
  * solver3: Order obsolete choices last

  [ Noah Meyerhans ]
  * Fix spelling of @SNAPSHOTID@ in apt.conf.5.xml (Closes: #1072189)

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #1072493)
  * Dutch manpages translation update (Closes: #1072494)

 -- Julian Andres Klode <jak@debian.org>  Thu, 13 Jun 2024 21:04:40 +0200

apt (2.9.4) unstable; urgency=medium

  [ David Kalnischkies ]
  * Fix accidental silencing of output differences in tests
  * Do not mark new if we have already installed providers
  * Do not save new if we have already installed providers (Closes: #839546)
  * Deal better with spurious spaces in arch restrictions (Closes: #1071219)

  [ Julian Andres Klode ]
  * pkgcachegen: Do not try to chmod or write to /dev/null (LP: #2067138)
  * test: Show statistics for parallel tests too
  * test: Run working tests against the 3.0 solver, and adjust as many as possible
    (more bug fixes in a further release)
    - test: Temporarily ignore autoremovable lists for solver3
    - test: Support the 3.0 solver in most existing test cases
  * Various improvements to the 3.0 solver:
    - edsp: solver3: Show some progress
    - solver3: Implement APT::Solver::RemoveManual to allow removing manual packages
    - solver3: Promote satisfied Suggests to Recommends
    - solver3: Solve optional dependencies before optional packages
    - solver3: Try candidate before installed version on upgrade
    - solver3: Use stable sort
    - solver3: Actually restore unsolved items rather than solved ones
    - solver3: Fix translations of removals for marked install

 -- Julian Andres Klode <jak@debian.org>  Sat, 25 May 2024 10:58:49 +0200

apt (2.9.3) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Initial implementation ("alpha") of the 3.0 solver:
    This new solver is available using the --solver 3.0 option.
    Highlights:
    - Fully backtracking solver, think DPLL without pure literal elimination
    - Manually installed packages are not offered up for removal
    - New --no-strict-pinning option allows APT to fallback to non-candidate
      versions, e.g. apt install --no-strict-pinning foo/experimental installs
      foo from experimental and will switch dependencies where needed.
    - Autoremove is more aggressive and only keeps the strongest automatically
      installed package. For example, gcc-<version> will now be offered for
      removal and no longer kept around due libtool Depends: gcc | c-compiler
      and gcc-<version> Provides: c-compiler, as `gcc` is already satisfied.
    Caveats right now:
    - Test suite is not yet passing
    - The list of automatically removable packages is not displayed
      when automatically installed packages are not removed
    - Error information gets lost on backtracking (see Debug::APT::Solver=2)
    - Error information is just rendered as A -> B implication graphs,
      with some nodes perhaps containing a "not".
    - The logic for replacing obsolete manually installed packages with
      new replacement packages (think Conflits/Replaces/Provides) is not
      yet implemented.
    - Conflict-driven clause learning is not implemented, so backtracking
      is technically pretty inefficient.
  * Solver3 integration fixes:
    - test: Ignore progress output in comparing output..
    - test-allow-scores-for-all-dependency-types: Adjust for solver3
    - EDSP: Add "solver3" alias for apt-internal-solver
  * UI work:
    - Highlight essential removals with action::remove color
    - The text of notices and audits shall not be bold
    - Separate columns by 2 spaces in lists (Closes: #1070064)
  * Support src:name shortcuts in showsrc, source, build-dep commands

  [ David Kalnischkies ]
  * Do not ignore if a cmake execute_process fails
  * Avoid figuring which kept pkgs are phased if we don't display it
  * Match version constraints before saving garbage packages
  * Do not upgrade rev-deps ear-marked for removal
  * Drop sudo-related envvars in testing framework
  * Add test for dealing with unsat Suggests promoted to Recommends
  * Allow parsing an empty Provides line (Closes: #1069874)

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #1070142)
  * Dutch manpages translation update (Closes: #1070143)

 -- Julian Andres Klode <jak@debian.org>  Tue, 14 May 2024 13:01:31 +0200

apt (2.9.2) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Output customization and color refactoring:
    - Also respect an APT_NO_COLOR variable
    - Add a --color, --no-color option
    - Add APT::Configuration::color helper to colorize things
    - Use APT::Configuration::color to apply color to output
    - Configure individual action colors using APT::Color::Action
    - apt.conf(5): Document the APT::Color scope
  * Introduce the new --audit error level
    - Add an "audit" error level, and change the default to notice
    - Add an --audit option to switch on audit logging
    - Add an audit message for missing InRelease files
  * Change the rendering for notices, warnings, errors:
    - i18n: Use Error:/Warning:/Notice: instead of E:/W:/N:
    - Render notices without (yellow) color, just in bold
    - Keep the entire error/warning/notice message bold
  * Other UI changes:
    - apt update: Show upgradable package count in bold
    - show: Highlight field names and colorize package name
    - Remove spurious newline inside `apt autoremove` message
    - Insert blank line following simulation note
    - Show "Upgrading:" before other sections
    - Only erase OpProgress lines in output version 3.0
  * Test fixes:
    - test: configuration: color: reset _config after tests
    - build: test: Silence warnings in GTest code

  [ Miroslav Kure ]
  * Czech program translation update (Closes: #1068943)

  [ Boyuan Yang ]
  * Simplified Chinese program translation update (Closes: #1069118)

  [ David Kalnischkies ]
  * Allow no spaces for the last dependency in ParseDepends, too (LP: #2061834)

 -- Julian Andres Klode <jak@debian.org>  Mon, 22 Apr 2024 19:36:30 +0200

apt (2.9.1) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Further UX improvements for apt(8)
    - Estimate free space and issue warnings if exceeded, incl. /boot
      + Rename "Installed size:" to "Space needed:"
      + Space needed: Show space available in /usr
      + Show space estimate for /boot, if separate; or estimate initrd for /usr
      + Add warnings if space estimate exceeds free space
    - Show downgrades as yellow
    - Use "Continue anyway?" if a warning is queued, and default to N
    - Use unicode install progress bar on UTF-8 locales
  * Hide some of the output formatting and details from translatable strings,
    do expect some more translation churn in upcoming uploads.

  [ Rafael ]
  * Remove duplicate sentence "Changing held packages:"

 -- Julian Andres Klode <jak@debian.org>  Sun, 14 Apr 2024 18:45:28 +0200

apt (2.9.0) unstable; urgency=medium

  * Welcome to the APT 3.0 development series. It has a new UI for
    apt(8). It has colors, columnar display, some more padding, and
    shows removals last (Closes: #755088), making the output more
    easy to quickly scan.

  [ David Kalnischkies ]
  * Avoid subshell hiding failure report from testfilestats
  * Ignore umask of leftover diff_Index in failed pdiff test
  * Fix and unfuzzy previous VCG/Graphviz URI change

  [ Julian Andres Klode ]
  * Revert "Temporarily downgrade key assertions to "soon worthless""
    We temporarily downgraded the errors to warnings to give the
    launchpad PPAs time to be fixed, but warnings are not safe:
    Untrusted keys could be hiding on your system, but just not
    used at the moment. Hence revert this so we get the errors we
    want.
    This reverts commit 66998ed3d299bede651ad40368bdb270f5f5b0f9. (LP: #2060721)
  * columnar: Fix floating point exception (list is empty if -V)
  * OpProgress: Erase lines when done
  * apt: Introduce the new terse apt output format 3.0
  * Show Recommends/Suggests for upgrades too, move them down
  * Only show Recommends/Suggests for new installs, not upgrades
  * Use the same words for the summary

  [ Christian Blichmann ]
  * Columnar output for package lists similar to 'ls'

 -- Julian Andres Klode <jak@debian.org>  Fri, 12 Apr 2024 20:17:34 +0200

apt (2.7.14) unstable; urgency=medium

  [ Steve Langasek ]
  * Support building without gnutls
  * Add an artificial Conflicts: against libnettle8
    to force upgrades in launchpad buildd chroots

  [ David Kalnischkies ]
  * Handle EINTR in the static FileFd::Write overload
  * Remove non-existent Debug::BuildDeps from apt.conf(5)
  * Parse unsupported != relation in dependencies

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #1065513)
  * Dutch manpages translation update (Closes: #1065517)

  [ Wesley Schwengle ]
  * Update documentation for apt-get upgrade with pkg arg (Closes: #1065831)
  * Update documentation for apt upgrade with pkg arg (Closes: #1065831)
  * Include Dutch translation for apt/apt-get upgrade documenation update
  * Update Graphviz URL to https://graphviz.org/
  * Update VCG tool URI to new location
  * s#http://bugs.debian.org/src/#https://bugs.debian.org/src#

  [ Julian Andres Klode ]
  * pkgTagFile::Jump: Use lookback buffer to rejump to current position
    (Closes: #1067440)
  * debrecords: Do not reparse if given same location (Closes: #1067440)
  * Revert "debrecords: Do not reparse if given same location"

 -- Julian Andres Klode <jak@debian.org>  Fri, 22 Mar 2024 11:11:44 +0100

apt (2.7.13) unstable; urgency=medium

  * Acknowledge NMU; thank you, Steve!

  [ Wesley Schwengle ]
  * Show correct location of configure-index in man page

  [ Yuan Tao ]
  * Fix spelling mistake in zh_CN.po

  [ Julian Andres Klode ]
  * gpgv: Surface [GNUPG:] ERROR and [GNUPG:] WARNING status messages
  * gpgv: Add a reason to worthless signers
  * Implement gpgv --assert-pubkey-algo=>=rsa2048,ed25519,ed448 (LP: #2055193)
  * Rename 'weak digest algorithm' to 'weak algorithm'
  * Temporarily downgrade key assertions to "soon worthless"
  * Do not require versioned dpkg-dev on CI
  * prepare-release: Adjust for t64 suffix

 -- Julian Andres Klode <jak@debian.org>  Wed, 28 Feb 2024 19:48:27 +0100

apt (2.7.12+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061896

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 01:20:31 +0000

apt (2.7.12) unstable; urgency=medium

  [ Kenyon Ralph ]
  * apt-key: remove carriage returns from armored keyrings before dearmoring

  [ наб ]
  * apt.8: summarise remaining verbs (Closes: #827785)

  [ Adam Saponara ]
  * Prevent infinite loop in `ReadConfigFile`

  [ Gábor Németh ]
  * Typos in integration tests
  * Document 'dist-clean'

  [ Wesley Schwengle ]
  * Configure the amount of kernels to keep
  * Fix bug where ./git-clang-format.sh errors incorrectly
  * Add documentation of autoremove to apt.conf (5)

  [ Julian Andres Klode ]
  * Bump Ubuntu apt-key deprecation notice to 24.04
  * Modernize standard library includes
  * Automatically enable snapshots where supported
  * test-snapshot: Fix a test case
  * Move systemd units to /usr/lib (Closes: #1054137)

 -- Julian Andres Klode <jak@debian.org>  Tue, 20 Feb 2024 19:38:02 +0100

apt (2.7.11) unstable; urgency=medium

  [ David Kalnischkies ]
  * Remove erroneous -a flag from apt-get synopsis in manpage
  * Support -a for setting host architecture in apt-get source -b

  [ Julian Andres Klode ]
  * For phasing, check if current version is a security update, not just previous ones
    (LP: #2051181)
  * Add public phased update API
  * Add a new ?phasing pattern
  * Add the ?security pattern
  * Show a separate list of upgrades deferred due to phasing (LP: #1988819)

 -- Julian Andres Klode <jak@debian.org>  Tue, 13 Feb 2024 16:31:00 +0100

apt (2.7.10) unstable; urgency=medium

  * pkgcachegen: Use placement new to construct header to make
    valgrind happy when we hash/write out padding bytes
  * Add Conflicts: apt-verify.
    The APT team is very concerned about the encroachement of its
    namespace and the impact on security of its file verification
    process. We have expressed those concerns in the ITP bug, but
    the package was nonetheless uploaded and accepted, so we have
    to take this extraordinary step to protect our users.

 -- Julian Andres Klode <jak@debian.org>  Fri, 19 Jan 2024 09:31:13 +0100

apt (2.7.9) unstable; urgency=medium

  [ David Kalnischkies ]
  * Accept file system disorder in test-ignored-files

  [ Julian Andres Klode ]
  * CI: Pull from testing, unstable broken atm

 -- Julian Andres Klode <jak@debian.org>  Thu, 11 Jan 2024 10:04:52 +0100

apt (2.7.8) unstable; urgency=medium

  [ Gábor Németh ]
  * Add 'dist-clean' command to remove packages and list files (Closes:
    #959093); this is experimental and does not yet have docs or tests.

  [ David Kalnischkies ]
  * Have Grp.FindPreferredPkg return very foreign pkgs as last resort
  * Improve and test distclean implementation
  * Do not store .diff_Index files in update

  [ Tianyu Chen ]
  * apt-pkg/cacheset.cc: set ShowErrors to true when no version matched
    (Closes: #1053887)

  [ Julian Andres Klode ]
  * Do not silently ignore directories for reserved file names
  * test: Disable valgrind on armhf, incompatible with stack clash protector
    (Closes: #1059352)

 -- Julian Andres Klode <jak@debian.org>  Mon, 08 Jan 2024 10:32:31 +0100

apt (2.7.7) unstable; urgency=medium

  [ sid ]
  * Fix incorrect time unit comment for PulseInterval

  [ Patrice Duroux ]
  * Update fr.po (add a missing dot)

  [ Julian Andres Klode ]
  * Stop calculating Description-md5 if missing
  * Revert "Do not fail on systems running in FIPSmode."
  * s/AlreadDownloaded/AlreadyDownloaded/ in doc/progress-reporting.md.
    Thanks to jwilk for suggestion
  * Bump Priority to required to match Debian archive.
    This unbreaks mmdebstrap scenarios if you mirror Debian or use
    a distro where apt did not get overridden to required.
    Reported-By: josch on IRC, following discovery by helmut
  * Restore ?garbage by calling MarkAndSweep before parsing (LP: #1995790)
  * Fix the test suite by adding new "m" flags to debug output

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #1055178)

  [ David Kalnischkies ]
  * Raise cmake_minimum_required to 3.13 to avoid warnings
  * Use different variable name in GTest source path detection

 -- Julian Andres Klode <jak@debian.org>  Wed, 22 Nov 2023 16:43:47 +0100

apt (2.7.6) unstable; urgency=medium

  [ Américo Monteiro ]
  * Portuguese manpages translation update (Closes: #1051731)

  [ Julian Andres Klode ]
  * Downgrade unmerged-usr from error to two warnings (Closes: #1052058)

 -- Julian Andres Klode <jak@debian.org>  Wed, 20 Sep 2023 10:25:26 +0200

apt (2.7.5) unstable; urgency=medium

  * doc/po/nl.po: Fix spurious translation of docbook tag

 -- Julian Andres Klode <jak@debian.org>  Sat, 16 Sep 2023 13:32:18 +0200

apt (2.7.4) unstable; urgency=medium

  [ Julian Andres Klode ]
  * CI: Do not require UID 1000 for our test user.
  * methods: store: Use APT_BUFFER_SIZE (64k) instead of 4k buffers
  * Only accept installs of usrmerge on unmerged-usr systems.
    As of bookworm, merged-usr is mandatory, and people got caught
    in the crosshairs of the dpkg fsys-unmessusr debacle and inadvertently
    reverted back to an unmerged configuration and continue to remain
    on an unsupported system unknowingly.
  * Drop alternatives to the gpgv dependency (Closes: #1051642)
  * Remove unnecessary explicit st_dev check for merged-usr

  [ Frans Spiesschaert ]
  * Dutch translation update (Closes: #1051720)
  * Dutch documentation translation update (Closes: #1051723)

  [ Helge Kreutzmann ]
  * updated German translation (Closes: #1049427)

 -- Julian Andres Klode <jak@debian.org>  Sat, 16 Sep 2023 13:01:48 +0200

apt (2.7.3) unstable; urgency=medium

  [ Tianon Gravi ]
  * Add "apt-patterns" reference to "apt list" description in apt(8)

  [ Frans Spiesschaert ]
  * Dutch manpages translation update (Closes: #1033904)
  * Dutch program translation update (Closes: #1033909)

  [ Mert Dirik ]
  * Turkish program translation update

  [ Remus-Gabriel Chelu ]
  * Romanian program translation update (Closes: #1040644)

  [ David Kalnischkies ]
  * Add apt-patterns(7) to apt{,-cache,-get} SEE ALSO sections

  [ Julian Andres Klode ]
  * Compare SHA256 to check if versions are really the same (Closes: #931175)
    (LP: #2029268)

 -- Julian Andres Klode <jak@debian.org>  Wed, 02 Aug 2023 14:30:47 +0200

apt (2.7.2) unstable; urgency=medium

  [ A. Maitland Bottoms ]
  * Do not fail on systems running in FIPSmode.

  [ Julian Andres Klode ]
  * Upload to unstable
  * update: Add notice about missing Signed-By in deb822 sources
  * doc: Bump distro versions for apt-key removal
  * dist-upgrade: Revert phased updates using keeps only (LP: #2025462)
  * Do not mark updates for install that are still phasing
  * Fix snapshot crashes with multiple components inside Ubuntu docker
    image

 -- Julian Andres Klode <jak@debian.org>  Wed, 12 Jul 2023 17:23:26 +0200

apt (2.7.1) experimental; urgency=medium

  * Seed snapshot servers for well-known hosts, including PPAs. Note
    that it is preferable for repositories to declare their snapshot
    server in the Snapshots Release file field than to rely on this
    feature.

 -- Julian Andres Klode <jak@debian.org>  Wed, 24 May 2023 18:56:31 +0200

apt (2.7.0) experimental; urgency=medium

  [ Jacob Kauffmann ]
  * Keep "or group" when installing package to satisfy it

  [ Julian Andres Klode ]
  * Add apt install,upgrade,... -U,--update options. Please note that
    this still releases locks in between and is subject to races.
  * Initial support for snapshot servers, apt --snapshot option. Some
    implementation details may change down the road to 2.8

 -- Julian Andres Klode <jak@debian.org>  Tue, 02 May 2023 16:41:47 +0200

apt (2.6.0) unstable; urgency=medium

  * The "unhappy bookworm" release. Too many changes needed to clarify
    licensing.

  [ Cyril Brulebois ]
  * Teach apt-cdrom's scoring system about non-free-firmware (Closes: #1029751)

  [ David Kalnischkies ]
  * More support for non-free-firmware
    - Have values in Section config trees refer to them in all components
    - Add non-free-firmware component in documentation
    - Suggest using non-free-firmware in update for Debian
  * other bookworm regressions:
    - Bump codenames in docs in preparation for Debian 12
    - Detect trimmed changelogs and pick online instead (Closes: #1024457)
  * Do not store trusted=yes Release file unconditionally

  [ Miroslav Kure ]
  * Czech program translation update (Closes: #1031008)

  [ Bastian Germann ]
  * machine-readable version of COPYING (Closes: #1019273), initial version

  [ Julian Andres Klode ]
  * Update lintian override info format in d/apt.lintian-overrides
  * Further work on machine-readable COPYING file and the source code comments
    to address licensing inadequacies:
    - Address statements of public domain
    - po/nb.po: Relicensing GPL-2.0 -> GPL-2.0+. Thanks Petter for chasing
      down the copyright holders and getting agreement.
    - COPYING: Group by license
    - Address translation licensing concerns
    - COPYING: Address RunScripts()
    - We do not believe rsh was supposed to exclude GPL-3
    This unfortunately creates a bit of churn, but updating the COPYING file
    without addressing the actual licensing issues would not have solved the
    bug.

 -- Julian Andres Klode <jak@debian.org>  Mon, 06 Mar 2023 13:26:39 +0100

apt (2.5.6) unstable; urgency=medium

  [ MichaIng ]
  * Document --allow-insecure-repositories

  [ Helge Kreutzmann ]
  * German program translation update (Closes: #1029280)

  [ David Kalnischkies ]
  * Build with and fix warnings of gcc-13 (Closes: #1030592)

 -- Julian Andres Klode <jak@debian.org>  Wed, 08 Feb 2023 17:07:38 +0100

apt (2.5.5) unstable; urgency=medium

  [ David Kalnischkies ]
  * Do not document path to be repeatable in apt-ftparchive cmds

  [ Julian Andres Klode ]
  * gitlab-ci: Install adduser
  * make ?installed pattern match installed version only when narrowed
  * apt-patterns(7): Grouping with () and or using | are supported

  [ Egon Willighagen ]
  * Typo fix

  [ Camiel Vletter ]
  * improve `--help` text for cmdline `apt autoremove`

  [ Frans Spiesschaert ]
  * Dutch manpages translation update (Closes: #1023456, #1025843)

  [ Алексей Шилин ]
  * Add 'tasks' section to default APT::Never-MarkAuto-Sections list

 -- Julian Andres Klode <jak@debian.org>  Tue, 17 Jan 2023 16:33:38 +0100

apt (2.5.4) unstable; urgency=medium

  [ David Kalnischkies ]
  * Report failures back from debSystem::AddStatusFiles
  * Avoid dealing with a fake dpkg stanza in the tests
  * Allow apt to run if no dpkg/status file exists

  [ Johannes Schauer Marin Rodrigues ]
  * since base-passwd 3.6.1 the _apt user is in the default /etc/passwd

  [ Boyuan Yang ]
  * po/zh_CN.po: Update translation for apt/2.5.3

  [ quazgar ]
  * Documentation for autopurge command

  [ Julian Andres Klode ]
  * Actually delete temporary apt-key.*.asc helper files (LP: #1995247)

 -- Julian Andres Klode <jak@debian.org>  Mon, 31 Oct 2022 12:11:04 +0100

apt (2.5.3) unstable; urgency=medium

  [ Povilas Kanapickas ]
  * doc: Explain that apt-get download ensures package authenticity

  [ David Kalnischkies ]
  * Keep color disabled if APT::Color was set to false
  * Don't reuse filename for in-tree builds of apt
  * Respect users pkg order on `apt install` for resolving

  [ Hideki Yamane ]
  * Fix typo in Japanese program translation

  [ lancethepants ]
  * porting (musl):
    - apt-pkg/contrib/fileutl.h  Explicitly include sys/stat.h

  [ Khem Raj ]
  * porting (clang15):
    - typecast time_t and suseconds_t from std::chrono
    - interactive-helper: Undefine _FORTIFY_SOURCE

  [ Julian Andres Klode ]
  * edsp: Add support for phased updates (test in LP#1990586)
  * Check state of dependency, not depender in dependency keep back
    (LP: #1990684)
  * full-upgrade: Mark phased upgrades for keep before anything else
    (LP: #1990586)

 -- Julian Andres Klode <jak@debian.org>  Wed, 28 Sep 2022 17:16:41 +0200

apt (2.5.2) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Mark broken reverse depends for upgrade (LP: #1974196)
  * Upgrade all binaries in a source package

  [ Michael Vogt ]
  * apt-pkg: (re)export pkgTagSection::Key to fix FTBFS in python-apt
    (Closes: #1011678)

 -- Julian Andres Klode <jak@debian.org>  Sun, 24 Jul 2022 17:57:24 +0200

apt (2.5.1) unstable; urgency=medium

  [ Américo Monteiro ]
  * Portuguese manpages translation update (Closes: #1011315)

  [ Ronan Desplanques ]
  * Fix integer underflow in flExtension

  [ Roberto C. Sánchez ]
  * Some minor tweaks of spelling/grammar for better readability.

  [ Tianon Gravi ]
  * Switch from "security.d.o" to "deb.d.o" (matching bullseye release notes)

  [ Julian Andres Klode ]
  * (Temporarily) Rewrite phased updates using a keep-back approach
    (LP: #1979244)
  * policy: Do not override negative pins with 1 due to phasing (LP: #1978125)

 -- Julian Andres Klode <jak@debian.org>  Thu, 30 Jun 2022 13:27:30 +0200

apt (2.5.0) unstable; urgency=medium

  [ Helmut Grohne ]
  * Avoid use of deprecated std::iterator (twice) (Closes: #1008036)

  [ David Kalnischkies ]
  * Document tagfile-keys.h as internal to apt
  * Drop support for long obsoleted Suggests alias: Optional
  * Do not order long obsoleted fields anymore
  * Stop parsing undocumented unknown EDSP field APT-Hash
  * Avoid .c_str() on strings feed into pkgTagSection::FindS
  * Use pkgTagSection::Key in more places in src:apt
  * Parse Checksum fields via pkgTagSection::Key, too
  * Avoid building all docs in nodoc build profile
  * Add pkg.apt.nodoxygen build profile
  * Use build-dep & satisfy for our CI dependency resolution
  * Mark pkg-config-test autopkgtest as superficial
  * Avoid building inside the source dir in autopkgtest
  * Link interactive helpers against system libapt for autopkgtest
  * Remove unused public zlib include from libapt fileutl.h
  * Run ./prepare-release post-build checks in Gitlab CI
  * Do not build documentation twice in CI
  * Ignore stty failures in testcases
  * Include our config.h in all C++ files to avoid ODR violations
  * Ship our README.md in apt package

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #1010029)
  * Dutch manpages translation update (Closes: #1010030)

  [ Troy Varney ]
  * Fix mirror method dequeuing incorrect items

  [ Julian Andres Klode ]
  * Do not accept arguments for apt-cache dotty, xvcg.
    These commands do not actually interpret the same
    arguments as depends, or any own ones for that matter.
  * tests: Add g++ dependency to pkg-config test

  [ Vagrant Cascadian ]
  * Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON via dh_auto_configure override
    (Closes: #1009796)
  * Add support for "nodoc" build profile (Closes: #1009797)

 -- Julian Andres Klode <jak@debian.org>  Tue, 17 May 2022 18:50:45 +0200

apt (2.4.5) unstable; urgency=medium

  * Only protect two kernels, not last installed one (LP: #1968154)
  * Fix segfault in CacheSetHelperAPTGet::tryVirtualPackage()

 -- Julian Andres Klode <jak@debian.org>  Fri, 08 Apr 2022 12:22:23 +0200

apt (2.4.4) unstable; urgency=medium

  [ David Kalnischkies ]
  * Recognize Static-Built-Using and order it below Built-Using
    (Closes: #1008759)

 -- Julian Andres Klode <jak@debian.org>  Fri, 01 Apr 2022 18:47:31 +0200

apt (2.4.3) unstable; urgency=medium

  [ Guillem Jover ]
  * Update .mailmap

  [ David Kalnischkies ]
  * Fix build failure with gcc-12 due to missing include (Closes: #1008036)
  * Avoid using unqualified make_pair potentially triggering ftbfs

 -- Julian Andres Klode <jak@debian.org>  Mon, 21 Mar 2022 09:20:41 +0100

apt (2.4.2) unstable; urgency=medium

  [ Frans Spiesschaert ]
  * Dutch manpages translation update (Closes: #1005781)

  [ David Kalnischkies ]
  * Revert "bugscript: switch from bash to POSIX shell" (Closes: #1007121)

  [ Helge Kreutzmann ]
  * German program translation update (Closes: #1007128)

 -- Julian Andres Klode <jak@debian.org>  Thu, 17 Mar 2022 09:17:27 +0100

apt (2.4.1) unstable; urgency=medium

  [ Paul Wise ]
  * Document the APT::Periodic interval suffixes and "always" value

  [ Julian Andres Klode ]
  * gpgv: Fix legacy fallback on unavailable keys
  * gpgv: Use Valid instead of Good to determine fallback

 -- Julian Andres Klode <jak@debian.org>  Mon, 07 Mar 2022 14:06:10 +0100

apt (2.4.0) unstable; urgency=medium

  [ Jörn-Thorben Hinz ]
  * Provide the same bash-completions for autopurge as for autoremove
  * Provide bash-completions for reinstall (same as for install)
    (Closes: #930295)
  * Don’t bash-complete package names before the command word

  [ Boyuan Yang ]
  * Simplified Chinese program translation update (Closes: #1004931)

  [ David Kalnischkies ]
  * Allow --solver apt to work on apt satisfy

  [ Julian Andres Klode ]
  * Install an empty /etc/apt/keyrings directory.
    This directory is intended to provide an alternative to
    /usr/share/keyrings for placing keys used with signed-by.
  * Warn if the legacy trusted.gpg keyring is used for verification

  [ Paul Wise ]
  * bugscript: switch to POSIX shell, quoting, other improvements

  [ Croydon ]
  * Readme: Default branch is now main

  [ Johannes Schauer Marin Rodrigues ]
  * doc/apt-key.8.xml: document alternatives to apt-key add (Closes: #1002820)

 -- Julian Andres Klode <jak@debian.org>  Tue, 22 Feb 2022 20:00:46 +0100

apt (2.3.15) unstable; urgency=medium

  [ Arnaud Rebillout ]
  * Fix incorrect type when parsing Size (int to unsigned long long)
    (Closes: #1004064)

  [ Julian Andres Klode ]
  * Add a --full mode to apt show

  [ Ville Skyttä ]
  * Fix "was already not hold" message grammar

  [ Jörn-Thorben Hinz ]
  * Also bash-complete .deb filenames after `apt install` for paths starting with ~
  * Bash-complete either package name or .deb filename for `apt install`
  * Start bash-completing .deb file paths after the first . passed in an argument to `apt install`
  * Provide bash-completion of .dsc filenames for `apt build-dep`
    (Closes: #985899)
  * Don’t fail bash-completion for `apt` when the nounset option is set
  * bash-completion: Don’t misidentify short options as commands to `apt`

 -- Julian Andres Klode <jak@debian.org>  Tue, 01 Feb 2022 18:04:58 +0100

apt (2.3.14) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * German program translation update (Closes: #1000537)

  [ Walter Lozano ]
  * Use short options for cmp

  [ Ville Skyttä ]
  * Spelling fixes

  [ Zhang Boyang ]
  * Fix incorrect SIGWINCH handling (Closes: #852757)

  [ Johannes Schauer Marin Rodrigues ]
  * add pattern to select packages by codename (closes: #1002646)
  * test/integration/test-policy-pinning: test listing multiple package in Package: field
  * doc/apt_preferences.5.xml: document Package field syntax

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #1002476)

  [ Julian Andres Klode ]
  * Introduce and use isalpha_ascii() in debversion rather than isalpha()

 -- Julian Andres Klode <jak@debian.org>  Thu, 06 Jan 2022 20:57:39 +0100

apt (2.3.13) unstable; urgency=medium

  [ Alexander Kanavin ]
  * apt-pkg/contrib/srvrec.h: Explicitly include sys/types.h

  [ Américo Monteiro ]
  * Portuguese manpages translation update (Closes: #1000424)

  [ David Kalnischkies ]
  * Support more than exact release matches in 'source' (Closes: #998444)

  [ Cameron Katri ]
  * basehttp: Rename HaveContent's Tristate

 -- Julian Andres Klode <jak@debian.org>  Wed, 24 Nov 2021 16:24:21 +0100

apt (2.3.12) unstable; urgency=medium

  [ Ville Skyttä ]
  * Use `command -v` instead of `which`
  * bash completion: use `grep -E` instead of `egrep`

  [ Victor Westerhuis ]
  * Don't print every inline PGP key in Signed-By

  [ Frans Spiesschaert ]
  * Dutch manpages translation update (Closes: #998830)

  [ Julian Andres Klode ]
  * Require argument to remove essential packages, do not prompt
  * Do not remove Essential/Protected due to dependencies.
    Thanks to Ariadne Conill for the inspiration

 -- Julian Andres Klode <jak@debian.org>  Wed, 17 Nov 2021 18:26:57 +0100

apt (2.3.11) unstable; urgency=medium

  [ David Kalnischkies ]
  * Allow version selection to match versioned self-provides
  * Allow =version and /release selector on virtual packages

  [ Johannes Schauer Marin Rodrigues ]
  * apt-pkg/deb/dpkgpm.cc: make DPkg::Chroot-Directory work under fakechroot

  [ Julian Andres Klode ]
  * Respect NO_COLOR environment variable
  * Invalidate cached architecture list when building cache.
    Fixes a regression in python-apt where switching the architectures
    in the config between cache invocations regressed.

 -- Julian Andres Klode <jak@debian.org>  Thu, 21 Oct 2021 12:20:24 +0200

apt (2.3.10) unstable; urgency=medium

  [ Julian Andres Klode ]
  * basehttp: Turn HaveContent into a TriState
  * Set haveContent to FALSE on `Content-Length: 0` (Closes: #990281)
  * Add support for embedding PGP keys into Signed-By in deb822 sources

  [ David Kalnischkies ]
  * All pkgCaches are MultiArch caches
  * Do not strip M-A for native build-dep resolution
  * Do not make provides of M-A:allowed implicit M-A:foreign
  * Barbarian M-A:allowed don't satisfy :any deps of other archs
  * Streamline access to barbarian architecture functionality
  * Read and work with canonical file-URIs from sources.lists
  * Use https config on https proxies for http servers (Closes: #990555)
  * Add AllowRange option to disable HTTP Range usage
  * Disable HTTP Range usage if varnish < 6.4 is involved
  * Use exact If-Range match in our test webserver

  [ Johannes Schauer Marin Rodrigues ]
  * add pattern to select packages by priority (closes: #989558)

 -- Julian Andres Klode <jak@debian.org>  Mon, 18 Oct 2021 16:35:21 +0200

apt (2.3.9) unstable; urgency=medium

  [ Frans Spiesschaert ]
  * Dutch manpages translation update (Closes: #992352)

  [ David Kalnischkies ]
  * Fix infinite recursions in MarkPackage and improve recursions in general
    - Inhibit autoremove calculation in apt-mark and apt show
    - Don't venture too deeply in AutoRemovers MarkPackage
    - Stop autoremover from endlessly exploring cyclic providers (Closes: #992993)
    - Increase recursion limits from 100 to 3000

  [ Julian Andres Klode ]
  * Improve error handling of cycling delayed queues

 -- Julian Andres Klode <jak@debian.org>  Tue, 07 Sep 2021 17:25:44 +0200

apt (2.3.8) unstable; urgency=medium

  * Upload to unstable
  * Bump to C++17

 -- Julian Andres Klode <jak@debian.org>  Sat, 14 Aug 2021 23:51:55 +0200

apt (2.3.7) experimental; urgency=medium

  [ David Kalnischkies ]
  * Use full item description in broken repo error
  * Store size from volatile sources for already installed versions
  * Restore dpkg::chroot-directory functionality

  [ Dillon Brock ]
  * apt.conf(5): indicate # is also used for comments (LP: #1309658)

  [ Julian Andres Klode ]
  * Check sources.list could be parsed before adding volatile files
    (Closes: #990518)
  * pkgAcqIndex::CommonFailed: Set StatIdle before calling Init()
  * Implement exponential backoff between retries
    - acquire: Automatically reduce select() timeout as needed
    - Properly convert PulseInterval to timeval
    - Add support for a maximum delay and testing of delay
    - tests (retry-downloads): Avoid delay in second test

 -- Julian Andres Klode <jak@debian.org>  Thu, 29 Jul 2021 16:59:39 +0200

apt (2.3.6) experimental; urgency=medium

  [ David Kalnischkies ]
  * URI encode Filename field of Packages files (again)
  * Do not use filename of local sources in 'apt download'
  * No URL decode and quoting support for Files in Sources

 -- Julian Andres Klode <jak@debian.org>  Wed, 09 Jun 2021 13:41:20 +0200

apt (2.3.5) experimental; urgency=medium

  * policy: Apply phasing to uninstalled packages too (LP: #1925745)

 -- Julian Andres Klode <jak@debian.org>  Mon, 17 May 2021 11:43:23 +0200

apt (2.3.4) experimental; urgency=medium

  [ Khem Raj ]
  * srvrec: Keep support for older resolver

  [ Julian Andres Klode ]
  * Turn TLS handshake issues into transient errors (LP: #1928100)

 -- Julian Andres Klode <jak@debian.org>  Wed, 12 May 2021 18:04:33 +0200

apt (2.3.3) experimental; urgency=medium

  [ David Kalnischkies ]
  * Allow superfluous commas in build-dependency lines
  * Mark only provides from protected versioned kernel packages
  * Count uninstallable packages in "not upgraded" (Closes: #981535)
  * Reexplore providers of marked packages if some didn't satisfy before
  * Call MarkAndSweep only manually in apt-get for autoremove
  * Store versioned kernel package detectors in d-pointer

  [ Brian Murray ]
  * Fix a typo in json-hooks-protocol.md

  [ Julian Andres Klode ]
  * Temporarily Revert "2.3-only: Warn that the 0.1 protocol is deprecated"

 -- Julian Andres Klode <jak@debian.org>  Thu, 29 Apr 2021 10:43:19 +0200

apt (2.3.2) experimental; urgency=medium

  * Remove inversed comment for AllowUnsizedPackages
  * Automatically retry failed downloads 3 times.
    Enable the Acquire::Retries option by default, set to 3.
    This will help with slightly unreliable networking; future
    work is needed for adding backoff and SRV/IP rotation. (LP: #1876035)
  * Require dpkg >= 1.20.8 and make more use of --auto-deconfigure now that
    no longer needs forcing for essential/protected:
    - Support deconfiguring Essential packages
    - Do not pass --force-remove-protected with --auto-deconfigure
  * JSON hook bug fixes:
    - json: Escape strings using \u escape sequences, add test
    - json: Actually pop states
    - json: Encode NULL strings as null
    - json: Flush standard file descriptors before calling hooks
    - test/json: Make the test hook more reliable
  * JSON hooks 0.2:
    - json: Add origins fields to version
    - upgrade: Add JSON hook support (AptCli::Hooks::Upgrade)
    - json: Add `package-list` and `statistics` install hooks
    - json: Hook protocol 0.2 (added upgrade,downgrade,reinstall modes)
    - 2.3-only: Warn that the 0.1 protocol is deprecated
  * Avoid infinite loop on EOF on media change prompt

 -- Julian Andres Klode <jak@debian.org>  Fri, 23 Apr 2021 18:23:15 +0200

apt (2.3.1) experimental; urgency=medium

  [ David Kalnischkies ]
  * Replace macro and manual management with lambda and RAII:
    - Replace multi-statement macro with lambda
    - Use RAII to clean up tmp dir for dpkg recursive install
    - Handle multi-arch pkgnames for dpkg call via RAII
    - Merge the three RAII vectors managing args lifetime
  * Harden test for no new acquires after transaction abort (Closes: #984966)

  [ Julian Andres Klode ]
  * Check for and discard expected warning from MaybeAddAuth
  * Fix downloads of unsized files that are largest in pipeline (LP: #1921626)
  * Error on packages without a Size field (option Acquire::AllowUnsizedPackages)
  * debian/gbp.conf: HEAD branch is main now

  [ Cameron Katri ]
  * add vendor information for Procursus

 -- Julian Andres Klode <jak@debian.org>  Tue, 13 Apr 2021 17:23:49 +0200

apt (2.3.0) experimental; urgency=medium

  [ David Kalnischkies ]
  * Deal with rred shortcomings around empty patch files (LP: #1918112)
    - Allow merging with empty pdiff patches
    - Rename pdiff merge patches only after they are all downloaded
    - Start pdiff patching from the last possible starting point
    - Ensure all index files sent custom tags to the methods

 -- Julian Andres Klode <jak@debian.org>  Mon, 08 Mar 2021 11:50:31 +0100

apt (2.2.1) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Do not require force-loopbreak on Protected packages (Closes: #983014)
  * Branch of as 2.2.y for bullseye
  * configuration: Add missing #include <array>
  * Remove .travis.yml, we are using GitLab CI these days
  * RunScripts: Do not reset SIGQUIT and SIGINT to SIG_DFL (LP: #1898026)
  * regression fix: do require force-loopbreak for Conflicts

  [ Алексей Шилин ]
  * Russian translation update (Closes: #983348)

 -- Julian Andres Klode <jak@debian.org>  Mon, 01 Mar 2021 22:27:55 +0100

apt (2.2.0) unstable; urgency=medium

  * The "Happy soft freeze" release
  * Do not make DefaultRootSetFunc2 public symbol
  * kernels: Avoid std::regex for escaping '.' and '+'
  * symbols: Remove spurious package line, add kernel autoremoval helper

 -- Julian Andres Klode <jak@debian.org>  Thu, 18 Feb 2021 20:35:09 +0100

apt (2.1.20) unstable; urgency=medium

  * CI: Run test as user on i386
  * Fix test suite regression from StrToNum fixes. The tests started failing
    on 32-bit because the values were actually out of range, but we did not
    test errno before the last version, so it was not treated as an error.

 -- Julian Andres Klode <jak@debian.org>  Wed, 10 Feb 2021 00:03:05 +0100

apt (2.1.19) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * German program translation update (Closes: #979848)

  [ Youfu Zhang ]
  * dpkg: fix passing readonly /dev/null fd as stdout/stderr

  [ Diederik de Haas ]
  * Fix apt-acquire-additional-files entity's location.

  [ Wolfgang Schweer ]
  * vendor: Adjust Debian -security codename

  [ Julian Andres Klode ]
  * Include all translations when building the cache (LP: #1907850)

  [ David Kalnischkies ]
  * Various patches uplifted from unfinished fuzzer branches
    - Use 500 MB memory limit for xz/lzma decoding
    - Guess compressor only if no AR nember with exact name exists
    - Free XXH3 state to avoid leak in cache hashing
    - Fail ConfigDir reading if directory listing failed
    - Retire and deprecate _strtabexpand
    - Fix incorrect base64 encoding due to int promotion
    - Don't parse \x and \0 past the end in DeEscapeString
    - Remove Word size limit from ParseQuote and CWord
    - Forbid negative values in unsigned StrToNum explicitly
    - Avoid overstepping bounds in config file parsing
    - Show 'Done' always for 'Building dependency tree'
    - Avoid undefined pointer arithmetic while growing mmap
    - Use error reporting instead of assert in rred patching
    - Replace PrintStatus with SendMessage usage
    - Ensure HTTP status code text has sensible content
    - Limit on first patch size only for server-merged patches
    - Use size of the old cache as APT::Cache-Start default
    - Remove spurious periods on progress strings in po/de.po

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #981885)
  * Dutch manpages translation update (Closes: #981883)

 -- Julian Andres Klode <jak@debian.org>  Tue, 09 Feb 2021 10:41:53 +0100

apt (2.1.18) unstable; urgency=high

  * pkgcachegen: Avoid write to old cache for Version::Extra (Closes: #980037)
  * Adjust apt-mark test for dpkg 1.20.7

 -- Julian Andres Klode <jak@debian.org>  Wed, 13 Jan 2021 17:37:30 +0100

apt (2.1.17) unstable; urgency=medium

  [ Américo Monteiro ]
  * Portuguese manpages translation update (Closes: #979725)

  [ Julian Andres Klode ]
  * kernels: Fix std::out_of_range if no kernels to protect
  * Call ischroot with -t

 -- Julian Andres Klode <jak@debian.org>  Mon, 11 Jan 2021 12:10:32 +0100

apt (2.1.16) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Various fixes to http and connect method
    - basehttp: also consider Access when a Server's URI
    - connect: convert a C-style string to std::string
    - connect: use ServiceNameOrPort, not Port, as the cache key

  [ Julian Andres Klode ]
  * patterns: Add dependency patterns ?depends, ?conflicts, etc.
    Note that the -broken- variants are not implemented yet.
  * Rewrite of the kernel autoremoval code:
    - Determine autoremovable kernels at run-time (LP: #1615381), this fixes the
      issue where apt could consider a running kernel autoremovable
    - Automatically remove unused kernels on apt {full,dist}-upgrade.
      This helps ensuring that we don't run out of /boot space.
    - Only keep up to 3 (not 4) kernels.
      Ubuntu boot partitions were sized for 3 kernels, not 4.
  * Bump codenames to bullseye/hirsute and adjust -security codename for
    bullseye (Closes: #969932)
  * Ignore failures from immediate configuration. This does not change the
    actual installation ordering - we never passed the return code to the
    caller and installation went underway anyway if it could be ordered at a
    later stage, this just removes spurious after-the-fact errors.
    (Closes: #973305, #188161, #211075, #649588) (LP: #1871268)
  * Add support for Phased-Update-Percentage, previously used only by
    update-manager.
  * Implement update --error-on=any so that scripts can reliably check for
    transient failures as well. (Closes: #594813)

  [ Demi M. Obenour ]
  * test/integration/framework: Be compatible with Bash

  [ Vangelis Skarmoutsos ]
  * Greek program translation update

 -- Julian Andres Klode <jak@debian.org>  Fri, 08 Jan 2021 21:49:15 +0100

apt (2.1.15) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Unroll pkgCache::sHash 8 time, break up dependency
  * Do not require libxxhash-dev for including pkgcachegen.h (Closes: #978171)

  [ David Kalnischkies ]
  * Proper URI encoding for config requests to our test webserver
  * Keep URIs encoded in the acquire system
  * Implement encoded URI handling in all methods
  * Don't re-encode encoded URIs in pkgAcqFile

  [ Helge Kreutzmann ]
  * German program translation update (Closes: #977938)

 -- Julian Andres Klode <jak@debian.org>  Sun, 27 Dec 2020 09:53:07 +0100

apt (2.1.14) unstable; urgency=medium

  * test: fixup for hash table size increase (changed output order)
  * Use XXH3 for cache, hash table hashing

 -- Julian Andres Klode <jak@debian.org>  Tue, 15 Dec 2020 14:07:36 +0100

apt (2.1.13) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + apt-doc, libapt-pkg-doc: Add Multi-Arch: foreign.

  [ Jordi Mallach ]
  * Fix typo in Catalan translation.

  [ David Kalnischkies ]
  * Prepare rred binary for external usage
  * Support reading compressed patches in rred direct call modes
  * Support compressed output from rred similar to apt-helper cat-file

  [ Julian Andres Klode ]
  * gitignore: Add /build and /obj-* build dirs
  * gitignore: Add .*.swp files
  * HexDigest: Silence -Wstringop-overflow
  * patterns: Terminate short pattern by ~ and !
  * SECURITY UPDATE: Integer overflow in parsing (LP: #1899193)
    - apt-pkg/contrib/arfile.cc: add extra checks.
    - apt-pkg/contrib/tarfile.cc: limit tar item sizes to 128 GiB
    - apt-pkg/deb/debfile.cc: limit control file sizes to 64 MiB
    - test/*: add tests.
    - CVE-2020-27350
  * Additional hardening:
    - apt-pkg/contrib/tarfile.cc: Limit size of long names and links to 1 MiB
  * Raise APT::Cache-HashtableSize to 196613

 -- Julian Andres Klode <jak@debian.org>  Thu, 10 Dec 2020 15:40:27 +0100

apt (2.1.12) unstable; urgency=medium

  [ Julian Andres Klode ]
  * pkgnames: Correctly set the default for AllNames to false (LP: #1876495)
  * pkgnames: Do not exclude virtual packages with --all-names
  * Remove expired domain that became nsfw from debian/changelog
  * Do not immediately configure m-a: same packages in lockstep (LP: #1871268)

  [ Américo Monteiro ]
  * Portuguese manpages translation update (Closes: #968414)

  [ David Kalnischkies ]
  * Rename CMake find_package helpers to avoid developer warnings
  * Install translated apt-patterns(7) man pages
  * Remove ancient versions support from apts postinst
  * Update libapt-pkg6.0 symbols file
  * Refresh lintian-overrides of apt and libapt-pkg-doc

 -- Julian Andres Klode <jak@debian.org>  Mon, 23 Nov 2020 17:52:37 +0100

apt (2.1.11) unstable; urgency=medium

  [ JCGoran ]
  * Fix "extended_states" typo in apt-mark(8) (Closes: #969086)

  [ Julian Andres Klode ]
  * doc: Bump Ubuntu release from focal to groovy
  * Do not produce late error if immediate configuration fails, just warn
    (Closes: #953260, #972552) (LP: #1871268)

  [ Frans Spiesschaert ]
  * Dutch manpages translation update (Closes: #970037)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 21 Oct 2020 11:53:18 +0200

apt (2.1.10) unstable; urgency=medium

  * Default Acquire::AllowReleaseInfoChange::Suite to "true" (Closes: #931566)
  * acquire: Do not hide _error messages in Fail()
  * Further improvements to HTTP method (Closes: #968220, verified against
    that server and the Canonical infra where it blocked buildds)
    - Do not use non-blocking local I/O - they don't do anything anyway,
      and we can't really use non-blocking I/O here because we need to be able
      to flush it.
    - Restore successful exits from Die() and rewrite Die() in a more
      comprehensible way, after careful code path analysis
    - http: Fully flush local file both before/after server read, avoiding
      both partial flush before sending requests to the server, as well as
      preventing leftover data before receiving from the server, which cause
      data left in the buffer.

 -- Julian Andres Klode <jak@debian.org>  Tue, 11 Aug 2020 14:28:07 +0200

apt (2.1.9) unstable; urgency=medium

  [ Julian Andres Klode ]
  * http: Fix infinite loop on read errors
  * basehttp: Correctly handle non-transient failure from RunData()
  * Do not retry on failure to fetch (Closes: #968163)

  [ Aleix Vidal i Gaya ]
  * updated catalan translations

 -- Julian Andres Klode <jak@debian.org>  Mon, 10 Aug 2020 14:16:23 +0200

apt (2.1.8) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Fully deprecate apt-key, schedule removal for Q2/2022
  * apt-key: Allow depending on gpg instead of gnupg
  * Removal of racist terminology, except for two cases that still need consensus
  * Various fixes to http code:
    - http: Always Close() the connection in Die()
    - http: Die(): Merge flushing code from Flush()
    - http: Only return false for EOF if we actually did not read anything
    - http: Die(): Do not flush the buffer, error out instead
    - http: Finish copying data from server to file before sending stuff to server
    - http: On select timeout, error out directly, do not call Die()
    - http: Redesign reading of pending data
    - http: Always write to the file if there's something to write; this fixes
      a regression from removing the buffer flushing code
    Overall, there's hope this Closes: #959518. It reproduced a bit, but eventually
    snapshot.d.o ratelimiting kicked in and broke the test case.

  [ Nicolas Schier ]
  * Support marking all newly installed packages as automatically installed

 -- Julian Andres Klode <jak@debian.org>  Tue, 04 Aug 2020 12:41:28 +0200

apt (2.1.7) unstable; urgency=medium

  [ David Kalnischkies ]
  * Do not hardcode (wrong) group and mode in setup warning (Closes: #962310)
  * Do not sent our filename-provides trick to EDSP solvers (Closes: #962741)
  * Tell EDSP solvers about all installed pkgs ignoring arch
  * Deduplicate EDSP Provides line of M-A:foreign packages
  * Delay removals due to Conflicts until Depends are resolved
  * Filter out impossible solutions for protected propagation
  * Add dependency points in the resolver also to providers
  * Reorder config check before checking systemd for non-interactive http
  * Reorder config check before result looping for SRV parsing debug
  * Fix test due to display change in ls (coreutils 8.32)
  * Detect pkg-config-dpkghook failure in tests to avoid fallback (Closes: #964475)

  [ Américo Monteiro ]
  * Portuguese manpages translation update (Closes: #962483)

  [ Julian Andres Klode ]
  * Replace some magic 64*1024 with APT_BUFFER_SIZE
  * Add basic support for the Protected field

  [ Sergio Oller Moreno ]
  * Minor Catalan grammar typo

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #963008)

 -- Julian Andres Klode <jak@debian.org>  Wed, 08 Jul 2020 09:38:35 +0200

apt (2.1.6) unstable; urgency=medium

  [ David Kalnischkies ]
  * Fix small memory leak in MethodConfig
  * Consider protected packages for removal if they are marked as such
  * Consider if a fix is successful before claiming it is
  * Allow 20 instead of 10 loops for pkgProblemResolver
  * Deal with duplicates in the solution space of a dep

 -- Julian Andres Klode <jak@debian.org>  Wed, 03 Jun 2020 18:25:22 +0200

apt (2.1.5) unstable; urgency=medium

  [ David Kalnischkies ]
  * Reset candidate version explicitly for internal state-keeping
    (Closes: #961266)
  * Known-bad candidate versions are not an upgrade option
  * Keep status number if candidate is discarded for kept back display
  * Allow pkgDepCache to be asked to check internal consistency
  * Don't update candidate provides map if the same as current
  * Ensure EDSP doesn't use a dangling architecture string
  * Allow FMV SSE4.2 detection to succeed on clang
  * Mark PatternTreeParser::Node destructor as virtual

  [ Frans Spiesschaert ]
  * Dutch manpages translation update (Closes: #961431)

 -- Julian Andres Klode <jak@debian.org>  Tue, 26 May 2020 12:19:40 +0200

apt (2.1.4) unstable; urgency=medium

  [ David Kalnischkies ]
  * Check satisfiability for versioned provides, not providing version

 -- Julian Andres Klode <jak@debian.org>  Tue, 19 May 2020 11:28:59 +0200

apt (2.1.3) unstable; urgency=medium

  [ David Kalnischkies ]
  * Prefer use of O_TMPFILE in GetTempFile if available
  * Allow prefix to be a complete filename for GetTempFile
  * Properly handle interrupted write() call in ExtractTar
  * Skip reading data from tar members if nobody will look at it
  * Keep going if a dep is bad for user requests to improve errors
  * Support negative dependencies in VCI::FromDependency
  * Deal with protected solution providers first
  * Propagate protected to already satisfied conflicts (Closes: #960705)
  * Propagate protected to already satisfied dependencies
  * Recognize propagated protected in pkgProblemResolver

  [ Julian Andres Klode ]
  * private-search: Only use V.TranslatedDescription() if good (LP: #1877987)

 -- Julian Andres Klode <jak@debian.org>  Mon, 18 May 2020 22:23:27 +0200

apt (2.1.2) unstable; urgency=critical

  [ Julian Andres Klode ]
  * SECURITY UPDATE: Out of bounds read in ar, tar implementations (LP: #1878177)
    - apt-pkg/contrib/arfile.cc: Fix out-of-bounds read in member name
    - apt-pkg/contrib/arfile.cc: Fix out-of-bounds read on unterminated
      member names in error path
    - apt-pkg/contrib/extracttar.cc: Fix out-of-bounds read on unterminated
      member names in error path
    - CVE-2020-3810

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #960186)

 -- Julian Andres Klode <jak@debian.org>  Wed, 13 May 2020 22:04:47 +0200

apt (2.1.1) unstable; urgency=medium

  [ David Kalnischkies ]
  * Allow aptitude to MarkInstall broken packages via FromUser
  * Drop nowrap from po4a --porefs as it is no longer supported
  * Use "po4a --porefs file" instead of undocumented compat noline

  [ Artur Grącki ]
  * Fix typo in Polish translation of --help messages

 -- Julian Andres Klode <jak@debian.org>  Fri, 08 May 2020 18:02:53 +0200

apt (2.1.0) unstable; urgency=medium

  [ Frans Spiesschaert ]
  * Dutch manpages translation update (Closes: #956313)

  [ David Kalnischkies ]
  * Refactor MarkInstall fixing various or-group handling issues
    - Discard impossible candidate versions also for non-installed
    - Explore or-groups for Recommends further than first
    - Refactor and reorder MarkInstall code
    - Discard candidate if its dependencies can't be satisfied
    - Split up MarkInstall into private helper methods
    - Fail earlier on impossible Conflicts in MarkInstall
    - Propagate Protected flag to single-option dependencies
    - Prefer upgrading installed orgroup members
    - Protect a package while resolving in MarkInstall

  [ Julian Andres Klode ]
  * Reinstate * wildcards (Closes: #953531) (LP: #1872200)
  * apt list: Fix behavior of regex vs fnmatch vs wildcards

 -- Julian Andres Klode <jak@debian.org>  Mon, 04 May 2020 15:58:24 +0200

apt (2.0.2) unstable; urgency=medium

  [ Boyuan Yang ]
  * Simplified Chinese program translation update (Closes: #955023)

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #955505)

  [ Marco Ippolito ]
  * Fix gramma in apt(8): "by append(+ing) a" (Closes: #955412)

  [ Chris Leick ]
  * German manpage translation update
  * Fix "string match{ing,es}" and whitespace typo in apt-patterns(7)

  [ Julian Andres Klode ]
  * test/integration/apt.pem: Regenerate with SHA2 hashes to make the
    test work with stricter gnutls in Ubuntu which rejects SHA1
  * ubuntu: http: Add non-interactive to user agent if run by systemd
    (LP: #1825000)

 -- Julian Andres Klode <jak@debian.org>  Thu, 09 Apr 2020 12:21:07 +0200

apt (2.0.1) unstable; urgency=medium

  [ David Kalnischkies ]
  * Don't crash pattern matching sections if pkg has no section
  * Parse last line in deb file correctly by adding a newline

  [ Julian Andres Klode ]
  * apt-helper: Add analyze-pattern helper
  * Add color highlighting to E:/W:/N: prefixes (Closes: #953527)

  [ Алексей Шилин ]
  * Russian program translation update (Closes: #953804)

 -- Julian Andres Klode <jak@debian.org>  Tue, 24 Mar 2020 11:53:30 +0100

apt (2.0.0) unstable; urgency=medium

  * Upload to unstable - Happy APT 2.0 day!
  * GetLock: No strerror if it's just another process holding the lock
  * Show absolute time while waiting for lock instead of %, rework message

 -- Julian Andres Klode <jak@debian.org>  Sat, 07 Mar 2020 21:19:53 +0100

apt (1.9.12) experimental; urgency=medium

  * pkgcache: Add operator bool() to map_pointer
  * (temporarily) unhide pkgDPkgPM again to have python-apt compile

 -- Julian Andres Klode <jak@debian.org>  Thu, 27 Feb 2020 15:06:56 +0100

apt (1.9.11) experimental; urgency=medium

  [ Tomáš Janoušek ]
  * bash completion: Add autopurge command

  [ Tris Emmy Wilson ]
  * apt-mark: don't lie about successful marks

  [ Julian Andres Klode ]
  * apt(8): Wait for lock (Closes: #754103)
  * policy: Implement pinning by source package (Closes: #166032)
  * Initialize libgcrypt on first use (Closes: #949074)
  * Fix various compiler warnings
  * Bump ABI to 6.0; update symbols file; cleanup ABI:
    - Merge various function overloads together
    - Make stuff that should be virtual virtual
    - Default to hidden visibility
  * Code removals:
    - Use a 32-bit djb VersionHash instead of CRC-16
    - Remove CRC-16 implementation
  * Hardening:
    - tagfile: Check if memchr() returned null before using
    - tagfile: Check out-of-bounds access to Tags vector
  * Cache improvements:
    - Type safe cache: Replace map_pointer_t with map_pointer<T>
    - Extensibility: Add d-pointers to groups, packages, versions, and files
    - Prepare for package hashtable removal: Swap locations of hashtables

  [ Nis Martensen ]
  * apt-pkg/srcrecords.cc: 'source' means 'deb-src' in error message

  [ David Kalnischkies ]
  * Parse records including empty tag names correctly

 -- Julian Andres Klode <jak@debian.org>  Wed, 26 Feb 2020 21:29:48 +0100

apt (1.9.10) experimental; urgency=medium

  [ David Kalnischkies ]
  * Fix remaining usec vs sec time-delta calculation typos.
    Thanks to Trent W. Buck for initial patch (Closes: #950776)

  [ Julian Andres Klode ]
  * seccomp: Allow time64 variants (>402,<415) of allowed syscalls
    (Closes: #951012)
  * debian/control: Bump libseccomp-dev Build-Depends to >= 2.4.2
  * seccomp: Allow recvmmsg_time64() and futex_time64()
  * policy: Add SetPriority() methods
  * Revert "Add a Packages-Require-Authorization Release file field"

  [ Michael Vogt ]
  * doc: remove "WIP" from apt.8.xml

 -- Julian Andres Klode <jak@debian.org>  Tue, 18 Feb 2020 12:32:42 +0100

apt (1.9.9) experimental; urgency=medium

  * Widen regular expressions for versioned kernel packages (LP: #1607845)
  * Implement short patterns (patterns starting with ~)

 -- Julian Andres Klode <jak@debian.org>  Tue, 04 Feb 2020 17:42:21 +0100

apt (1.9.8) experimental; urgency=medium

  * pkgcache.cc: Mix PACKAGE_VERSION into the cache hash
  * mmap: Do not look for empty pool unless we need to
  * apt-verbatim.ent: Update ubuntu-codename from disco to focal
  * NewGroup: Create GrpIterator after allocation (fix segfault)

 -- Julian Andres Klode <jak@debian.org>  Mon, 27 Jan 2020 13:25:52 +0100

apt (1.9.7) experimental; urgency=medium

  * Trim trailing whitespace (thanks lintian-brush)
  * NewProvidesAllArch: Check if group is empty before using it.
    This caused automake-1.16 to not be provided by automake anymore,
    because apt wanted to add provides to packages in an empty automake-1.16
    group. LP: #1859952
  * Fix debian-rules-uses-deprecated-systemd-override.
    We accidentally managed to restart apt-daily{,-upgrade}.service
    again because our dh_systemd_start override was being ignored
    since we switched to debhelper 12. Override dh_installsystemd
    instead.

 -- Julian Andres Klode <jak@debian.org>  Thu, 16 Jan 2020 12:13:50 +0100

apt (1.9.6) experimental; urgency=medium

  [ Julian Andres Klode ]
  * gitlab-ci: Do not do coverage
  * gitlab-ci: Use ccache
  * satisfy: Fix segmentation fault when called with empty argument
  * Add support for GTest 1.9, do not fail silently if its missing
  * gtests: Fix netrc parser test regression from https-only changes
  * Macro cleanup:
    - Avoid #define _error, use anonymous C++ struct instead (Closes: #948338)
    - Rename _count() macro to APT_ARRAY_SIZE()
    - Remove various unused macros like MAX/MIN/ABS/APT_CONST
    - Only define likely/unlikely if APT_COMPILING_APT set
  * Performance: Avoid extra out-of-cache hash table deduplication for
    package names, this saved about 10-16% on gencaches in memory
  * acquire: Move queue startup after calling log's Start(), fixes abort()
    calls in python-apt
  * hashes: Use Libgcrypt for hashing purposes
    - Raise buffer size for Hashes::AddFD() from 4 KiB to 64 KiB
    - Convert users of {MD5,SHA1,SHA256,SHA512}Summation to use Hashes
    - Deprecate the Summation classes and mark them for removal
    - Remove includes of (md5|sha1|sha2).h headers
  * netrc: Add warning when ignoring entries for unencrypted protocols
  * apt(8): Disable regular expressions and fnmatch

  [ David Kalnischkies ]
  * Drop g++ build-dependency to help crossbuilding (Closes: #948201)

  [ Denis Mosolov ]
  * Fix typo in README.md

 -- Julian Andres Klode <jak@debian.org>  Wed, 15 Jan 2020 23:06:49 +0100

apt (1.9.5) experimental; urgency=medium

  [ Julian Andres Klode ]
  * Parse 'show' arguments for the 'info' alias as well (LP: #1843812)
  * patterns: Add base class for regular expression matching
  * patterns: Add ?version
  * patterns: Add ?source-name and ?source-version
  * patterns: Add ?archive
  * patterns: Add ?origin
  * patterns: Add ?any-version
  * patterns: Implement ?narrow(...), as ?any-version(?and(...))
  * patterns: Add ?all-versions
  * patterns: Add ?section
  * netrc: Restrict auth.conf entries to https by default (Closes: #945911)

  [ Anatoly Borodin ]
  * README.md: fix dead anonscm link

  [ Алексей Шилин ]
  * Search in all available description translations (Closes: #490000)
  * strutl: Add APT::String::DisplayLength() function
  * Fix progress bar width for multibyte charsets

  [ Chris Leick ]
  * German manpage translation update

  [ David Kalnischkies ]
  * Use correct filename on IMS-hit reverify for indices
  * Remove failed trusted signature instead of index on IMS hit

  [ Anthony Papillon ]
  * Fix a mistake in man french translation

 -- Julian Andres Klode <jak@debian.org>  Mon, 02 Dec 2019 18:17:56 +0100

apt (1.9.4) experimental; urgency=medium

  * CMake: Pass -Werror=return-type to gcc
  * CMake: Produce a fatal error if triehash could not be found
  * apt.systemd.daily: Do not numerically check if intervals equal 0
    (LP: #1840995)
  * srvrec: Use re-entrant resolver functions
  * Pass --abort-after=1 to dpkg when using --force-depends (Closes: #935910)
    (LP: #1844634)
  * Fix use of GTest to adjust for GTest 1.9

 -- Julian Andres Klode <jak@debian.org>  Thu, 19 Sep 2019 11:13:47 +0200

apt (1.9.3) experimental; urgency=medium

  * Fix segfault in pkgAcquire::Enqueue() with Acquire::Queue-Mode=access
    (LP: #1839714)
  * test: Use valgrind to ensure Acquire::Queue-Mode=access does not crash
  * Add initial support for package patterns (patterns on versions WIP)

 -- Julian Andres Klode <jak@debian.org>  Mon, 19 Aug 2019 16:21:20 +0200

apt (1.9.2) experimental; urgency=medium

  [ Julian Andres Klode ]
  * Improve locking messaging - pid and name, "do not remove lock file"

  [ Lynn Cyrin ]
  * Change a pronoun in the readme from `he` to `they`

  [ David Kalnischkies ]
  * Distribute host-less work based on backlog of the queues
  * Show details about the package with bad Provides
  * Apply various suggestions by cppcheck

 -- Julian Andres Klode <jak@debian.org>  Mon, 05 Aug 2019 21:26:10 +0200

apt (1.9.1) experimental; urgency=medium

  * RFC1123StrToTime: Accept const std::string& as first argument
  * Fix pkg-config-test autopkgtest

 -- Julian Andres Klode <jak@debian.org>  Thu, 20 Jun 2019 17:53:14 +0200

apt (1.9.0) experimental; urgency=medium

  [ Julian Andres Klode ]
  * CMakeLists.txt: Bump C++ standard version to C++14
  * debian: Update to debhelper-compat (= 12)
  * debian/rules: Do not use dh_install --list-missing (dh 12 porting)
  * Remove all the deprecated bits, merge various function prototypes together
  * prepare-release: Add merge-translations command
  * Use system-provided triehash
  * CI: Use unstable for now, as we need triehash package
  * Tighten dependencies from apt and apt-utils on libs
  * Add test case for local-only packages pinned to never
  * acq: worker: Move CurrentSize, TotalSize, ResumePoint to CurrentItem
  * apt-helper: Support multiple hashes for a file
  * Add 'explicit' to most single argument constructors
  * Get rid of pkgExtract and pkgFLCache
  * Merge libapt-inst into libapt-pkg
  * Use debDebFile to get control file instead of dpkg-deb
  * prepare-release: Add bump-abi command
  * Change soname to libapt-pkg.so.5.90
  * CMake: Enforce "override" use on overridden methods
  * debmetaindex: Use isspace_ascii() variant to normalize Signed-By
  * README.md: Quote -j <count> as code with backticks
  * apt-mark: Add hidden showheld alias for showhold
  * Mnor wording improvements in documentation
  * Make APT::StringView public, replace std::string with it in various places
  * Introduce apt satisfy and apt-get satisfy (Closes: #275379)
  * Run unifdef -DAPT_{8,9,10,15}_CLEANER_HEADERS
  * Adjust code for missing includes, and using std::string
  * Bump cache MajorVersion to 16

  [ Corentin Noël ]
  * Add pkg-config files for the apt-pkg and apt-inst libraries
    (Closes: #439121)

  [ Simon McVittie ]
  * vendor/getinfo: Iterate through vendors in lexicographic order
    (Closes: #924662)
  * vendor/getinfo: Don't assume that Ubuntu is the last vendor
    (Closes: #924662)

  [ Martin Michlmayr ]
  * Perform minor copy-editing on the docs

  [ Ivan Krylov ]
  * Mark apt-transport-https as M-A:foreign (Closes: #905141)

  [ David Kalnischkies ]
  * Don't limit cpu-limited queues to at most 10

  [ Stephen Kitt ]
  * apt-cache: only show solutions if displayed

  [ Brian Murray ]
  * Do not include squashfs file systems in df output. (LP: #1756595)

  [ Simon Körner ]
  * http: Fix Host header in proxied https connections

 -- Julian Andres Klode <jak@debian.org>  Mon, 17 Jun 2019 11:36:56 +0200

apt (1.8.2) unstable; urgency=medium

  [ Alwin Henseler ]
  * Flip /: in documented default value of DPkg::Path (Closes: #917986)

  [ TilmanK ]
  * Fix typo in German manpage translation

  [ Américo Monteiro ]
  * Portuguese manpages translation update (Closes: #926614)

  [ Jean-Pierre Giraud ]
  * French manpages translation update (Closes: #929290)

  [ Michael Zhivich ]
  * methods: https: handle requests for TLS re-handshake (LP: #1829861)

  [ Julian Andres Klode ]
  * Unlock dpkg locks in reverse locking order (LP: #1829860)

 -- Julian Andres Klode <jak@debian.org>  Tue, 28 May 2019 16:40:29 +0200

apt (1.8.1) unstable; urgency=medium

  * Add test case for local-only packages pinned to never
  * Prevent shutdown while running dpkg (LP: #1820886)
  * Add linux-{buildinfo,image-unsigned,source} versioned kernel pkgs
    (LP: #1821640)

 -- Julian Andres Klode <jak@debian.org>  Mon, 06 May 2019 10:41:52 +0200

apt (1.8.0) unstable; urgency=medium

  [ David Kalnischkies ]
  * Add explicit message for unsupported binary signature (Closes: #921685)

  [ Milo Casagrande ]
  * [l10n] Update Italian translation

  [ Julian Andres Klode ]
  * Fix name of APT::Update::Post-Invoke-Stats (was ...Update-Post...)
  * CMake: Install auth.conf.d directory (LP: #1818996)

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #923728)
  * Dutch manpages translation update (Closes: #923834)

 -- Julian Andres Klode <jak@debian.org>  Fri, 08 Mar 2019 09:41:20 +0100

apt (1.8.0~rc4) unstable; urgency=medium

  * update: Provide APT::Update-Post-Invoke-Stats script hook point
    (LP: #1815760)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

 -- Julian Andres Klode <jak@debian.org>  Tue, 26 Feb 2019 08:32:01 +0100

apt (1.8.0~rc3) unstable; urgency=medium

  [ Julian Andres Klode ]
  * aptmethod.h: Do not have gcc warning about ignoring write() result
  * Fix issues in previous two debian/changelog entries
  * json-hooks-protocol: The "pin" field is optional
  * debian/gbp.conf: Set debian-branch to 1.8.y
  * Install translated apt_auth and apt-transport-* manpages

  [ Алексей Шилин ]
  * Russian program translation update.
    Thanks to Vladimir Zhbanov <vzhbanov@gmail.com> (Closes: #921830)

  [ Jakub Wilk ]
  * Fix various typos in the documentation

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #921934)
  * Dutch manpages translation update (Closes: #921941)

 -- Julian Andres Klode <jak@debian.org>  Mon, 11 Feb 2019 09:33:46 +0100

apt (1.8.0~rc2) unstable; urgency=medium

  * Correctly handle feature detection for sse4.2 and crc32

 -- Julian Andres Klode <jak@debian.org>  Mon, 04 Feb 2019 18:15:07 +0100

apt (1.8.0~rc1) unstable; urgency=medium

  [ David Kalnischkies ]
  * Fail instead of warn for unsigned lines in InRelease
  * Fail on non-signature lines in Release.gpg
  * Merge and reuse tmp file handling across the board
  * Explicitly remove the whitespaces defined by RFC
  * Refuse files with lines unexpectedly starting with a dash
  * Drop buffered writing from clearsigned message extraction
  * Step over empty sections in TagFiles with comments
    (Closes: #920317, #921037)

  [ Josh Triplett ]
  * Add a "reinstall" command as an alias for "install --reinstall".

  [ Michael Vogt ]
  * private-json-hooks.cc: deal with EPIPE (LP: #1814543)

  [ Julian Andres Klode ]
  * Verify data being sent by methods in SendMessage()
  * Disable deprecated methods (ftp, rsh, ssh) by default
  * Introduce experimental 'never' pinning for sources
  * Add a Packages-Require-Authorization Release file field
  * gpgv: Use buffered writes for splitting clearsigned files
  * Detect function multiversioning and sse4.2/crc32, enables i386
  * Use std::to_string() for HashStringList::FileSize() getter

  [ Алексей Шилин ]
  * Russian program translation update (Closes: #921011)

  [ Baptiste Jammet ]
  * French program translation update (Closes: #921008)

 -- Julian Andres Klode <jak@debian.org>  Mon, 04 Feb 2019 15:32:27 +0100

apt (1.8.0~beta1) unstable; urgency=medium

  [ anatoly techtonik ]
  * README.md: Document that apt is also included
  * apt.cc: Add "apt info" alias for muscle memory

  [ Jean-Pierre Giraud ]
  * French manpages translation update (Closes: #915952)

  [ Frans Spiesschaert ]
  * Dutch manpages translation update (Closes: #916358)

  [ Julian Andres Klode ]
  * cache hash: Use sse4.2 CRC32c on x86-64 where available
  * configuration: Compare size first during lookup
  * debListParser: Avoid native arch lookup in ParseDepends
  * hash32: Tighten to multiversion to x86-64 ELF and use uint32_t
  * apt-mark: Introduce minimize-manual
  * doc/apt-verbatim.ent: Point ubuntu-codename to disco (LP: #1812696)
  * CI: Use debian:buster as test base image
  * doc/apt-verbatim.ent: Debian buster is stable
  * SECURITY UPDATE: content injection in http method (CVE-2019-3462)
    (LP: #1812353)
  * debian/control: Drop libcurl4-gnutls-dev build dependency

  [ Mo Zhou ]
  * zh_CN.po: Update Simplified Chinese programs translation.

  [ Khem Raj ]
  * Remove `register` keyword

  [ Vasya Novikov ]
  * bash completion: add keys

  [ David Kalnischkies ]
  * Communicate back which key(s) were used for signing

 -- Julian Andres Klode <jak@debian.org>  Wed, 23 Jan 2019 16:49:34 +0100

apt (1.8.0~alpha3.1) unstable; urgency=emergency

  * SECURITY UPDATE: content injection in http method (CVE-2019-3462)
    (LP: #1812353)

 -- Julian Andres Klode <jak@debian.org>  Tue, 22 Jan 2019 19:52:38 +0100

apt (1.8.0~alpha3) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Remove "Ultimedia" config for Acquire::Changelogs
  * Remove "Tanglu" config for Acquire::Changelogs and as vendor

  [ Julian Andres Klode ]
  * Adjust libapt-pkg Breaks aptitude to << 0.8.9
  * Print useful error on "apt changelog" without arguments
  * test-pdiff-usage: make transaction failure test case more robust
  * Provide a "autopurge" shortcut.
    Thanks to Michael Vogt for the initial work
  * Override FileFd copy constructor to prevent copying
  * Add support for /etc/apt/auth.conf.d/*.conf (netrcparts)
  * Set PATH=/usr/sbin:/usr/bin:/sbin:/bin when running dpkg

  [ David Kalnischkies ]
  * Allow setting Referer header for http method
  * Use quoted tagnames in config dumps

  [ Алексей Шилин ]
  * Russian program translation update (Closes: #914096)

  [ Balint Reczey ]
  * Set LC_ALL=C.UTF-8 for unattended-upgrades environment when parsing its --help
    (LP: #1806076)

  [ Milo Casagrande ]
  * [l10n] Update Italian translation

 -- Julian Andres Klode <jak@debian.org>  Tue, 18 Dec 2018 15:02:11 +0100

apt (1.8.0~alpha2) unstable; urgency=medium

  * Revert "http: Fix handling of server connection closure"
    This reverts commit fb3f36593563d09a8d1727cc7c6deb0b49823ca2. It
    caused downloads to hang on long-lived connections on certain
    servers.
  * Drop debian/source/options, not needed anymore

 -- Julian Andres Klode <jak@debian.org>  Tue, 13 Nov 2018 10:31:49 +0100

apt (1.8.0~alpha1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * apt-get.8: mention --only-source in 'source' and 'build-dep' description

  [ David Kalnischkies ]
  * Support subkeys properly in Signed-By options
  * Support multiple keyrings in sources.list Signed-By

  [ Ben Hutchings ]
  * Default to https: scheme for fetching Debian changelogs (Closes: #910941)

  [ Julian Andres Klode ]
  * NeverAutoRemove kernel meta packages (LP: #1787460)
  * Break pre-gcc8 aptitude and apt (Closes: #911090)
  * http: Fix handling of server connection closure (LP: #1801338)

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #912021)
  * Dutch manpage translation update (Closes: #912022)

  [ Chris Leick ]
  * German manpage translation update
  * Fix typos encountered while updating de translation

  [ Petter Reinholdtsen ]
  * Norwegian Bokmål program translation update (Closes: #912374)

 -- Julian Andres Klode <jak@debian.org>  Mon, 12 Nov 2018 11:52:15 +0100

apt (1.7.0) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Fix calculation of elapsed usec in downloads
  * pkgCacheFile: Only unlock in destructor if locked before (LP: #1794053)
  * Set DPKG_FRONTEND_LOCKED when running {pre,post}-invoke scripts.
    Some post-invoke scripts install packages, which fails because
    the environment variable is not set. This sets the variable for
    all three kinds of scripts {pre,post-}invoke and pre-install-pkgs,
    but we will only allow post-invoke at a later time.
  * prepare-release: Fix last-modification detection for manpages

  [ David Kalnischkies ]
  * Show APT::Compressor example in apt.conf(5) (Closes: #909712)

  [ Muhamed Huseinbašić ]
  * apt-mark: showhold: typo-fix (package -> packages)

 -- Julian Andres Klode <jak@debian.org>  Sun, 07 Oct 2018 07:56:02 +0200

apt (1.7.0~rc2) unstable; urgency=medium

  [ David Kalnischkies ]
  * Deal with descriptions embedded in displayed record correctly
    (Closes: #909155)

 -- Julian Andres Klode <jak@debian.org>  Thu, 20 Sep 2018 21:03:54 +0200

apt (1.7.0~rc1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * fr.po: Do not translate the apt-ftparchive commands (Closes: #907481)

  [ David Kalnischkies ]
  * Don't use invalid iterator in Fallback-Of handling.
    Thanks to David Binderman for reporting
  * Process status-fd completely before finishing dpkg call
  * Don't expect duplicated dpkg status-fd messages
  * Reorder progress report messages
  * Show all architectures in 'apt list' output (Closes: #908218)

  [ Julian Andres Klode ]
  * http: Stop pipeline after close only if it was not filled before

 -- Julian Andres Klode <jak@debian.org>  Tue, 18 Sep 2018 16:12:38 +0200

apt (1.7.0~alpha3) experimental; urgency=medium

  [ David Kalnischkies ]
  * SECURITY UPDATE: Fallback in the mirror method allowed a later server to
    supply any InRelease file without it having to be verified. (LP: #1787752)
    - apt-pkg/acquire-item.cc:: clear alternative URIs for mirror:// between steps
    - CVE-2018-0501

  [ Jean-Ralph Aviles ]
  * Add trailing newline to output of edit-sources.

  [ Julian Andres Klode ]
  * Add support for dpkg frontend lock (Closes: #869546)
  * Set DPKG_FRONTEND_LOCKED as needed when doing selection changes
  * Update symbols files

  [ Boyuan Yang ]
  * Simplified Chinese program translation update (Closes: #903695)

  [ David Kalnischkies ]
  * Report (soon) worthless keys if gpg uses fpr for GOODSIG

 -- Julian Andres Klode <jak@debian.org>  Mon, 20 Aug 2018 17:44:19 +0200

apt (1.7.0~alpha2) experimental; urgency=medium

  * Handle JSON hooks that just close the file/exit and fix some other errors
    (LP: #1776218)
  * Use cheaper entropy source for randomizing items to fetch

 -- Julian Andres Klode <jak@debian.org>  Mon, 09 Jul 2018 16:02:45 +0200

apt (1.7.0~alpha1) experimental; urgency=medium

  [ Julian Andres Klode ]
  * CMake: Fix builds without zstd
  * apt.conf.autoremove: Catch some new Ubuntu module packages
  * Fix build with new gtest (Closes: #897149)
  * tests: Do not expect requested-by if sudo was invoked by root
  * Run tests on GitLab CI
  * Handle a missed case of timed out ip addresses (LP: #1766542)
  * Lower default timeout from 120s to 30s
  * apt-key: Pass all instead of gpg-agent to gpgconf --kill (LP: #1773992)
  * Fix lock counting in debSystem
  * CI: Export DEBIAN_FRONTEND=noninteractive in all CI environments
  * Ensure that we are online in apt-daily-upgrade.service (LP: #1723761)
  * gitlab-ci: chmod 755 /root

  [ David Kalnischkies ]
  * move special READMEs into doc/ and format as md
  * Add boilerplate plural form to po/apt-all.pot
  * don't try SRV requests based on IP addresses
  * use 127.0.0.1 instead of localhost as default Tor proxy
  * Extend apt build-dep pkg/release to switch dep as needed
  * Support release selector for volatile files as well
  * Start pkg records for deb files with dpkg output
  * Deprecate buggy/incorrect Rls/PkgFile::IsOk methods
  * Support --with-source in show & search commands
  * Support local files as arguments in show command (Closes: 883206)
  * Drop alternative URIs we got a hash-based fail from
  * Handle by-hash URI construction more centrally
  * Don't force the same mirror for by-hash URIs
  * Reword error for timed out read/write on SOCKS proxy (Closes: #898886)
  * Don't show acquire warning for "hidden" components (Closes: #879591)
  * Use a steady clock source for progress reporting
  * Use steady clock source for bandwidth limitation

  [ Guillem Jover ]
  * Remove obsolete RCS keywords
  * Normalize authors through a mailmap file
  * po: Fill Project-Id-Version with correct project id and version
  * po: Fix translated string not matching format string arguments
  * po: Fix Language field to match actual locale
  * po: Remove spurious text in Plural-Forms field
  * po: Add missing Plural-Forms fields

  [ Filipe Brandenburger ]
  * Update .gitignore
  * Increase debug verbosity in `apt-get autoremove`
  * Extend test-apt-get-autoremove to check debug output

  [ annadane ]
  * Add verb 'be' to NEWS entry for 1.5~beta1 (Closes: 892792)

  [ Алексей Шилин ]
  * Russian program translation update (Closes: 898797)

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #900589)
  * Dutch manpage translation update (Closes: #900602)

 -- Julian Andres Klode <jak@debian.org>  Mon, 25 Jun 2018 17:12:30 +0200

apt (1.7.0~alpha0) experimental; urgency=medium

  [ David Kalnischkies ]
  * mention mirror method in sources.list (Closes: 679580)

  [ Julian Andres Klode ]
  * Build with cmake+ninja instead of cmake+make
  * Make libzstd optional in CMakeLists.txt, to aid cross-building
  * Run travis against debian:testing again, keep shippable at bionic

 -- Julian Andres Klode <jak@debian.org>  Wed, 18 Apr 2018 17:22:19 +0200

apt (1.6~rc1) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Experimental support for zstd (LP: #1763839)
  * Fix debian/NEWS entry for 1.6~beta1
  * Use https for Ubuntu changelogs
  * Bump cache major version to allow different 1.5 and 1.6 updates
  * CI: Switch testing to use ubuntu:bionic for 1.6.y
  * Turn off seccomp sandboxing by default (LP: #1732030) (Closes: #890489)
  * Allow restart_syscall() syscall in seccomp sandboxes (Closes: #891644)
  * Delete /etc/dpkg/dpkg.cfg.d/excludes on Docker CI images
  * test: export GCOV_ERROR_FILE=/dev/null to make it fail less/no tests
  * apt-private: Collect not found packages in CacheSetHelperAPTGet
  * Introduce experimental new hooks for command-line tools (LP: #1763839)

  [ David Kalnischkies ]
  * remove duplicate changelog lines from 1.6~beta1 entry
  * fix communication typo in https manpage
  * set our two libapt libraries to prio:optional
  * document Acquire::AllowReleaseInfoChange without extra s

  [ jean-pierre giraud ]
  * French man pages translation (Closes: #895117)

 -- Julian Andres Klode <jak@debian.org>  Sun, 15 Apr 2018 21:41:44 +0200

apt (1.6~beta1) unstable; urgency=medium

  [ David Kalnischkies ]
  * allow the apt/lists/auxfiles/ directory to be missing (Closes: 887624)
  * add apt-helper drop-privs command…
  * restore gcc visibility=hidden for apt-private
  * ensure correct file permissions for auxfiles

  [ Julian Andres Klode ]
  * indexcopy: Copy uncompressed indices from cdrom again (LP: #1746807)
  * Work around test-method-mirror failure by setting umask at start
  * Check that Date of Release file is not in the future
  * apt.conf.autoremove: Add linux-cloud-tools to list (LP: #1698159)

  [ Chris Leick ]
  * German manpage translation update

 -- Julian Andres Klode <jak@debian.org>  Mon, 26 Feb 2018 13:14:13 +0100

apt (1.6~alpha7) unstable; urgency=medium

  [ Mert Dirik ]
  * Turkish program translation update (Closes: 886250)

  [ David Kalnischkies ]
  * dpkg status parsing: check if name is valid before use

  [ Julian Andres Klode ]
  * apt-compat.cron.daily: Correctly handle undetermined power status
    (LP: #1742378)
  * Introduce inrelease-path option for sources.list (Closes: #886745)
  * Drop obsolete Suggests on python-apt (Closes: #887607)
  * Point people to salsa.d.o instead of anonscm.d.o for git

  [ Justin B Rye ]
  * review and fix the three new apt-transport- manpages

  [ Holger Wansing ]
  * German program translation update (Closes: 886429)

  [ Julien Patriarca ]
  * French program translation update (Closes: 887017)

 -- Julian Andres Klode <jak@debian.org>  Thu, 18 Jan 2018 14:44:14 +0000

apt (1.6~alpha6) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Add Breaks: aptitude (<< 0.8.10) for gzip method removal
  * Also look at https_proxy for https URLs
  * Run wrap-and-sort
  * Translate shared documentation parts again
  * tests: Improve handling profiling messages on CI
  * connect: Store the IP used when picking a connection
  * Add rapid "happy eyeballs" connection fallback (RFC 8305) (Closes: #668948)
    (LP: #1308200)

  [ David Kalnischkies ]
  * allow multivalue fields in deb822 sources to be folded (Closes: 881875)
  * support COLUMNS environment variable in apt tools
  * allow apt_auth.conf(5) to be translated
  * if insecure repo is allowed continue on all http errors
  * don't auto-switch candidate if installed is good enough
  * update libapt-pkg symbols file
  * explicitly name token in auth.conf parsing error
  * fix over-calculating dpkg commandline length
  * avoid some useless casts reported by -Wuseless-cast
  * deal with floats without old-style cast
  * support multiline values in LookupTag
  * mark some 500 HTTP codes as transient acquire errors
  * report transient errors as transient errors
  * implement Acquire::Retries support for all items
  * give the methods more metadata about the files to acquire
  * implement fallback to alternative URIs for all items
  * do not remap current files if nullptrs in cache generation
  * apt.daily: remove unused dbus signal for apt update (Closes: 849636)
  * Support cleartext signed InRelease files with CRLF line endings.
    Thanks to Lukas Wunner for detailed report & initial patch! (Closes: 884922)
  * document http options in new apt-transport-http manpage
  * document https options in new apt-transport-https manpage
  * refactor message generation for methods
  * allow a method to request auxiliary files
  * reimplement and simplify mirror:// method
  * require methods to request AuxRequest capability at startup
  * add tag-based control over mirror choices from the list
  * non-local mirrorlists shouldn't redirect to local
  * add apt-transport-mirror manpage

  [ Milo Casagrande ]
  * Italian program translation update (Closes: 882850)

  [ Christian Göttsche ]
  * apt.daily: fix several "shellcheck" annotations

 -- Julian Andres Klode <jak@debian.org>  Wed, 03 Jan 2018 22:33:37 +0000

apt (1.6~alpha5) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Do not attempt seccomp under qemu-user and drop EFAULT workaround
    (Closes: #881519)

  [ Frans Spiesschaert ]
  * Dutch manpage translation update (Closes: #881402)

 -- Julian Andres Klode <jak@debian.org>  Sun, 12 Nov 2017 19:57:00 +0100

apt (1.6~alpha4) unstable; urgency=medium

  * debian: Set Rules-Requires-Root: no
  * debian: Bump Standards-Version to 4.1.1
  * Re-introduce a transitional apt-transport-https

 -- Julian Andres Klode <jak@debian.org>  Sun, 05 Nov 2017 15:25:53 +0100

apt (1.6~alpha3) unstable; urgency=medium

  [ Julian Andres Klode ]
  * debian/tests/control: Add dpkg so we get triggered by it
  * seccomp: Allow ipc() for fakeroot, and allow sysinfo() for sort
    (Closes: #879814, #879826)
  * Drop unused gzip, lzma, bzip2, and xz symlinks of store
  * seccomp: Allow clock_nanosleep() and nanosleep() syscalls
  * Prevent overflow in Installed-Size (and Size) in apt show

  [ David Kalnischkies ]
  * use store: instead of gzip: to open local changelogs

 -- Julian Andres Klode <jak@debian.org>  Sat, 28 Oct 2017 17:57:05 +0200

apt (1.6~alpha2) unstable; urgency=medium

  * seccomp: Conditionalize statx() allowlisting
  * CMake: methods: Cleanup link libraries, use OBJECT libraries
  * methods: Enable additional syscalls (SYSV IPC) in fakeroot (Closes: #879662)
  * Don't segfault if receiving a method warning on empty queue
  * Only warn about seccomp() EINVAL (normal) and EFAULT (qemu) errors
  * Print syscall number and arch to stderr when trapped by seccomp

 -- Julian Andres Klode <jak@debian.org>  Thu, 26 Oct 2017 00:32:20 +0200

apt (1.6~alpha1) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Bump Standards-Version to 4.1.0
  * Drop obsolete dh-systemd build-dep
  * Drop obsolute Testsuite: autopkgtest header
  * Drop curl method and apt-transport-https package
  * Fix testsuite for and add new fields from dpkg 1.19
  * Run Proxy-Auto-Detect script from main process
  * methods/mirror: Enable sandboxing and other aptMethod features
  * Sandbox methods with seccomp-BPF; except cdrom, gpgv, rsh

  [ David Kalnischkies ]
  * proper error reporting for v3 onion services
  * allow empty build-dependency fields in the parser (Closes: #875363)
  * send the hashes for alternative file correctly
  * ignore unsupported key formats in apt-key (Closes: #876508)

  [ Mo Zhou ]
  * zh_CN.po: Update Simplified Chinese programs translation

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #879137)

 -- Julian Andres Klode <jak@debian.org>  Mon, 23 Oct 2017 01:58:18 +0200

apt (1.5) unstable; urgency=medium

  * Fix translator comment location for legacy target warning

 -- Julian Andres Klode <jak@debian.org>  Sun, 24 Sep 2017 17:54:41 +0200

apt (1.5~rc4) unstable; urgency=medium

  * apt-daily: Do not Wants=network-online, and add some more After=
    We now wait for being online ourselves, so all we need to wait
    on is for services we are using to be online first. This avoids
    severe boot slowdowns by other services having specified an
    After=network-online.target without a Wants=.

 -- Julian Andres Klode <jak@debian.org>  Wed, 13 Sep 2017 16:02:30 +0200

apt (1.5~rc3) unstable; urgency=medium

  * CMake: Properly handle Udev missing
  * CMake: Mark BZip2, LZMA, and LZ4 as required
  * apt-helper: Add connman support to wait-online

 -- Julian Andres Klode <jak@debian.org>  Sun, 10 Sep 2017 23:46:30 +0200

apt (1.5~rc2) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Actually install apt_auth.conf manual page (Closes: #873934)
  * test: Workaround gpgv warning
  * apt-daily: Wait for network before daily updates.
    Introduce a new helper, apt-helper wait-online that uses
    NetworkManager and/or systemd-networkd to wait for them
    reporting online, with a time out of 30 seconds; and run
    that helper before running the daily update script. (LP: #1699850)
  * apt-daily: Pull in network-online.target in service, not timer
  * Do not warn about duplicate "legacy" targets (Closes: #839259)
    (LP: #1697120)
  * cdrom: Don't hardcode "Files" field for copying source files
  * ftparchive: Do not pass through disabled hashes in Sources (Closes: #872963)
  * Directly link against libudev on Linux systems - this does not affect
    public API and ABI, but protected pkgUdevCdromDevices function pointers
    were renamed and are now always NULL, even if Dlopen returns true.

  [ Christos Trochalakis ]
  * doc: correct '--allow-releaseinfo-change-*' typos (Closes: #873914)

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #874285)
  * Dutch manpage translation update (Closes: #874293)

  [ David Kalnischkies ]
  * don't write & chmod /dev/null log files
  * don't ask an uninit _system for supported archs (LP: #1613184)

 -- Julian Andres Klode <jak@debian.org>  Sat, 09 Sep 2017 21:47:14 +0200

apt (1.5~rc1) unstable; urgency=medium

  * Redefine APT_CONST to mean APT_PURE (APT_CONST is deprecated)
    APT_CONST was used on functions where it should not have, causing
    the compiler to optimize code it should not have, like turning
    the "::" content in StringSplit(name, "::") into garbage because it
    figured out that the value is not going to be read anyway, causing
    stuff to go horribly wrong (mostly on -O3, really).
  * Replace APT_CONST with APT_PURE everywhere
  * Make test-bug-818628-unreadable-source work on !amd64

 -- Julian Andres Klode <jak@debian.org>  Thu, 24 Aug 2017 23:13:52 +0200

apt (1.5~beta2) unstable; urgency=medium

  [ M. Willis Monroe ]
  * Minor grammar fix

  [ Zhou Mo ]
  * zh_CN.po: update Simplified Chinese programs translation

  [ David Kalnischkies ]
  * don't expect more downloads from failed transactions
  * remove reference to a-t-debtorrent in description
  * ignore SIGPIPE in dump solver if forwarding
  * support compressed extended_states file for bug triage
  * don't move failed pdiff indexes out of partial (Closes: 869425)
  * don't try to parse all fields starting with HTTP as status-line
  * send weak-only hashes to methods
  * fail earlier if server answers with too much data
  * fail early in http if server answer is too small as well
  * use FileFd to parse all apt configuration files
  * show warnings instead of errors if files are unreadable (LP: #1701852)
  * reimplement and document auth.conf (Closes: #811181)
  * lookup login info for proxies in auth.conf
  * allow the auth.conf to be root:root owned
  * update URI scheme descriptions in sources.list(5)
  * show a warning for Debian shutting down FTP services
  * suggest using auth.conf for sources with passwords
  * ftparchive: sort discovered filenames before writing indexes.
    Thanks to Chris Lamb for initial patch & Stefan Lippers-Hollmann for testing
    (Closes: 869557)
  * don't keep configuration files open needlessly
  * don't hang if multiple sources use unavailable method (Closes: 870675)

  [ Beatrice Torracca ]
  * Italian manpage translation update (Closes: 858877)

  [ Apollon Oikonomopoulos ]
  * Handle supported components with slashes in sources.list (Closes: #868127)

  [ Julian Andres Klode ]
  * Drop cacheiterators.h include
  * methods/aptmethod.h: Add missing fileutl.h include
  * Reformat and sort all includes with clang-format
  * cacheiterators: Warn about direct include and don't include pkgcache.h
  * Update gitignore with new files
  * Use C++11 threading support instead of pthread
  * Always warn if --force-yes is validly specified, not just if used
  * Work around float rounding change in gcc 7 on i386
  * Handle GCC 7 std::string operator ABI break (Closes: #871275)
  * debian: Update symbols for libapt-pkg5.0

  [ Paul Wise ]
  * Support zero delay for the various APT::Periodic activities
  * Support seconds, minutes, hours and days for APT::Periodic intervals
  * Switch from /org to /srv in example apt-ftparchive configuration

  [ Balint Reczey ]
  * Gracefully terminate process when stopping apt-daily-upgrade (LP: #1690980)

  [ Dominik ]
  * doc: Add '--allow-unauthenticated' to '--force-yes'

 -- Julian Andres Klode <jak@debian.org>  Thu, 17 Aug 2017 19:28:00 +0200

apt (1.5~beta1) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Make Verify-Host and Verify-Peer independent again
  * http: A response with Content-Length: 0 has no content
  * Ignore download order in test-apt-update-failure-propagation
  * tls: Add more details to error messages, and detect more errors
  * Do not error out, only warn if ca certificates are not available

  [ David Kalnischkies ]
  * don't set ip addresses as server names for SNI

  [ Алексей Шилин ]
  * Russian translation update (Closes: #866749)

 -- Julian Andres Klode <jak@debian.org>  Mon, 03 Jul 2017 16:57:59 +0200

apt (1.5~alpha4) experimental; urgency=medium

  * Reset failure reason when connection was successful
  * Allow running the TLS stack on any lower connection
  * http: Add support for CONNECT proxying to HTTPS locations
  * http: Add support for https:// proxies
  * Allow http(s) and socks5h for http and https in proxy auto detect
  * Switch to 'http' as the default https method
  * Improve closing the TLS connection
  * TLS support: Error out on unsupported curl options

 -- Julian Andres Klode <jak@debian.org>  Fri, 30 Jun 2017 18:18:09 +0200

apt (1.5~alpha3) experimental; urgency=medium

  * Don't read CaInfo if not specified (missing else)
    This fixes a regression from ~alpha2. (Closes: #866559)

 -- Julian Andres Klode <jak@debian.org>  Fri, 30 Jun 2017 09:50:13 +0200

apt (1.5~alpha2) experimental; urgency=medium

  [ David Kalnischkies ]
  * support tor+https being handled by http
  * use port from SRV record instead of initial port

  [ Robert Luberda ]
  * fix a "critical" typo in old changelog entry (Closes: 866358)

  [ Julian Andres Klode ]
  * Improve error message if system CA store is empty (Closes: #866377)
  * Have apt Recommend ca-certificates
  * Demote gnupg to Suggests
  * http: Only use system CA store if CaInfo is not set
  * Bump Standards-Version (and wrap-and-sort a bit)
  * Build-Depend on debhelper (>= 10) to shut up lintian

 -- Julian Andres Klode <jak@debian.org>  Thu, 29 Jun 2017 17:52:19 +0200

apt (1.5~alpha1) experimental; urgency=medium

  [ Julian Andres Klode ]
  * pkgcache: Bump major version to 12
  * Squashed 'triehash/' changes from 565fde4e7..0ca66b761
  * methods: Add HTTPS support to http method, using GnuTLS.
    The http method will eventually replace the curl-based
    https method, but for now, this is an opt-in experiment
    that can be enabled by setting Dir::Bin::Methods::https
    to "http".
    Known issues:
    - We do not support HTTPS proxies yet
    - We do not support proxying HTTPS connections yet (CONNECT)
    - IssuerCert and SslForceVersion are unsupported
  * Allow building without curl
  * Introduce Acquire::AllowTLS to turn off TLS support
  * Skip test-apt-download-progress
  * Strip 0: epochs from the version hash

  [ David Kalnischkies ]
  * schedule the correct side of the conflict for removal.
    Thanks to Michael Biebl for helping find this with countless tests
  * don't show incorrect 'How odd' error in no-download mode (Closes: 863635)
  * Show permission error if ProxyAutoDetect cmd can't be executed
    (Closes: 857885)
  * Avoid chdir in acquire clean with unlinkat (Closes: 860738)
  * ident a CD without changing directory
  * clean archives without changing directory
  * avoid changing directory in mirror method
  * warn if an expected file can't be acquired
  * show .diff/Index properly as ignored if we fallback
  * fail InRelease on non-404 HTTP errorcodes
  * deal with 3xx httpcodes as required by HTTP/1.1 spec
  * fail instead of warn on insecure repositories in apt-get
  * error in update on Release information changes
  * show a Release-Notes URI if infos were changed
  * allow frontends to override releaseinfo change behaviour
  * ask for releaseinfo change interactively in apt

 -- Julian Andres Klode <jak@debian.org>  Wed, 28 Jun 2017 19:52:24 +0200

apt (1.4.6) unstable; urgency=medium

  * apt.systemd.daily: Do not pass -d to unattended-upgrade for the download
  job. This actually enables debugging. Instead check if unattended-upgrade
  supports an option --download-only (which is yet to be implemented) and use
  that (Closes: #863859)

 -- Julian Andres Klode <jak@debian.org>  Thu, 01 Jun 2017 10:50:26 +0200

apt (1.4.5) unstable; urgency=medium

  * Fix parsing of or groups in build-deps with ignored packages (LP: #1694697)

 -- Julian Andres Klode <jak@debian.org>  Wed, 31 May 2017 14:52:25 +0200

apt (1.4.4) unstable; urgency=medium

  [ Alan Jenkins ]
  * apt.systemd.daily: fix error from locking code (Closes: #862567)

 -- Julian Andres Klode <jak@debian.org>  Tue, 16 May 2017 23:19:50 +0200

apt (1.4.3) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Do not try to (re)start timers outside 'apt' package (Closes: #862001)

  [ Miroslav Kure ]
  * Updated Czech translation of apt (Closes: #861943)

 -- Julian Andres Klode <jak@debian.org>  Thu, 11 May 2017 14:46:28 +0200

apt (1.4.2) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Run unattended-upgrade -d in download part
  * apt.systemd.daily: Add locking
  * Split apt-daily timer into two (LP: #1686470)

  [ Matt Kraai ]
  * bash-completion: Fix spelling of autoclean (Closes: #861846)

 -- Julian Andres Klode <jak@debian.org>  Thu, 04 May 2017 22:52:10 +0200

apt (1.4.1) unstable; urgency=medium

  [ Julian Andres Klode ]
  * systemd: Rework timing and add After=network-online (LP: #1615482)
  * debian/rules: Actually invoke dh_clean in override_dh_clean

  [ Unit 193 ]
  * apt-ftparchive: Support '.ddeb' dbgsym packages

 -- Julian Andres Klode <jak@debian.org>  Mon, 24 Apr 2017 18:47:55 +0200

apt (1.4) unstable; urgency=medium

  * The April Fools' Release

  [ Julian Andres Klode ]
  * Ignore \.ucf-[a-z]+$ like we do for \.dpkg-[a-z]+$
  * Fix mistake in CHANGEPATH comment example

  [ Chris Lamb ]
  * auto-removal: Ignore running kernel if attempting a reproducible build
    (Closes: #857632)

  [ Joe Dalton ]
  * Danish program translation update (Closes: #856723)

  [ David Kalnischkies ]
  * Fix and avoid quoting in CommandLine::AsString (LP: #1672710)
  * Ignore AutomaticRemove conffile option in upgrade (Closes: #855891)

 -- Julian Andres Klode <jak@debian.org>  Sat, 01 Apr 2017 21:39:37 +0200

apt (1.4~rc2) unstable; urgency=medium

  [ David Kalnischkies ]
  * add Auto-Built-Package to tagfile-order
  * don't test with "too early for 32bit" years

  [ Julian Andres Klode ]
  * Do not lowercase package names representing .dsc/.deb/... files (Closes: #854794)
  * shippable: Perform CI on Debian stretch instead of Ubuntu xenial
  * Don't use -1 fd and AT_SYMLINK_NOFOLLOW for faccessat()
    Thanks to James Clarke for debugging these issues
  * CMake: Install statvfs.h to include/sys, not just include/
  * debian: Generate debian/copyright during clean

 -- Julian Andres Klode <jak@debian.org>  Wed, 22 Feb 2017 16:02:10 +0100

apt (1.4~rc1) unstable; urgency=medium

  [ David Kalnischkies ]
  * don't show update stats if cache generation is disabled
  * don't lock dpkg in 'apt-get clean'
  * don't lock dpkg in update commands
  * avoid validate/delete/load race in cache generation
  * fix 'install --no-download' mode
  * remove 'old' FAILED files in the next acquire call (Closes: 846476)
  * stop rred from leaking debug messages on recovered errors (Closes: #850759)
  * make the moo reproducible.
    Thanks to Chris Lamb for initial patch and guru meditation (Closes: #848721)
  * update release mappings in documentation
  * avoid malloc if option allowlist is disabled (default)

  [ Julian Andres Klode ]
  * basehttp: Only read Content-Range on 416 and 206 responses (LP: #1657567)
  * test suite: Do not exit 0 in trap for QUIT
  * Only merge acquire items with the same meta key (Closes: #838441)

  [ Zhou Mo ]
  * po: update Simplified Chinese program translation

  [ Jean-Pierre Giraud ]
  * French manpages translation update (Closes: 852460)

  [ victory ]
  * Japanese manpages & program translation update

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #853761)
  * Dutch manpage translation update (Closes: #853762)

 -- Julian Andres Klode <jak@debian.org>  Mon, 06 Feb 2017 14:41:23 +0100

apt (1.4~beta4) unstable; urgency=medium

  * Read dpkg tables to handle architecture wildcards.
    Thanks to James Clarke <jrtc27@jrtc27.com> for the initial patch
    (Closes: #748936)
  * https: Quote path in URL before passing it to curl (LP: #1651923)
  * Update symbols file for changes in 1.3.1, 1.4~beta{1,3,4}

 -- Julian Andres Klode <jak@debian.org>  Tue, 17 Jan 2017 15:18:27 +0100

apt (1.4~beta3) unstable; urgency=medium

  [ Lukasz Kawczynski ]
  * Honour Acquire::ForceIPv4/6 in the https transport

  [ David Kalnischkies ]
  * reword "Can't drop priv" warning message (Closes: #813786) (LP: #1522675)
  * let {dsc,tar,diff}-only implicitly enable download-only
  * remove needless fork() in apt-get source
  * default to --no-check for dpkg-source call (Closes: 724744)
  * warn if clearsigned file has ignored content parts
  * ensure generation of valid EDSP error stanzas
  * add --indep-only for build-dep command (Closes: #845775)
  * allow default build-essentials to be overridden
  * expand -f to --fix-broken in error messages.
    Thanks to Kristian Glass for initial patch! (Closes: #709092)
  * separating state variables regarding server/request (Closes: #440057)
  * fix minimum pkgs option for dpkg --recursive usage
  * allow warning generation for non-allowlisted options

  [ Oriol Debian ]
  * Catalan program translation update (Closes: #846514)

  [ Frans Spiesschaert ]
  * Dutch manpages translation update (Closes: #849235)

  [ Niels Thykier ]
  * ParseDepends: Support passing the desired architecture (Closes: #845969)

 -- Julian Andres Klode <jak@debian.org>  Thu, 05 Jan 2017 20:50:01 +0100

apt (1.4~beta2) unstable; urgency=high

  [ John R. Lenton ]
  * bash-completion: Only complete understood file paths for install
    (LP: #1645815)

  [ Julian Andres Klode ]
  * SECURITY UPDATE: gpgv: Check for errors when splitting files (CVE-2016-1252)
    Thanks to Jann Horn, Google Project Zero for reporting the issue
    (LP: #1647467)
  * gpgv: Flush the files before checking for errors

 -- Julian Andres Klode <jak@debian.org>  Thu, 08 Dec 2016 15:21:16 +0100

apt (1.4~beta1) unstable; urgency=medium

  [ Chris Leick ]
  * Updated German documentation translation
  * fix three typos in sources & manpages
  * German translation proof read by Helge Kreutzmann

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #840552)
  * Dutch manpages translation update (Closes: #840757)

  [ David Kalnischkies ]
  * don't install new deps of candidates for kept back pkgs
  * keep Release.gpg on untrusted to trusted IMS-Hit (Closes: 838779)
  * fix testcase expecting incorrect remove log from dpkg
  * reset HOME, USER(NAME), TMPDIR & SHELL in DropPrivileges (Closes: 842877)
  * show the conflicting distribution warning again (Closes: 841874)
  * rename Checksum-FileSize to Filesize in hashsum mismatch
  * improve SOCKS error messages for http slightly
  * support 'apt build-dep .' (aka: without /)
  * add TMP/TEMP/TEMPDIR to the TMPDIR DropPrivileges dance
  * http: skip connection cleanup if we close it anyhow
  * add hidden config to set packages as Essential/Important.
    Thanks to Anthony Towns for initial patch (Closes: 767891)
  * don't warn if untransformed distribution matches.
    Thanks to Lukas Anzinger for initial patch (Closes: 644610)
  * show distribution mismatch for changed codenames
  * react to trig-pend only if we have nothing else to do
  * correct cross & disappear progress detection
  * improve arch-unqualified dpkg-progress parsing
  * don't perform implicit crossgrades involving M-A:same
  * do not configure unconfigured to be removed packages
  * skip unconfigure for unconfigured to-be removed pkgs
  * report apt-key errors via status-fd messages (LP: #1522988)
  * add apt-key support for armored GPG key files (*.asc)
  * document which keyring formats are supported by apt-key (Closes: 844724)
  * get pdiff files from the same mirror as the index
  * follow the googletest merge in build-depends

  [ Michael Vogt ]
  * Do not (re)start "apt-daily.system"
    Thanks to Alexandre Detiste (Closes: #841763)

  [ Johannes Schauer ]
  * add support for Build-Depends/Conflicts-Arch (Closes: #837395)

  [ Edgar Fuß ]
  * http: clear content before reporting the failure (Closes: #465572)

  [ James Clarke ]
  * apt-ftparchive: Support NotAutomatic and ButAutomaticUpgrades fields
    (Closes: #272557)

  [ Julian Andres Klode ]
  * TagSection: Split AlphaIndexes into AlphaIndexes and BetaIndexes
  * TagSection: Extract Find() methods taking Pos instead of Key
  * Squashed 'triehash/' content from commit 16f59e1
  * TagSection: Introduce functions for looking up by key ids
  * debListParser: Convert to use pkgTagSection::Key-based lookup
  * Bump the cache major version for non-backportable changes
  * Introduce tolower_ascii_unsafe() and use it for hashing
  * Optimize VersionHash() to not need temporary copy of input
  * Compare size before data when ordering cache bucket entries
  * debListParser: Micro-optimize AvailableDescriptionLanguages()
  * Do not use MD5SumValue for Description_md5()
  * gpgv: Untrust SHA1, RIPE-MD/160, but allow downgrading to weak

  [ Paul Wise ]
  * show output as documented for APT::Periodic::Verbose 2 (Closes: 845599)

 -- Julian Andres Klode <jak@debian.org>  Fri, 25 Nov 2016 23:49:54 +0100

apt (1.3.1) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Do not read stderr from proxy autodetection scripts
  * travis: Move codecov from after_success to after_script

  [ victory ]
  * Japanese manpages translation update

  [ Mert Dirik ]
  * Turkish program translation update (Closes: #838731)

 -- Julian Andres Klode <jak@debian.org>  Tue, 04 Oct 2016 19:43:35 +0200

apt (1.3) unstable; urgency=medium

  [ David Kalnischkies ]
  * abort connection on '.' target replies in SRV
  * edsp: try 2 to read responses even if writing failed

  [ Julian Andres Klode ]
  * test: Always install dpkg into our tests, regardless of MA
  * CMake: Add coverage build type
  * Coverage: Do not print messages from gcov
  * VersionHash: Do not skip too long dependency lines

 -- Julian Andres Klode <jak@debian.org>  Tue, 20 Sep 2016 23:53:51 +0200

apt (1.3~rc4) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Fix segfault and out-of-bounds read in Binary fields
  * TagFile: Fix off-by-one errors in comment stripping
  * Base256ToNum: Fix uninitialized value
  * test-apt-cdrom: Fix for gnupg 2.1.15
  * CMake: test/libapt: Use a prebuilt GTest library if available
  * CMake: apt-pkg: Use correct ICONV_INCLUDE_DIRS variable
  * acquire: Use priority queues and a 3 stage pipeline design
    => faster updates with better progress reporting
  * debian: Move bugscript to old location for overlayfs xdev issue
  * debian: Pass -O to make to get readable build logs

  [ David Kalnischkies ]
  * try not to call memcpy with length 0 in hash calculations
  * re-add apt breaks/replaces apt-utils (<< 1.3~exp2~) (Closes: #836220)
  * support long keyid and fingerprint in gpgv's GOODSIG

 -- Julian Andres Klode <jak@debian.org>  Fri, 02 Sep 2016 20:26:36 +0200

apt (1.3~rc3) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Ignore SIGINT and SIGQUIT for Pre-Install hooks
    This basically fixes Bug #832593, as long as your /bin/sh
    is not dash, as dash is evil.
  * prepare-release: Use equivs and gdebi-core for travis deps
  * install-progress: Call the real ::fork() in our fork() method
  * Packaging cleanup:
    - debian: Install etc/apt if present (e.g., on Ubuntu)
    - tests/control: Handle the gpg1/gpg2 mess a bit better
    - debian: Make better use of the tree installed by CMake
    - debian: Switch to debhelper 10
    - debian: Add more lintian overrides
    - debian: Drop outdated stuff
    - debian: Run wrap-and-sort
    - Add new symbols to symbols file
  * Build system fixes, including:
   - CMake: Translations: Don't rebuild .mo for line number changes
   - CMake: Translations: Pass --previous to msgmerge.
     Thanks to Guillem Jover for the suggestion.
   - CMake: Do not add po/ if USE_NLS is OFF
   - CMake: Install config and logging directories
   - CMake: Translations: Build byproduct before output
   - CMake: Add Large File Support (Closes: #834767)
  * Several portability fixes (full test suite passes on FreeBSD), including:
   - CMake: Discover docbook stylesheet in other locations
   - Add missing includes and external definitions
   - Use C locale instead of C.UTF-8 for protocol strings
   - Make directory paths configurable
   - Lower-case uname -r output in kernel autoremove helper
   - Make root group configurable via ROOT_GROUP
  * Accept --autoremove as alias for --auto-remove
  * apt-inst: debfile: Pass comp. Name to ExtractTar, not Binary
  * changelog: Respect Dir setting for local changelog getting
  * init: Add Dir::Bin::planners default entry
  * Switch documentation from httpredir.d.o to deb.d.o

  [ Zhou Mo ]
  * zh_CN.po: update simplified Chinese translation

  [ David Kalnischkies ]
  * do dpkg --configure before --remove/--purge --pending (Closes: 835094)
  * prevent C++ locale number formatting in text APIs (try 3) (LP: 1611010)
  * do fail on weakhash/loop earlier in acquire (Closes: 835195)
  * do not restore selections for already purged packages
  * apt-key: warn instead of fail on unreadable keyrings
  * show apt-key warnings in apt update (Closes: 834973)
  * treat .ddeb files like .deb, especially for dpkg (LP: #1616909)
  * randomize acquire order for same type index files
  * don't loop on pinning pkgs from absolute debs by regex (Closes: 835818)

 -- Julian Andres Klode <jak@debian.org>  Tue, 30 Aug 2016 22:20:28 +0200

apt (1.3~rc2) unstable; urgency=medium

  [ Julian Andres Klode ]
  * debian/NEWS: Get rid of 1.3~pre3+cmake1 entry.
    Thanks to Axel Beckert for reporting
  * CMake: Use COPYONLY instead of @ONLY
  * fileutl: empty file support: Avoid fstat() on -1 fd and check result
  * Change anonscm.d.o links to /git/apt/apt.git and https

  [ David Kalnischkies ]
  * don't perform int<float in progress bar drawing
  * ensure a good clock() value for usage and tests
  * drop incorrect const attribute from DirectoryExists (LP: 1473674)
  * http(s): allow empty values for header fields (Closes: 834048)
  * don't sent Range requests if we know its not accepted
  * don't try pipelining if server closes connections (Closes: #832113)
  * log with the failed item description, not with next try
  * retry without same redirection mirror on 404 errors
  * support getting only-uncompressed files via by-hash
  * support compression and by-hash for .diff/Index files (Closes: #824926)
  * default to Dir=/ in dpkg/status file finding magic
  * add the gpg-classic variant to the gpgv/gnupg or-group
  * allow spaces in fingerprints for 'apt-key del'
  * add --with-source option and Packages/Sources support
  * don't count each Type as an individual deb822-sources stanza
  * methods: read config in most to least specific order (Closes: 834642)

 -- Julian Andres Klode <jak@debian.org>  Wed, 17 Aug 2016 23:31:07 +0200

apt (1.3~rc1) unstable; urgency=medium

  * Summary: CMake branch merged, socks5h (and tor) support, and fancy
    installation ordering changes.

  [ Julian Andres Klode ]
  * Handle interrupt when running Pre-Install hooks (Closes: #832593)
  * CMake: po: Add mirror method
  * CMake: Translations: Add support for shell scripts
  * debian: make autopkgtest run with CMake build dir
  * CMake: Bump minimum required version to 3.4.0
  * CMake: Check for ptsname_r() again (Closes: #833674)
  * CMake: Rewrite existing Documentation support and add doxygen
  * apt-private: Do not include apti18n.h in headers
  * Get rid of the old buildsystem
  * Fix some indentation issues in README.md

  [ David Kalnischkies ]
  * pass --force-remove-essential to dpkg only if needed
  * use dpkg --unpack --recursive to avoid long cmdlines
  * save and restore selection states before/after calling dpkg
  * select remove/purge packages early on for dpkg
  * call dpkg with --no-triggers by default (Closes: #626599)
  * don't purge directly, but remove and do purge at the end
  * ensure all configures are reported to hook scripts
  * ensure all removes are reported to hook scripts
  * support all socks-proxy known to curl in https method
  * suggest transport-packages based on established namescheme
  * fail on unsupported http/https proxy settings (Closes: #623443)
  * detect redirection loops in acquire instead of workers
  * use the same redirection handling for http and https
  * implement generic config fallback for methods
  * implement socks5h proxy support for http method (Closes: 744934)
  * allow methods to be disabled and redirected via config
  * allow user@host (aka: no password) in URI parsing
  * try to avoid removal of crossgraded packages
  * simulate all package manager actions explicitly
  * disable explicit configuration of all packages at the end
  * block direct connections to .onion domains (RFC7687)
  * http: auto-configure for local Tor proxy if called as 'tor'

 -- Julian Andres Klode <jak@debian.org>  Thu, 11 Aug 2016 14:10:22 +0200

apt (1.3~pre3+cmake2) experimental; urgency=medium

  * Build-depend on pkg-config

 -- Julian Andres Klode <jak@debian.org>  Sat, 06 Aug 2016 23:18:37 +0200

apt (1.3~pre3+cmake1) experimental; urgency=medium

  [ Julian Andres Klode ]
  * configure.ac: Re-enable pthread support for thread-local _error
  * CMake: Add basic CMake build system
  * CMake: Add support for building and installing .mo files
  * CMake: Add initial support for documentation building
  * CMake: Switch integration tests and travis over
  * CMake: debian: Switch packaging over to CMake and dh 9

  [ Jason Travis ]
  * doc: update path to periodic options script

 -- Julian Andres Klode <jak@debian.org>  Sat, 06 Aug 2016 22:37:30 +0200

apt (1.3~pre3) unstable; urgency=medium

  [ Julian Andres Klode ]
  * ExecGPGV: Fork in all cases
  * ExecGPGV: Pass current config state to apt-key via temp file (LP: #1607283)

  [ David Kalnischkies ]
  * tests: activate dpkg multi-arch even if test is single arch
  * ensure Cnf::FindFile doesn't return files below /dev/null
  * don't hardcode /var/lib/dpkg/status as dir::state::status
  * allow arch=all to override No-Support-for-Architecture-all
  * support "install ./foo.changes"
  * clean up default-stanzas from extended_states on write
  * report warnings&errors consistently in edit-sources
  * create non-existent files in edit-sources with 644 instead of 640
  * report progress for removing while purging pkgs
  * use a configurable location for apport report storage
  * report progress for triggered actions
  * call flush on the wrapped writebuffered FileFd
  * verify hash of input file in rred
  * use proper warning for automatic pipeline disable
  * http: skip requesting if pipeline is full
  * rred: truncate result file before writing to it (Closes: #831762)
  * eipp: avoid producing file warnings in simulation (Closes: 832614)
  * if the FileFd failed already following calls should fail, too
  * edsp: try to read responses even if writing failed
  * prevent C++ locale number formatting in text APIs (try 2) (Closes: 832044)
  * apt-key: kill gpg-agent explicitly in cleanup

  [ Mert Dirik ]
  * Turkish program translation update (Closes: 832039)

 -- Julian Andres Klode <jak@debian.org>  Thu, 04 Aug 2016 10:23:49 +0200

apt (1.3~pre2) unstable; urgency=medium

  [ Andrew Patterson ]
  * Add kernels with "+" in the package name to APT::NeverAutoRemove
    (Closes: #830159)

  [ David Kalnischkies ]
  * add Testsuite-Triggers to tagfile-order
  * tests: fix external solver/planner directory setup

 -- Julian Andres Klode <jak@debian.org>  Fri, 08 Jul 2016 14:28:57 +0200

apt (1.3~pre1) unstable; urgency=medium

  Upload to unstable from the pub because Niels wanted it

  [ David Kalnischkies ]
  * show right binary name in simulation notice (Closes: 825216)
  * imbue datetime parsing with C.UTF-8 locale (Closes: 828011)
  * imbue .diff/Index parsing with C.UTF-8 as well
  * close server if parsing of header field failed
  * add myself to Uploaders
  * eipp: implement version 0.1 of the protocol
  * eipp: provide the internal planer as an external one
  * eipp: make no difference between remove & purge
  * eipp: properly handle arch-specific provides
  * eipp: implement Immediate-Configuration flag
  * eipp: add Allow-Temporary-Remove-of-Essentials
  * eipp: rename stanza 'Install' to 'Unpack'
  * eipp: enable xz-compressed scenario logging
  * if conf unset, don't read / as conf/pref/sources dir
  * don't do atomic overrides with failed files (Closes: 828908)
  * if reading of autobit state failed, let write fail
  * write auto-bits before calling dpkg & again after if needed
  * protect only the latest same-source providers from autoremove
  * reinstalling local deb file is no downgrade
  * do not treat same-version local debs as downgrade
  * alias apt-key list to finger (Closes: 829232)
  * warn if apt-key is used in scripts/its output parsed
  * deprecate 'apt-key update' and no-op it in Debian
  * use +0000 instead of UTC by default as timezone in output
  * avoid 416 response teardown binding to null pointer
  * report write errors in EDSP/EIPP properly back to caller
  * EIPP/EDSP log can't be written is a warning, not an error
  * don't change owner/perms/times through file:// symlinks
  * report all instead of first error up the acquire chain
  * keep trying with next if connection to a SRV host failed

  [ Zhou Mo ]
  * zh_CN.po: update simplified chinese translation

  [ Julian Andres Klode ]
  * methods/ftp: Cope with weird PASV responses.
    Thanks to Lukasz Stelmach for the initial patch (Closes: #420940)
  * Fix buffer overflow in debListParser::VersionHash() (Closes: #828812)
  * cache: Bump minor version to 6
  * indextargets: Check that cache could be built before using it
    (Closes: #829651)

  [ Nicolas Le Cam ]
  * Use the ConditionACPower feature of systemd in the apt-daily service
    (Closes: #827930)
  * Add a apt suggests powermgmt-base

 -- Julian Andres Klode <jak@debian.org>  Thu, 07 Jul 2016 20:25:18 +0200

apt (1.3~exp3) experimental; urgency=medium

  [ Petter Reinholdtsen ]
  * Norwegian Bokmål program translation update (Closes: 827067)

  [ David Kalnischkies ]
  * apt-key: don't search PATH if command is a path already
  * don't use FindFile for external Dir::Bin commands
  * http: don't hang on redirect with length + connection close
  * merge sources.list lines based on Release filename (Closes: 826944)
  * avoid std::get_time usage to sidestep libstdc++6 bug (LP: 1593583)
  * do not error if auto-detect-proxy cmd has no output (Closes: 827713)
  * implement and document DIRECT for auto-detect-proxy
  * run update post-invokes even on (partial) failures
  * handle weak-security repositories as unauthenticated (Closes: 827364)
  * generalize secure->insecure downgrade protection
  * forbid insecure repositories by default expect in apt-get (Closes: 808367)
  * source: if download is skipped, don't try to unpack
  * better error message for insufficient hashsums (Closes: 827758)
  * add [weak] tag to hash errors to indicate insufficiency
  * ensure filesize of deb is included in the hashes list
  * add insecure (and weak) allow-options for sources.list

  [ Dominic Benson ]
  * Reinstate caching of file hashes in apt-ftparchive (Closes: #806924)

  [ Zhou Mo ]
  * zh_CN.po: update simplified chinese translation

 -- Julian Andres Klode <jak@debian.org>  Wed, 22 Jun 2016 14:50:12 +0200

apt (1.3~exp2) experimental; urgency=medium

  [ Johannes 'josch' Schauer ]
  * edsp: document unique package identifiers

  [ David Kalnischkies ]
  * edsp: warn if unexpected stanzas appear in the solution
  * show globalerrors before asking for confirmation
  * show final solution in --no-download --fix-missing mode
  * document --no- as --show-upgraded is the default (Closes: 824456)
  * fail instead of segfault on unreadable config files (Closes: 824503)
  * convert EDSP to be based on FileFd instead of FILE*
  * edsp: dump: support dumping into compressed file
  * edsp: add Forbid-{New-Install,Remove} and Upgrade-All
  * update symbols file
  * no-change bump of Standards-Version to 3.9.8
  * override lintian on doxygens embedded-javascript-library
  * fix and document on the fly compressor config
  * prevent C++ locale number formatting in text APIs (Closes: #825396)
  * accept only the expected UTC timezones in date parsing (Closes: 819697)
  * avoid changing the global LC_TIME for Release writing
  * use de-localed std::put_time instead rolling our own
  * use std::locale::global instead of setlocale
  * look into the right textdomain for apt-utils again
  * try to detect sudo spawned root-shell in prefixing (Closes: 825742)
  * ignore std::locale exception on non-existent "" locale
  * apt-key: change to / before find to satisfy its CWD needs.
    Thanks to Samuel Thibault for 'finding' the culprit! (Closes: 826043)
  * edsp: use an ID mapping for the internal solver
  * edsp: use a stanza based interface for solution writing
  * edsp: optionally store a compressed copy of the last scenario
  * move 'dump' solver from apt-utils to apt package
  * edsp: if internal is used, keep this decision
  * edsp: if logging is requested, do it for internal, too
  * edsp: drop privileges before executing solvers
  * don't explicitly configure the last round of packages
  * drop Dpkg::MaxArgs in favor of Dpkg::MaxArgsBytes
  * do not hang on piped input in PipedFileFdPrivate
  * don't leak an FD in lz4 (de)compression
  * don't leak EDSP solver output fd
  * don't leak FD in AutoProxyDetect command return parsing

  [ Julian Andres Klode ]
  * Provide complete apt bash completion.
    Thanks to Elias Fröhner and Svyatoslav Gryaznov for the initial work
    (LP: #1573547)
  * apt.systemd.daily: Put opening brace of check_power on extra line
    (LP: #1581985)
  * Add conflicting Signed-By values to error message
  * Normalize Signed-By values by removing trailing commas everywhere
  * Pass -fvisibility-inlines-hidden to g++

  [ Zhou Mo ]
  * zh_CN.po: update simplified Chinese translation.

  [ Yuri Kozlov ]
  * Russian program translation update (Closes: 824702)

  [ Takuma Yamada ]
  * Japanese program translation update (Closes: 826291)

 -- Julian Andres Klode <jak@debian.org>  Sat, 11 Jun 2016 17:23:19 +0200

apt (1.3~exp1) experimental; urgency=medium

  [ David Kalnischkies ]
  * make random acquire queues work less random
  * add dep11 files to default Release patterns
  * don't ask server if we have entire file in partial/
  * properly format multiline error messages
  * format multiline errors properly in acquire progress
  * show more details for "Hash Sum mismatch" errors
  * show more details for "Writing more data" errors, too
  * use the same redirection mirror for all index files
  * edsp: ask policy engine for the pin of the version directly
  * give rc-status packages a pin of -1
  * respect user pinning in M-A:same version (un)screwing
  * deprecate confusing Pkg.CandVersion() method
  * factor out Pkg/DepIterator prettyprinters into own header
  * gpgv: use EXPKEYSIG instead of KEYEXPIRED
  * gpgv: handle expired sig as worthless
  * don't show NO_PUBKEY warning if repo is signed by another key
    (Closes: 618445)
  * support multiple fingerprints in signed-by
  * support Signed-By in Release files as a sort of HPKP
  * bugscript: include all configuration fragment files (Closes: 820861)
  * move gnupg|gnupg2 from apt Depends to Recommends
  * warn if apt-key is run unconditionally in maintainerscript
  * remove 100-levels config nesting limit
  * let DPKG_COLORS default to our APT::Color setting
  * allow redirection for items without a space in the desc again
  * delay progress until Release files are downloaded
  * download arch:all also for NATIVE_ARCHITECTURE indextargets
  * implement Fallback-Of for IndexTargets
  * implement Identifier field for IndexTargets
  * gpgv: show always webportal error on NODATA (Closes: 823746)
  * don't sent uninstallable rc-only versions via EDSP
  * edsp: support generic and solver-specific configs (Closes: 823918)

  [ Julian Andres Klode ]
  * policy: Get rid of old (pre-1.1) GetCandidateVer algorithm
  * private-show: Get rid of old policy support code
  * ftparchive: Support writing Signed-By fields
  * Strip trailing commas for created signed-by fingerprint lists
  * update: Run Post-Invoke-Success if not all sources failed

  [ Patrick Cable ]
  * refactored no_proxy code to work regardless of where https proxy is set

  [ James McCoy ]
  * deb822: Restore support for <multivalue>-{Add,Remove}

  [ Zhou Mo ]
  * zh_TW.po: remove several fuzzy tags after review

  [ Adrian Wielgosik ]
  * Don't copy strings in Startswith, Endswith
  * Speed up GetLocalitySortedVersionSet.

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: 823976)

 -- Julian Andres Klode <jak@debian.org>  Wed, 11 May 2016 10:48:27 +0200

apt (1.2.11) unstable; urgency=medium

  [ David Kalnischkies ]
  * ensure transaction states are changed only once
  * stop handling items in doomed transactions.
    Thanks to Barr Detwix & Vincent Lefevre for log files (Closes: 817240)
  * do not require non-broken systems in 'upgrade'
  * detect compressed status files on extension again
  * recheck Pre-Depends satisfaction in SmartConfigure (LP: #1569099)
  * fix Alt-Filename handling of file method
  * allow uncompressed files to be empty in store again
  * silently skip acquire of empty index files
  * ensure outdated files are dropped without lists-cleanup

  [ Kelemen Gábor ]
  * Hungarian program translation update (Closes: 820638)

 -- Julian Andres Klode <jak@debian.org>  Mon, 25 Apr 2016 15:23:49 +0200

apt (1.2.10) unstable; urgency=medium

  [ Zhou Mo ]
  * zh_CN.po: update simplified Chinese translation. (100%)

  [ Julian Andres Klode ]
  * test-apt-download-progress: Use a larger file for testing
  * Allow lowering trust level of a hash via config

  [ Michael Vogt ]
  * Use systemd.timer instead of a cron job (Closes: #600262, #709675, #663290)
    (LP: #246381, #727685)

  [ David Kalnischkies ]
  * use buffered writing for InRelease splitting

  [ Takuma Yamada ]
  * Japanese program translation update (Closes: 819938)

 -- Michael Vogt <mvo@debian.org>  Tue, 05 Apr 2016 20:23:47 +0200

apt (1.2.9) unstable; urgency=high

  [ David Kalnischkies ]
  * drop confusing comma from no strong hash message

  [ Julian Andres Klode ]
  * Do not mark packages for keep that we want to remove (LP: #1562402)
    (This fixes some upgrades involving renames where the old package
     is removed)

 -- Julian Andres Klode <jak@debian.org>  Sun, 27 Mar 2016 01:26:51 +0100

apt (1.2.8) unstable; urgency=medium

  [ Michael Vogt ]
  * Get accurate progress reporting in apt update again

  [ Julian Andres Klode ]
  * Report non-transient errors as errors, not as warnings
  * methods/gpgv: Rewrite error handling and message.
    Thanks to Ron Lee for wording suggestions
  * Use descriptive URIs in 104 Warning messages
  * cachefile: Only set members that were initialized successfully
    (Closes: #818628)
  * Update symbols file

  [ David Kalnischkies ]
  * do not strip epochs from state version strings (Closes: 818162)
  * properly check for "all good sigs are weak" (Closes: 818910)
  * handle gpgv's weak-digests ERRSIG

  [ Zhou Mo ]
  * zh_CN.po: update simplified Chinese translation. (Closes: #818639)

  [ Takuma Yamada ]
  * Japanese manpage translation update (Closes: 818950)

 -- Julian Andres Klode <jak@debian.org>  Thu, 24 Mar 2016 19:31:24 +0100

apt (1.2.7) unstable; urgency=medium

  "Caesar is dead"

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: 817060)
  * Dutch manpages translation update (Closes: 817062)

  [ Julian Andres Klode ]
  * Use native architecture instead of amd64 for build-dep-purge test
  * Do not consider SHA1 usable
  * Test that SHA1-only .diff/Index files are not used
  * test: Use SHA512 digests for GPG, reject SHA1-based signatures
  * methods/gpgv: Reject weak digest algorithms
  * apt-pkg/acquire-worker.cc: Introduce 104 Warning message
  * methods/gpgv: Warn about SHA1 (and RIPEMD-160)

  [ David Kalnischkies ]
  * require $(HASH)-Download field in .diff/Index files
  * flush line-clearing on progress stop before post-invoke (Closes: 793672)
  * enforce verify of filesize in 'apt-get source'

  [ Manuel "Venturi" Porras Peralta ]
  * Spanish apt-mark translation fix (Closes: 817999)

  [ Zhou Mo ]
  * zh_CN.po: fix translation bug. (Closes: #818177)

  [ Michael Vogt ]
  * Fix bug where the problemresolve can put a pkg into a heisenstate
    (LP: #1550741)

 -- Julian Andres Klode <jak@debian.org>  Tue, 15 Mar 2016 19:20:18 +0100

apt (1.2.6) unstable; urgency=high

  [ Veres Lajos ]
  * Fix several typos

  [ Julian Andres Klode ]
  * apt-pkg/algorithms.cc: Avoid stack buffer overflow in KillList
    (Closes: #701069)
  * urgency=high because this fixes a stack overflow and the last
    upload fixed several segfaults and has not migrated yet either.

 -- Julian Andres Klode <jak@debian.org>  Mon, 07 Mar 2016 19:49:38 +0100

apt (1.2.5) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * apt-key del should correctly handle keyids prefixed with 0x

  [ David Kalnischkies ]
  * support APT::Get::Build-Dep-Automatic again in build-dep
  * add test for apt-key 0xKEY and use parameter expansion.
    Thanks to James McCoy for the suggestion. (Closes: 816691)
  * do not move not-failed pdiff-patches into CWD on failure (Closes: #816837)
  * get group again after potential remap in Source: parse.
    Thanks to Francesco Poli and Marc Haber for testdata. (Closes: 812251)

  [ Colin Watson ]
  * Fix lzma write support to handle "try again" case (Closes: #751688)

  [ Julian Andres Klode ]
  * Prevent double remapping of iterators and string views
  * debian/control: Set Standards-Version to 3.9.7

 -- Julian Andres Klode <jak@debian.org>  Sun, 06 Mar 2016 19:47:45 +0100

apt (1.2.4) unstable; urgency=medium

  [ David Kalnischkies ]
  * use local changelog from /usr/share/doc if possible
  * always download changelogs into /tmp first
  * pass versioned provides to external solvers in EDSP

  [ Julian Andres Klode ]
  * Fix maintscript to properly remove 20changelog (Closes: #814754)
  * Fix crash with empty architecture list (LP: #1549819)
  * Add missing numeric includes in files using std::accumulate()

 -- Julian Andres Klode <jak@debian.org>  Sat, 27 Feb 2016 14:02:47 +0100

apt (1.2.3) unstable; urgency=high

  [ Julian Andres Klode ]
  * Set seekpos to 0 after reopening files in Seek() (Closes: #812994, #813000)

  [ David Kalnischkies ]
  * get dpkg lock in build-dep if cache was invalid again (Closes: 814139)

 -- Julian Andres Klode <jak@debian.org>  Wed, 10 Feb 2016 18:02:20 +0100

apt (1.2.2) unstable; urgency=medium

  [ David Kalnischkies ]
  * always create pkg at the time pkg:arch is created
  * reimplement build-dep via apts normal resolver
    (Closes: #137560, #444930, #489911, #583914, #728317, #812173)
  * parse version correctly from binary Source field (Closes: 812492)
  * get sources for packages in multiple releases again (Closes: 812497)
  * only warn about missing/invalid Date field for now (Closes: 809329)
  * support <libc>-<kernel>-<cpu> in architecture specs.
    Thanks to Bálint Réczey for initial patch (Closes: #812212)
  * avoid building dependency tree in 'source' command

  [ Stefan Bühler ]
  * fix "Mismatched free() / delete / delete []" in simple_buffer

  [ Julian Andres Klode ]
  * Do not buffer writes larger than the buffer if possible
  * Drop the g++ build-dep, transition is done
  * NEWS: Prefix the keep deb option with Binary::apt:: (Closes: #812111)
  * rred: If there were I/O errors, fail
  * Correctly report write errors when flushing buffered writer
  * test: Fix apt-key tests to work with current gpg 2.1

  [ Manuel "Venturi" Porras Peralta ]
  * Spanish program translation update (Closes: 813467)

  [ Adrian Wielgosik ]
  * Try avoiding loading long package description
  * Avoid temporary strings in SubstVar.

  [ Fredrik Fornwall ]
  * edspsystem.cc: include <stdlib.h> for mkdtemp (Closes: #807367)

 -- Julian Andres Klode <jak@debian.org>  Thu, 04 Feb 2016 22:50:43 +0100

apt (1.2.1) unstable; urgency=high

  [ Zhou Mo ]
  * po: update zh_CN programs translation

  [ Julian Andres Klode ]
  * Remap StringView instances pointing into the cache (Closes: #812251)

  [ Michael Vogt ]
  * Log calling SUDO_USER or PKEXEC_UID in history.log.
    Thanks to Thomas Reusch

 -- Julian Andres Klode <jak@debian.org>  Mon, 25 Jan 2016 18:03:50 +0100

apt (1.2) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Do not break apt-file (<< 3.0~exp1~), 2.X works fine
  * Version the build-depends on liblz4-dev to >= 0.0~r126
  * search: Handle packages without description (Closes: #810622)
  * Only enable pipelining if server is HTTP/1.1 (Closes: #810796)

  [ Mattia Rizzolo ]
  * Sort the list of sources to be built and linked (Closes: #810509)

  [ Michael Vogt ]
  * Do not show multiple identical apt-cache showsrc entries (Closes: #734922)

  [ David Kalnischkies ]
  * evaluate sourceslist-list-format entity in vendors sources.list.
    Thanks to Niels Thykier for reporting on IRC
  * update symbols file
  * fix M-A:foreign provides creation for unknown archs
  * revert file-hash based action-merging in acquire (Closes: 810046)
  * return correct position in APT::StringView::(r)find

  [ Zhou Mo ]
  * po: update simplified chinese programs translation

 -- Julian Andres Klode <jak@debian.org>  Fri, 15 Jan 2016 19:52:19 +0100

apt (1.2~exp1) experimental; urgency=medium

  [ Beatrice Torracca ]
  * Italian manpages translation update (Closes: 809522)

  [ David Kalnischkies ]
  * add optional support for comments in pkgTagFile
  * support comments in debian/control parsing (Closes: 806775)
  * properly parse comments in apt_preferences and deb822-style sources
  * include all compressed Packages/Sources files in Release file
  * use one 'store' method to rule all (de)compressors
  * ensure compression cleanup even without lists-cleanup
  * allow pdiff bootstrap from all supported compressors
  * keep compressed indexes in a low-cost format
  * support '-' and no parameter for stdin in apt-helper cat-file
  * tests: limit autotest-functionname generation to sane characters
  * use filesize of compressed pdiffs for the limit if possible
  * remove uncompressed leftover partial file before pdiff bootstrap

  [ Michael Vogt ]
  * Add support for APT::Periodic::CleanInterval.
    Thanks to Martin-Éric Racine
  * Add bash-completion support for the "apt" command (Closes: #747094)
  * Add new APT::Keep-Downloaded-Packages option (Closes: #160743)

  [ Julian Andres Klode ]
  * Change compressor costs to be 100 apart
  * apt-cache: stats: Average is over used, not all, buckets
  * Increase APT::Cache-HashTableSize default to 50503
  * travis: pull liblz4-dev from wily
  * FileFd: (native) LZ4 support
  * apt-helper: cat-file: Add -C/--compress option
  * CopyFile: Use 64 * 1024 instead of 64000 as buffer size
  * acquire: Allow parallelizing methods without hosts
  * rred: Run in parallel
  * Introduce internal APT::StringView class
  * Switch performance critical code to use APT::StringView
  * pkgCacheGenerator::StoreString: Get rid of std::string
  * pkgCacheGenerator: CurMd5.Value() cannot be empty
  * AvailableDescriptionLanguages: Use one string for all iterations
  * NEWS: Document recompression of indices
  * Store the size of strings in the cache
  * libapt-pkg5.0: Add Breaks appstream (<< 0.9.0-3~)

  [ Helmut Grohne ]
  * Allow building without libgtest-dev under <nocheck> build profile
    (Closes: #809726)

 -- Julian Andres Klode <jak@debian.org>  Fri, 08 Jan 2016 21:41:10 +0100

apt (1.1.10) unstable; urgency=medium

  [ David Kalnischkies ]
  * deal with empty values properly in deb822 parser (Closes: 808102)

  [ Beatrice Torracca ]
  * fix 3 typos/omissions in apt.conf(5) (Closes: 809160)

  [ Julian Andres Klode ]
  * BufferedWriter: flushing: Check for written < size instead of <=
  * aptconfiguration: Set default compression level to 6
  * BufferedFileFdPrivate: Make InternalFlush() save against errors
  * Switch to DJB hashing and use prime number as table size
  * Turn tolower_ascii() and isspace_ascii() into inline functions
  * Fix test case that was broken by switch of hash function
  * pkgTagSection::Scan: Fix read of uninitialized value
  * pkgCacheGenerator: Allow passing down an already created cache
  * Add support for calculating hashes over the entire cache
  * Do not sync the cache file

 -- Julian Andres Klode <jak@debian.org>  Wed, 30 Dec 2015 00:40:53 +0100

apt (1.1.9) unstable; urgency=medium

  Highlights: buffered rred writes and slightly faster cache generation (~10%)

  [ Julian Andres Klode ]
  * Introduce isspace_ascii() for use by parsers
  * Convert most callers of isspace() to isspace_ascii()
  * pkgcachegen: Use std::unordered_map instead of std::map
  * debListParser: ParseDepends: Only query native arch if needed
  * debListParser: Do not validate Description-md5 for correctness twice
  * ParseDepends: Mark branches for build-dep parsing as unlikely
  * rred: Only call pkgInitConfig() in test mode
  * FileFdPrivate: Add getter and setter for fields
  * FildFd: Introduce a Flush() function and call it from Close()
  * FileFd: Add a buffered writing mode
  * rred: Use buffered writes
  * pkgcachegen.h: Hack around unordered_map not existing before C++11
  * doc/acquire-additional-files.txt: Mention apt-helper cat-file

  [ Niels Thykier ]
  * Hex2Digit: Do not use isxdigit()

  [ David Kalnischkies ]
  * allow repositories to forbid arch:all for specific index targets

 -- Julian Andres Klode <jak@debian.org>  Sun, 27 Dec 2015 19:16:36 +0100

apt (1.1.8) unstable; urgency=medium

  * apt-helper: Add a cat-file command for concatening files
  * Change InternalReadLine to always use buffer.read() return value

 -- Julian Andres Klode <jak@debian.org>  Sat, 26 Dec 2015 23:23:02 +0100

apt (1.1.7) unstable; urgency=medium

  The real "speed up rred for uncompressed files" release

  * Use a hardcoded buffer size of 4096 to fix performance
  * rred: Allow passing files as arguments for compressor testing
  * Get rid of memmove() in our read buffering

 -- Julian Andres Klode <jak@debian.org>  Sat, 26 Dec 2015 19:10:14 +0100

apt (1.1.6) unstable; urgency=medium

  Merry Christmas from the APT Team

  [ Pino Toscano ]
  * Fix FileUtlTest.GetTempDir failure when run as root (Closes: #808383)
  * CopyFile: fix BufSize to a sane value (Closes: #808381)
  * CopyFile: avoid failing on EOF on some systems (Closes: #808381)

  [ Julian Andres Klode ]
  * Do nothing in FileFd::Write() if Size is 0 (Closes: #808381)

  [ David Kalnischkies ]
  * avoid evaluating shell in paths used in apt-key
  * avoid triggering gpg2 migration in apt-key
  * follow dpkg and xz and use CRC64 for xz compression
  * parse xz-compression level from configuration
  * implement a buffer system for FileFd::ReadLine (Closes: 808579)
  * ensure we got a lock in clean operation (Closes: 808561)

 -- Julian Andres Klode <jak@debian.org>  Thu, 24 Dec 2015 17:01:49 +0100

apt (1.1.5) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Do not swap required and important in pkgCache::Priority()
    Thanks to Manuel A. Fernandez Montecelo for discovering this
    (Closes: #807523)
  * Convert package names from Packages files to lower case (Closes: #807012)
  * test framework: Correctly generate new paths in noopchroot
  * debian/apt.auto-removal.sh: Adjust -dbg exclusion for multi-arch
  * pkgcache: Make hash arch-independent using fixed size integer
  * test-apt-download-progress: Run the https test multiple times

  [ David Kalnischkies ]
  * update symbols files to 1.1.4 state of affairs
  * parse .diff/Index hashes in reverse order
  * redirect which stderr to /dev/null for consistency (Closes: 807373)
  * show a more descriptive error for weak Release files (Closes: 806459)
  * support regex and co in 'apt-cache policy $pkg' again (Closes: 807870)
  * non-existing directories don't need to be cleaned (Closes: 807477)

  [ Seo Sanghyeon ]
  * fix incorrect Korean translation of "manually" and "automatically"

  [ Andreas Metzler ]
  * mention APT::AutoRemove::{Recommends,Suggests}Important option
    (Closes: 807413)

 -- Julian Andres Klode <jak@debian.org>  Mon, 14 Dec 2015 16:56:11 +0100

apt (1.1.4) unstable; urgency=medium

  [ Julian Andres Klode ]
  * defaults.mak: Set LC_COLLATE=C.UTF-8 for reproducible sort order
  * Avoid overflow when summing up file sizes

  [ David Kalnischkies ]
  * add a apt breaks (apt-utils << 1.1.3) for partial-upgrades (Closes: 806765)
  * require explicit paths to dsc/control as we do for deb files
    (Closes: 806693)
  * use @CHANGEPATH@ as placeholder in changelog URI templates
  * replace "which" with "command -v" for portability.
    Thanks to Mingye Wang for the suggestion. (Closes: 807144)
  * replace run-parts with find|sort to avoid debianutils usage
  * part revert, part redo 'which' replacement.
    Thanks to Jakub Wilk for pointing out #747320

  [ Fredrik Fornwall ]
  * apt-helper.cc: include <stdlib.h> for atoi (Closes: 807031)

 -- Julian Andres Klode <jak@debian.org>  Mon, 07 Dec 2015 15:31:31 +0100

apt (1.1.3) unstable; urgency=medium

  [ David Kalnischkies ]
  * use function pointers instead of weak symbols for cmdline parsing
  * accept ../ on the cmdline as start for a deb file as well
  * add apt-utils Depends apt (= ${binary:Version})

  [ Andreas Cadhalpun ]
  * do not override exact targetrelease matches with lesser matches
    (Closes: 746412)

 -- Michael Vogt <mvo@debian.org>  Mon, 30 Nov 2015 08:49:40 +0100

apt (1.1.2) unstable; urgency=medium

  [ David Kalnischkies ]
  * outsmart gcc -O3 over-optimization in pkgCdrom::FindPackages
  * disable privilege-drop verification by default as fakeroot trips over it
    (Closes: 806475)
  * fix program name detection in rsh method
  * disable privilege dropping for rsh/ssh method by default (Closes: 806511)

  [ Michael Vogt ]
  * do not use "-Wl,-Bsymbolic-functions" during the build to avoid breakage

 -- Julian Andres Klode <jak@debian.org>  Sat, 28 Nov 2015 22:47:40 +0100

apt (1.1.1) unstable; urgency=medium

  [ Michael Vogt ]
  * Deal with killed acquire methods properly instead of hanging
    (Closes: #806406)
  * Check if the Apt::Sandbox::User exists in CheckDropPrivsMustBeDisabled()
    (Closes: #806406)

  [ David Kalnischkies ]
  * appease adequate with some weak symbols for -private (Closes: #806422)

 -- Michael Vogt <mvo@debian.org>  Fri, 27 Nov 2015 16:04:59 +0100

apt (1.1) unstable; urgency=medium

  [ Justin B Rye ]
  * review apt(8) manpage
  * review apt-mark(8) manpage
  * review apt-secure(8) manpage
  * review sources.list(5) manpage

  [ Michael Vogt ]
  * upload ABI break version from experimental to unstable

 -- Michael Vogt <mvo@debian.org>  Thu, 26 Nov 2015 12:33:44 +0100

apt (1.1~exp16) experimental; urgency=medium

  [ David Kalnischkies ]
  * do not use _apt for file/copy sources if it isn't world-accessible
    (Closes: 805069)
  * support setting empty values (sanely) & removing support
    for space-gapping: '-o option= value'
    Thanks to Daniel Hartwig for initial patch. (Closes: 693092)
  * ignore lost+found in private directory cleanup (Closes: 805424)
  * update libapt-{pkg,inst} symbols files
  * do not rerun ./configure causing FTCBFS with newer autotools-dev.
    Thanks to Helmut Grohne for the detailed bugreport. (Closes: 804923)
  * do not segfault in cache generation on mmap failure (Closes: 803417)
  * do not sent Last-Modified if we expect a changed file
  * show potentially arch-qualified fullname in 'apt show'

  [ Frans Spiesschaert ]
  * Dutch manpages translation (NEW) (Closes: 805474)

  [ Justin B Rye ]
  * review of new/changed translatable program strings

 -- Michael Vogt <mvo@debian.org>  Tue, 24 Nov 2015 21:29:14 +0100

apt (1.1~exp15) experimental; urgency=medium

  [ Julian Andres Klode ]
  * deblistparser: Make PrioList const
  * srvrec: Do not expose C++11 tuple use in header
  * cacheset: Fix compilation on new GCC in C++98 mode
  * Provide tests for thread-safety

  [ Mert Dirik ]
  * Turkish program translation update (Closes: 802610)

  [ David Kalnischkies ]
  * implement a public pkgSystem::MultiArchSupported
  * implement a public pkgSystem::ArchitecturesSupported
  * implement operator* for cacheset iterators
  * refactor dpkg execution in deb/debsystem
  * provide public interface to hold/unhold packages
  * allow all dpkg selections to be set via apt-mark and libapt
  * drop privileges in file:// method as we do for decompressors
  * unbreak the copy-method claiming hashsum mismatch since ~exp9
    (Closes: 799158)
  * show progress info while 'downloading' a local .deb file
  * support .deb files in upgrade operations as well
  * rework errors and warnings around insecure repositories (Closes: 796549)
  * refer to apt-secure(8) in unsecure repositories warning
  * suggest 'apt autoremove' to get right of unneeded packages (Closes: 801571)
  * add binary-specific options via Binary scope
  * revamp apt(8) to refer more instead of duplicating
  * disable updating insecure repositories in apt by default
  * new quiet level -qq for apt to hide progress output
  * hidden support more apt-get/apt-cache commands in apt
    (Closes: 778234, 780700, 781237)
  * show version and type in "apt (r)depends" (Closes: 218995)
  * revamp all tools help messages
  * sanify API to get 'the' candidate version (Closes: #803471)
  * support arch:all data e.g. in separate Packages file
  * ignore newlines in dpkg-deb control output for installing debs
    (Closes: 802553)
  * allow acquire method specific options via Binary scope
  * encode UTF-8 characters correctly in QuoteString (Closes: 799123)
  * activate AI_IDN by default to support IDN domains (Closes: 763437)

 -- Michael Vogt <mvo@debian.org>  Wed, 11 Nov 2015 17:04:43 +0100

apt (1.1~exp14) experimental; urgency=medium

  [ Julian Andres Klode ]
  * Revert "Fix select timeout to be 50msec instead of 0.5msec" for acquire
  * .travis.yml: Add pinned vivid for gettext and clean up a bit
  * Allow -i and -u as aliases for installed and upgradable in list

 -- Michael Vogt <mvo@debian.org>  Tue, 20 Oct 2015 18:25:04 +0200

apt (1.1~exp13) experimental; urgency=medium

  [ Michael Vogt ]
  * Use xgettext --no-location in make update-pot
  * Fix select timeout to be 50msec instead of 0.5msec (Closes: #799857)

  [ David Kalnischkies ]
  * M-A: allowed pkgs of unconfigured archs do not satisfy :any
  * implement dpkgs vision of interpreting pkg:<arch> dependencies
  * add Source-Version field for EDSP
  * fix insecure use of /tmp in EDSP solver 'dump' (Closes: 795600)
  * select kernels to protect from autoremove based on Debian version
    (Closes: 787827)
  * implement autobit and pinning in EDSP solver 'apt'
  * do not discard new manual-bits while applying EDSP solutions
  * include debug information in the autoremove-kernels file
  * avoid using global PendingError to avoid failing too often too soon
  * implement apt-get source msg 'Please use: $vcs' for git
  * do not ignore differently versioned self-provides
  * do not generate bogus hashes if hash is disabled in apt-ftparchive
  * use APT::FTPArchive hash settings as default for APT::FPArchive::$filetype
  * add --sha512 option + documentation for apt-ftparchive
  * deal with spaces in path, command and filepaths in apt-key
  * add by-hash sources.list option and document all of by-hash
  * fallback to well-known URI if by-hash fails (Closes: 798919)

 -- Michael Vogt <mvo@debian.org>  Mon, 05 Oct 2015 18:27:22 +0200

apt (1.1~exp12) experimental; urgency=medium

  [ David Kalnischkies ]
  * sources.list and indextargets option for pdiffs
  * auto-prefix $(SITE) for indextargets Description field
  * implement PDiff patching for compressed files
  * implement indextargets option 'DefaultEnabled'
  * try xz instead of bz2 first for compressed files
  * implement $(NATIVE_ARCHITECTURE) substvar for indextargets
  * detect and deal with indextarget duplicates
  * ignore for _apt inaccessible TMPDIR in pkgAcqChangelog (Closes: 797270)
  * if file is inaccessible for _apt, disable privilege drop in acquire
  * remove Christian Perrier from Uploaders as requested.
    Thanks to Christian for all the l10n, code & social contributions!
    (Closes: #783337)
  * use unusable-for-security hashes for integrity checks
  * use clock() as source for SRV randomness

  [ Miroslav Kure ]
  * Czech program translation update (Closes: 797329)

  [ Michael Vogt ]
  * Consider md5sum no longer a usable hash
  * Add support for writing by-hash dirs in apt-ftparchive

  [ Julian Andres Klode ]
  * apt-pkg/tagfile.h: Include stdint.h, fixes rdep build failures

 -- Michael Vogt <mvo@debian.org>  Fri, 11 Sep 2015 23:31:34 +0200

apt (1.1~exp11) experimental; urgency=medium

  [ Julian Andres Klode ]
  * pkgcachegen: Account for remapping when parsing depends from NewPackage.
    Thanks to Jakub Wilk for the bug report and the backtraces (Closes: #796999)
  * debian/rules: Only do parallel build if specified in DEB_BUILD_OPTIONS.
    Thanks to Jakub Wilk for the suggestion
  * cacheset: Prefer the depcache over the policy again
  * install: Set a local deb as the candidate for that package
  * Always close compressed files in FileFd
  * Use compressor support from FileFd for ExtractTar instead of programs
  * Do not parse Status fields from remote sources

  [ David Kalnischkies ]
  * just-in-time removal of broken essential packages (Closes: 796070)
  * correct 'apt update' download summary line
  * ignore AllowMem parameter in cache generation (Closes: 796459)
  * add a libapt-pkg recommends apt
  * fix various typos reported by codespell
  * use always priv-dropping for changelog download as root
  * allow explicit dis/enable of IndexTargets in sources options

  [ Anders Jonsson ]
  * Swedish program translation update (Closes: 796059)

 -- Julian Andres Klode <jak@debian.org>  Thu, 27 Aug 2015 17:55:12 +0200

apt (1.1~exp10) experimental; urgency=medium

  [ Michael Vogt ]
  * add support for SRV record lookup before connect
  * Provide "apt-get full-upgrade" to match "apt full-upgrade"
  * Add support for "apt-cache showsrc --only-source srcpkgname"
    Thanks to Steve Slangasek for the suggestion (Closes: 695633)

  [ Julian Andres Klode ]
  * Support tabs in sources.list files (Closes: #796067)
  * Re-indent GetCandidateVerNew() and make ConsiderFiles argument explicit
  * postinst: Correctly pass --home instead of -home, and fixup old user.
    Thanks to Niels Thykier for reporting this on IRC

 -- Michael Vogt <mvo@debian.org>  Mon, 24 Aug 2015 10:12:15 +0200

apt (1.1~exp9) experimental; urgency=medium

  [ Michael Vogt ]
  * Add "ca-certificates" recommends to apt-transport-https
  * test/integration/test-apt-download-progress:
    - fix test failure on fast hardware
  * Rename "Size" in ServerState to TotalFileSize
  * Make apt compile with clang++ again
  * Cleanup includes (Thanks iwyu)

  [ David Kalnischkies ]
  * re-enable patchsize limit option for pdiffs
  * better non-virtual metaIndex.LocalFileName() implementation
  * mark internal interfaces as hidden
  * restore ABI of pkgTagSection
  * streamline display of --help in all tools
  * allow uninstalled packages to be put on hold
  * use 'best' hash for source authentication (LP: #1098738)
  * re-enable support for -s (and co) in apt-get source (Closes: 742578)
  * create directory for extended_states if needed
  * create our cache and lib directory always with mode 755
  * fix file ownership tests to work on kfreebsd
  * use dpkg --merge-avail only if needed in apt-mark
  * properly handle already reinstall pkgs in ordering (Closes: 770291)
  * correct architecture detection for 'rc' packages for purge (Closes: 770898)
  * derive more of https from http method
  * properly implement pkgRecord::Parser for *.deb files
  * improve https method queue progress reporting.
    Thanks to Robert Edmonds and Anders Kaseorg for initial patchs
    (Closes: 777565, 781509)
  * calculate only expected hashes in methods
  * calculate hashes while downloading in https
  * ensure lists/ files have correct permissions after apt-cdrom add
  * unsigned Release files can expire, too
  * a hit on Release files means the indexes will be hits too
  * remove "first package seen is native package" assumption.
    Thanks to Axel Beckert for testing (Closes: 782777)
  * improve partial/ cleanup in abort and failure cases
  * a pin of 1000 always means downgrade allowed
  * remove unused and strange default-value for pins
  * show non-matching m-a:same versions in debug message
  * fix 'Source' to 'Package' rename in apt-ftparchive
  * sync TFRewrite*Order arrays with dpkg and dak
  * stop depending on copy-on-write for std::string
  * implement a more c++-style TFRewrite alternative
  * rewrite all TFRewrite instances to use the new pkgTagSection::Write
  * detect 416 complete file in partial by expected hash
  * implement VerifyFile as all-hashes check
  * detect Releasefile IMS hits even if the server doesn't
  * treat older Release files than we already have as an IMSHit
  * don't try other compressions on hashsum mismatch
  * rework hashsum verification in the acquire system
  * check patch hashes in rred worker instead of in the handler
  * add more parsing error checking for rred
  * support hashes for compressed pdiff files
  * do not request files if we expect an IMS hit
  * configurable acquire targets to download additional files
  * show URI.Path in all acquire item descriptions
  * implement 'apt-get files' to access index targets
  * store Release files data in the Cache
  * implement default apt-get file --release-info mode (Closes: 752702)
  * populate the Architecture field for PackageFiles (Closes: 687255)
  * hide Translation-* in 'apt-cache policy' output
  * provide a public interface for acquiring changelogs
    (Closes: 687147, 739854, 784027, 787190)
  * ensure valid or remove destination file in file method
  * deal better with acquiring the same URI multiple times
  * call URIStart in cdrom and file method
  * show item ID in Hit, Ign and Err lines as well
  * condense parallel requests with the same hashes to one
  * support lang= and target= sources.list options
  * bring back deb822 sources.list entries as .sources
  * detect and error out on conflicting Trusted settings
  * merge indexRecords into metaIndex
  * add sources.list Check-Valid-Until and Valid-Until-{Max,Min} options
  * implement Signed-By option for sources.list
  * remove the longtime deprecated vendor{,list} stuff
  * allow individual targets to be kept compressed
  * support gpg 2.1.x in apt-key (Closes: 781042)
  * merge keyrings with cat instead of gpg in apt-key.
    Thanks to Daniel Kahn Gillmor for the suggestion
  * handle site-changing redirects as mirror changes
  * disable locking even for root in --simulate
  * rename 'apt-get files' to 'apt-get indextargets'
  * enforce GCC5 C++11 ABI and usage
  * show or-groups in not-installed recommends and suggests lists
  * hide implicit deps in apt-cache again by default
  * just-in-time creation for (explicit) negative deps
  * add volatile sources support in libapt-pkg
  * parse packages from all architectures into the cache
  * enhance "hit paywall" error message to mention the probable cause
  * drop extra newline in 'Failed to fetch' and 'GPG error' message
  * mark again deps of pkgs in APT::Never-MarkAuto-Sections as manual.
    Thanks to Raphaël Hertzog and Adam Conrad for detailed reports and
    initial patches (Closes: 793360) (LP: #1479207)
  * change to libapt-pkg abi 5.0 with versioned symbols
  * move APT::Never-MarkAuto-Sections handling to MarkDelete
  * move manual-bit from 'oldlibs' pkg to its dependencies
  * remove Dir:: scope limit of RootDir in the documentation (Closes: 659387)
  * add {contrib,non-free}/{metapackages,oldlibs} to section specialhandling
    (Closes: 788320)

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: 771039)

  [ Julien Patriarca ]
  * French program translation update (Closes: 766755)

  [ Zhou Mo ]
  * Chinese (simplified) program translation update (Closes: 766170)
  * Chinese (simplified) program translation update (Closes: 771982)

  [ Miroslav Kure ]
  * Czech program translation update (Closes: 764055)

  [ Mert Dirik ]
  * Turkish program translation update (Closes: 763379)
  * Turkish translation update for apt (Closes: #789491)

  [ Kenshi Muto ]
  * Japanese program translation update (Closes: 763033)
  * Japanese program translation update (Closes: 772678)

  [ James McCoy ]
  * support long keyids in "apt-key del" instead of ignoring them
    (Closes: 754436)
  * tighten filtering of kernel images in apt.auto-removal (Closes: 772732)
  * Use terminfo's typical save_cursor/restore_cursor sequences
    (Closes: #772521)

  [ Manuel "Venturi" Porras Peralta ]
  * Spanish program translation update (Closes: 771815)

  [ Jean-Pierre Giraud ]
  * French manpages translation update (Closes: 771967)

  [ Theppitak Karoonboonyanan ]
  * Thai program translation update (Closes: 772913)

  [ Tomasz Buchert ]
  * Fix crash in the apt-transport-https when Owner is NULL (Closes: #778375)

  [ Helmut Grohne ]
  * parse arch-qualified Provides correctly (Closes: 777071)

  [ Beatrice Torracca ]
  * Italian manpage translation update (Closes: 776702)

  [ Jérémy Bobbio ]
  * stop displaying time of build in online help (Closes: 774342)

  [ Robert Edmonds ]
  * HttpsMethod::Fetch(): Zero the FetchResult object when leaving due to 404

  [ Milo Casagrande ]
  * Italian program translation update (Closes: 782122)

  [ Julian Andres Klode ]
  * pkgPolicy: Introduce storage and helpers for per-version pins
  * versionmatch: Extract version match checking out of Find()
  * policy: Assign per-version pins
  * apt-cache: Change version pin output to use per-version pins
  * fileutl_test.cc: Check for /etc/passwd instead of /bin/sh
  * policy: Return highest file pin if version pin == 0 in GetPriority()
  * Determine the candidate based on per-version pins, instead of old code
    (Closes: #770017, #622237, #620249, #685215)
  * policy: Fix the new policy implementation to handle downgrades correctly
  * Fix test case breakage from the new policy implementation
  * policy: Fix the handling of config-files states
  * Replace INT_MIN with std::numeric_limits<int>::min
  * Simply ignore cruft in the status files, do not treat it as prio 0
  * Fix an obscure warning from GCC
  * apt-get: Do not include apt-pkg/indexrecords.h
  * Drop C++11 elements from headers
  * Re-introduce None as a deprecated alias for No
  * Make QItem a subclass of DescItem
  * ExecFork: Use /proc/self/fd to determine which files to close
    (Closes: #764204)
  * Merge changelog entries from sid-gcc5
  * Bump apt-inst SONAME to 2.0 to adjust for the ABI break in apt-pkg
  * Annotate more methods with APT_OVERRIDE.
    Thanks to g++ -Wsuggest-override
  * debian/gbp.conf: Set multimaint-merge = True
  * debian/control: Rename libapt-pkg4.15 -> libapt-pkg5.0
  * apt.cron.daily: Reference 10periodic instead of 02periodic (LP: #1332106)
  * Makefile: Add a make fast command for development
  * Add a parameter ConsiderFiles to GetPriority(VerIterator)
  * apt-cache: Modify policy output to use per-version pins
  * Only make Upgradable() return true for packages with a candidate
    (LP: #896689)
  * apt-cache: Improve translateability of the "with priority" thing
  * policy: Be more strict about parsing pin files, and document prio 0
    (Closes: #429912)
  * apt_preferences(5): Re-document how priorities are calculated
    (Closes: #554773)
  * Drop the Section field from pkgCache::Package again
  * Fix integration tests for the removal of the Package pin output
  * Remove an invalid fi from a testcase
  * C++11: Switch from auto_ptr to unique_ptr
  * Mark SPtr as deprecated, and convert users to std::unique_ptr
  * Deprecate SPtrArray<T> and convert everyone to unique_ptr<T[]>
  * Use setresuid() and setresgid() where available
  * Accept --upgradeable as synonym for --upgradable (Closes: #787846)
  * po/fr.po: Remove the unbreakable space before ! in the confirm string
    (Closes: #727680)
  * Replace --force-yes by various options starting with --allow
  * Add integration test for Pin-Priority range checks
  * Replace UINT_MAX with std::numeric_limits<unsigned int>::max()
  * Mention that source order only matter per version (Closes: #617445)
  * Say "in combination with the other options" if an option is not understood
    (Closes: #762758)
  * apt-cache: Show an error if stats gets any arguments (Closes: #153161)
  * apt-cache(8): Mention that --names-only search provides (Closes: #618017)
  * apt_preferences(5): Correct default pin assignment documentation
    (Closes: #623706)
  * apt_preferences(5): Mention overlapping of pin matches
  * Make auto-remove and auto-clean aliases for the versions without -
    (Closes: #274159)
  * apt: Add autoremove and auto-remove commands
  * changelog: Replace spelling typo for re-enable everywhere.
    Thanks to Lintian
  * debian/control: Replace debian by Debian.
    Thanks to Lintian
  * debian/control: Drop the versioned python-apt conflict.
    Thanks to Lintian
  * debian/control: Remove XS- from Testsuite and bump Standards-Version.
    Thanks to Lintian
  * Set Acquire::Changelogs::URI::Origin::Tanglu for Tanglu changelogs
  * Also add 'in combination with the other options.' to another error
  * apt-cache(8): Drop the #versions >= #package names comparison
    (Closes: #691281)
  * apt-get: allow non-root --print-uris build-dep (Closes: #283400)
  * doc/files.dbk: Improve documentation for {src,}pkgcache.bin
    (Closes: #465551)
  * update: Check if the cache could be opened, don't just assume it
    (Closes: #756162)
  * cachefile.cc: Do not ignore return value of pkgDepCache::Init()
  * Add GetPriority(VerIterator) to pkgDepCache::Policy
  * Document the general effect of the comma operator (Closes: #574939)
  * When looking if Provides match, OR them with the normal patches
    (Closes: #760868)
  * install: If package already is the newest version, display version
    (Closes: #315149)
  * Make pkgCache::Priority() static, it does not need the instance
    (Closes: #448627)
  * Replace "extra" in "the following extra packages [...]" by "additional"
    (Closes: #82430)
  * Do not crash in 'apt show' for non-installed packages
  * debian/NEWS: Mention new pinning algorithm added in 2.0~exp1

  [ Yuri Kozlov ]
  * Russian program translation update (Closes: 789709)

  [ Guillem Jover ]
  * po-fixups: fill Project-Id-Version and Encoding correctly (Closes: 612996)
  * Do not set unhonored DPKG_NO_TSTP variable for dpkg (Closes: #765366)

  [ Daniel Hartwig ]
  * support setting a port for rsh:// in sources.list (Closes: 624727)
  * replace direct calls to egrep with grep -E.
    Thanks to David Weinehall for initial patch (Closes: 255577)

  [ Luca Bruno ]
  * Replace all "press enter" occurrences with "press [Enter]"
    Thanks to Andre Felipe Machado for initial patch (Closes: 414848)

  [ Jonathan Nieder ]
  * document VERSION 2 (and 3) pre-install-pkgs hook interface (Closes: 627188)

  [ Tomas Pospisek ]
  * document APT::Periodic::RandomSleep.
    Thanks to Chris Bainbridge and Kees Cook for initial text (Closes: 776380)

  [ Johannes Schauer ]
  * use a=experimental instead n=experimental in pin documentation
    (Closes: 783343)

  [ Kusanagi Kouichi ]
  * Show full package records in apt-cache search -f (Closes: #660851)

 -- Michael Vogt <mvo@debian.org>  Tue, 18 Aug 2015 11:15:52 +0200

apt (1.1~exp8) experimental; urgency=medium

  [ Michael Vogt ]
  * merge unstable upload version 1.0.9.3
  * Ensure /etc/apt/auth.conf has _apt:root owner
  * Use sysconf(_SC_ARG_MAX) to find the size of Dpkg::MaxArgBytes
  * Only support Translation-* that are listed in the {In,}Release file
  * Call "Dequeue()" for items in AbortTransaction() to fix race
  * prepare ABI for feature/socketpair
  * Bump ABI to 4.15

  [ David Kalnischkies ]
  * re-enable support for -s (and co) in apt-get source (Closes: 742578)
  * run acquire transactions only once
  * aborted reverify restores file owner and permission
  * test if TMPDIR is accessible before using (Closes: 765951)
  * chown finished partial files earlier
  * promote filesize to a hashstring

 -- Michael Vogt <mvo@debian.org>  Thu, 06 Nov 2014 10:01:21 +0100

apt (1.1~exp7) experimental; urgency=medium

  [ David Kalnischkies ]
  * don't cleanup cdrom files in apt-get update (Closes: 765458)
  * ignore Acquire::GzipIndexes for cdrom sources

 -- David Kalnischkies <david@kalnischkies.de>  Wed, 15 Oct 2014 20:12:15 +0200

apt (1.1~exp6) experimental; urgency=medium

  [ josch ]
  * implement the updated build profile spec

  [ Michael Vogt ]
  * methods/rsh.cc: replace strcat with std::string (Closes: #76442)
  * Add new configallowinsecurerepositories to the test framework

  [ Guillem Jover ]
  * Update Status field values handling

  [ David Kalnischkies ]
  * don't drop privileges if _apt has not enough rights
  * check for available space, excluding root reserved blocks

 -- Michael Vogt <mvo@debian.org>  Wed, 15 Oct 2014 07:47:36 +0200

apt (1.1~exp5) experimental; urgency=medium

  [ Michael Vogt ]
  * Only rename StatError files in AbortTransaction()
  * Document Acquire{MaxReleaseFileSize,AllowInsecureRepositories,
    AllowDowngradeToInsecureRepositories} and
    --no-allow-insecure-repositories
  * Fix backward compatibility of the new pkgAcquireMethod::DropPrivsOrDie()
  * Change default of Acquire::AllowInsecureRepositories to "true"
    so that this change is less disruptive, this will be switched
    to "false" again after jessie

  [ David Kalnischkies ]
  * remove useless pdiff filename output (Closes: 764737)
  * make --allow-insecure-repositories message an error
  * display a warning for unsigned repos
  * trusted=yes sources are secure, we just don't know why

 -- Michael Vogt <mvo@debian.org>  Mon, 13 Oct 2014 16:15:22 +0200

apt (1.1~exp4) experimental; urgency=medium

  [ Michael Vogt ]
  * Merge sid version 1.0.9.2
  * feature/acq-trans:
    - Make apt-get update more transactional by keeping all data from
      a sources.list line in partial/ until all data is good and only
      then move it into lists/ in one step
    - add new -o Debug::Acquire::Transaction=1 debug option
  * feature/expected-size:
    Do not download more data in the mehotds than expected if we know
    the size. For the InRelease/Release/Release.gpg add new
    Acquire::MaxReleaseFileSize that defaults to 10Mb for now
  * Verify the hashes of the downloaded compressed files early
  * Only load unauthenticated data into our parsers when the user
    explicitly asked for it via --allow-insecure-repositories
    (Acquire::AllowInsecureRepositories)
  * Print warning when trying to use unauthenticated repositories
  * Use /var/empty as the homedir for _apt
  * Revert making pkgAcquire::Item::DescURI() "const" to not break
    API
  * Do not allow going from a authenticated to unauthenticated repository
  * Add missing "adduser" dependency (for the new _apt user)
    Thanks to Russ Allbery (Closes: #763004)
  * Test if TMPDIR is a directory in apt-key and if not unset it
  * add early verification for the .diff/Index download
  * Bump library version to libapt-pkg4.14
  * Rework pkgAcqMeta{Index,Sig,ClearSig}::{Done,Failed]() for readability
  * Ignore EINVAL from prctl(PR_SET_NO_NEW_PRIVS) (closes: 764066)

  [ David Kalnischkies ]
  * deprecate Pkg->Name in favor of Grp->Name
  * drop stored StringItems in favor of in-memory mappings
  * de-duplicate version strings in the cache
  * fix progress output for (dist-)upgrade calculation
  * move PCI::From* methods into CacheSetHelper class (Closes: 686221)
  * add a (hidden) --quiet option for apt-key
  * only create new trusted.gpg if directory is writeable
  * support (multiple) arguments properly in apt-key
  * set a primary-keyring only if we have access to it
  * merge fragment keyrings in apt-key to avoid hitting gpg limits
    (Closes: 733028)
  * use apt-key adv (+ gnupg) instead of gpgv for verify
  * support gnupg2 as drop-in replacement for gnupg
  * allows one to specify fingerprints in 'apt-key del'
  * use only one --keyring in gpg interactions
  * add and use 'apt-key verify' which prefers gpgv over gpg
  * remove empty keyrings in trusted.gpg.d on upgrade
  * store source name and version in binary cache
  * allow fetcher setup without directory creation (Closes: 762898)
  * cleanup partial directory of lists in apt-get clean (Closes: #762889)
  * allow options between command and -- on commandline
  * update symbols file
  * support parsing of all hashes for pdiff
  * ensure world-readability for trusted.gpg in postinst (Closes: 647001)
  * ensure partial dirs are 0700 and owned by _apt:root
  * use _apt:root only for partial directories
  * display errortext for all Err
  * set PR_SET_NO_NEW_PRIVS also if run as non-root

  [ James McCoy ]
  * ensure apt-key del handles 16-byte key ids (Closes: 754436)

  [ Kenshi Muto ]
  * Japanese program translation update (Closes: 763033)

  [ Trần Ngọc Quân ]
  * Set STRIP_FROM_PATH for doxygen

  [ Mert Dirik ]
  * Turkish program translation update (Closes: 763379)

  [ Guillem Jover ]
  * apt-get: Create the temporary downloaded changelog inside tmpdir

  [ Miroslav Kure ]
  * [l10n] Updated Czech translation of apt (Closes: #764055)

 -- Michael Vogt <mvo@ubuntu.com>  Wed, 08 Oct 2014 09:37:35 +0200

apt (1.1~exp3) experimental; urgency=medium

  [ Michael Vogt ]
  * merged changes from debian/sid up to 1.0.9.1
  * Make /var/lib/apt/lists and /var/cache/apt/archives owned
    by the new _apt user
  * Drop Privileges in the following acquire methods:
     copy, http, https, ftp, gpgv, gzip/bzip2/lzma/xz
  * DropPrivs: Improvements based on feedback from error@debian.org

  [ Julian Andres Klode ]
  * DropPriv: Really call seteuid and not setuid, and add more checks
  * Use _apt as our unprivileged user name
  * DropPrivs: Also check for saved set-user-ID and set-group-ID
  * methods: Fail if we cannot drop privileges
  * DropPrivs: Also check for saved set-user-ID and set-group-ID

 -- Michael Vogt <mvo@debian.org>  Wed, 24 Sep 2014 22:30:09 +0200

apt (1.1~exp2) experimental; urgency=medium

  [ Guillem Jover ]
  * Add new Base256ToNum long long overload function
  * Fix ar and tar code to be LFS-safe (Closes: #742882)

  [ Michael Vogt ]
  * increase libapt-inst to version 1.6
  * Only allow "apt-get build-dep path" when path starts with ./ or /
  * Allow passing a full path to apt-get install /foo/bar.deb (CLoses: #752327)
  * merge changes from the 1.0.6 upload

 -- Michael Vogt <mvo@debian.org>  Thu, 10 Jul 2014 13:18:08 +0200

apt (1.1~exp1) experimental; urgency=low

  [ David Kalnischkies ]
  * [API Break] change "std::string pkgAcquire::Item::DescURI()" to
                       "std::string pkgAcquire::Item::DescURI() const"
  * [ABI-Break] increase hashtable size for packages/groups by factor 5
  * [ABI-Break] cleanup datatypes mix used in binary cache
  * [internal API-Break] remove the Section member from package struct
  * use 'best' hash for source authentication (LP: 1098738)
  * use HashStringList in the acquire system
  * deal with hashes in ftparchive more dynamic as well
  * re-enable pipelining via hashsum reordering support
  * parse and retrieve multiple Descriptions in one record
  * improve pkgTagSection scanning and parsing
  * invalid cache if architecture set doesn't match (Closes: 745036)

  [ Michael Vogt ]
  * add support for "apt-get build-dep foo.dsc"
  * add support for "apt-get build-dep unpacked-source-dir"
  * add support for "apt-get install foo_1.0_all.deb"
  * make "apt-get update" progress much more accurate by loading the
    sizes of the targets into the fetcher early
  * Implement simple by-hash for apt update to improve reliability of
    the update. Apt will try to fetch the Packages file via
    /by-hash/$hash_type/$hash_value if the repo supports that.
    - add APT::Acquire::$(host)::By-Hash=1 knob
    - add Acquire-By-Hash=1 to Release file
  * add Debug::Acquire::Progress debug option
  * [ABI-Break] lp:~mvo/apt/source-hashes:
    - use sha{512,256,1} for deb-src when available LP: #1098738
  * [ABI-Break] stop exporting the accidentally exported parsenetrc() symbol
  * [ABI-Break] remove the PACKAGE_MATCHER_ABI_COMPAT defines
  * [ABI BREAK] apt-pkg/pkgcache.h:
    - adjust pkgCache::State::VerPriority enum, to match reality
  * test/integration/test-debsrc-hashes:
    - add integration test, thanks to Daniel Hartwig
  * [ABI-Break] remove the PACKAGE_MATCHER_ABI_COMPAT defines
  * [ABI-Break] Pass struct IndexTarget/indexRecords to
    pkgAcqIndex{,Merge}Diffs
  * [internal API-Break] rename pkgCache::Package::NextPackage to
    pkgCache::Package::Next
  * Calculate Percent as part of pkgAcquireStatus to provide a weighted
    percent for both items and bytes
  * apt-pkg/contrib/macros.h: bump library version to 4.13
  * apt-private/acqprogress.cc: do not show file size on IMSHit, it wasn't
    fetched
  * Fix warnings from clang -Wall/clang -fsanitize=address
  * add DropPrivs() and drop privileges to nobody when running the
    the buildin apt and dump solvers
  * lp:~mvo/apt/webserver-simulate-broken-with-fix346386:
    - fix invalid InRelease file download checking and add regression
      test to server broken files to the buildin test webserver
    - add regression test for LP: #34638

 -- Michael Vogt <mvo@debian.org>  Thu, 19 Jun 2014 12:01:48 +0200

apt (1.0.10.1) unstable; urgency=medium

  * hide first pdiff merge failure debug message (Closes: 793444)
  * mark again deps of pkgs in APT::Never-MarkAuto-Sections as manual.
    Thanks to Raphaël Hertzog and Adam Conrad for detailed reports and
    initial patches (Closes: 793360) (LP: #1479207)
  * explicitly build-dep on g++ (>= 4:5.2) for gcc5 transition

 -- David Kalnischkies <david@kalnischkies.de>  Mon, 03 Aug 2015 07:29:40 +0200

apt (1.0.10) unstable; urgency=medium

  [ Zhou Mo ]
  * po: update zh_CN translation slightly
  * po: Update Simplified Chinese programs translation

  [ Mert Dirik ]
  * Turkish translation update for apt (Closes: #789491)

  [ Yuri Kozlov ]
  * Russian program translation update (Closes: 789709)

  [ Milo Casagrande ]
  * Italian program translation update (Closes: 782122)

  [ Beatrice Torracca ]
  * Italian manpage translation update (Closes: 776702)

  [ Julian Andres Klode ]
  * ExecFork: Use /proc/self/fd to determine which files to close
    (Closes: #764204)

  [ Michael Vogt ]
  * Prepare new 1.0.10 release with gcc5 abi transition

  [ David Kalnischkies ]
  * stop depending on copy-on-write for std::string
  * bump next-abi check above gcc5-abi bump
  * update symbols file to use gcc5 abi mangling

 -- David Kalnischkies <david@kalnischkies.de>  Sat, 25 Jul 2015 12:11:08 +0200

apt (1.0.9.10) unstable; urgency=medium

  [ Michael Vogt ]
  * Fix crash in pkgDPkgPM::WriteApportReport(() (LP: #1436626)
  * Move sysconf(_SC_OPEN_MAX); out of the for() loop to avoid unneeded
    syscalls
  * Fix endless loop in apt-get update that can cause disk fillup
    (LP: #1445239)

  [ Helmut Grohne ]
  * parse arch-qualified Provides correctly (Closes: 777071)

 -- Michael Vogt <mvo@debian.org>  Fri, 22 May 2015 17:38:31 +0200

apt (1.0.9.9) unstable; urgency=medium

  [ David Kalnischkies ]
  * parse specific-arch dependencies correctly on single-arch systems
    (Closes: 777760)
  * remove "first package seen is native package" assumption.
    Thanks to Axel Beckert for testing (Closes: 782777)

 -- David Kalnischkies <david@kalnischkies.de>  Tue, 28 Apr 2015 16:11:27 +0200

apt (1.0.9.8) unstable; urgency=medium

  [ David Kalnischkies ]
  * fix another d(e)select-upgrade typo (LP: #1399037)
  * properly handle expected filesize in https.
    Thanks to Robert Edmonds and Anders Kaseorg for initial patchs
    (Closes: 777565, 781509) (LP: #807303)
  * avoid depends on std::string implementation for pkgAcquire::Item::Mode
    (Closes: 781858)
  * demote VectorizeString gcc attribute from const to pure
  * keyids in "apt-key del" should be case-insensitive (Closes: 781696)
  * parse specific-arch dependencies correctly on single-arch systems
    (Closes: 777760)

  [ Michael Vogt ]
  * fix crash in order writing in pkgDPkgPM::WriteApportReport() (LP: #1436626)

 -- David Kalnischkies <david@kalnischkies.de>  Mon, 13 Apr 2015 07:14:36 +0200

apt (1.0.9.7) unstable; urgency=medium

  [ Tomasz Buchert ]
  * Fix crash in the apt-transport-https when Owner is NULL (Closes: #778375)

 -- Michael Vogt <mvo@debian.org>  Mon, 23 Feb 2015 12:54:03 +0100

apt (1.0.9.6) unstable; urgency=medium

  [ Michael Vogt ]
  * Fix missing URIStart() for https downloads
  * Add regression test for the previous commit

  [ David Kalnischkies ]
  * 128 KiB DSC files ought to be enough for everyone (Closes: 774893)
  * award points for positive dependencies again (Closes: 774924)

 -- Michael Vogt <mvo@ubuntu.com>  Fri, 16 Jan 2015 08:37:25 +0100

apt (1.0.9.5) unstable; urgency=medium

  [ David Kalnischkies ]
  * dispose http(s) 416 error page as non-content (Closes: 768797)
  * do not make PTY slave the controlling terminal (Closes: 772641)
  * always run 'dpkg --configure -a' at the end of our dpkg callings
    (Closes: 769609)
  * pass-through stdin fd instead of content if not a terminal (Closes: 773061)

  [ James McCoy ]
  * tighten filtering of kernel images in apt.auto-removal (Closes: 772732)

  [ Jean-Pierre Giraud ]
  * French manpages translation update (Closes: 771967)

  [ Zhou Mo ]
  * Chinese (simplified) program translation update (Closes: 771982)

  [ Kenshi Muto ]
  * Japanese program translation update (Closes: 772678)

  [ Theppitak Karoonboonyanan ]
  * Thai program translation update (Closes: 772913)

 -- David Kalnischkies <david@kalnischkies.de>  Tue, 23 Dec 2014 13:22:42 +0100

apt (1.0.9.4) unstable; urgency=medium

  [ David Kalnischkies ]
  * use 'best' hash for source authentication (LP: 1098738)
  * deprecate the Section member from package struct
  * allow options between command and -- on commandline
  * re-enable support for -s (and co) in apt-get source (Closes: 742578)
  * change codenames to jessie as stable POV in docs
  * close leaking slave fd after setting up pty magic (Closes: 767774)
  * fix PTY interaction on linux and kfreebsd (Closes: 765687)

  [ James McCoy ]
  * support long keyids in "apt-key del" instead of ignoring them
    (Closes: 754436)

  [ Michael Vogt ]
  * Use sysconf(_SC_ARG_MAX) to find the size of Dpkg::MaxArgBytes

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: 771039)

  [ Julien Patriarca ]
  * French program translation update (Closes: 766755)

  [ Zhou Mo ]
  * Chinese (simplified) program translation update (Closes: 766170)

  [ Miroslav Kure ]
  * Czech program translation update (Closes: 764055)

  [ Mert Dirik ]
  * Turkish program translation update (Closes: 763379)

  [ Kenshi Muto ]
  * Japanese program translation update (Closes: 763033)

  [ Manuel "Venturi" Porras Peralta ]
  * Spanish program translation update (Closes: 771815)

 -- David Kalnischkies <david@kalnischkies.de>  Wed, 03 Dec 2014 14:26:04 +0100

apt (1.0.9.3) unstable; urgency=medium

  [ josch ]
  * implement the updated build profile spec

  [ Michael Vogt ]
  * methods/rsh.cc: replace strcat with std::string (Closes: #76442)

  [ Guillem Jover ]
  * Update Status field values handling

  [ David Kalnischkies ]
  * don't cleanup cdrom files in apt-get update (Closes: 765458)

 -- Michael Vogt <mvo@debian.org>  Wed, 15 Oct 2014 19:49:38 +0200

apt (1.0.9.2) unstable; urgency=medium

  [ Michael Vogt ]
  * test/integration/test-apt-update-file: improve test
  * Fix regression when copy: is used for a relative path (Closes: #762160)
  * generalize Acquire::GzipIndex to support all compressions that
    apt supports
  * Fix regression for cdrom: sources from latest security update
  * Ensure that iTFRewritePackageOrder is "MD5sum" to match
    apt-ftparchive
  * debian/rules: add hardening=+all.
    Thanks to Simon Ruderich, Markus Waldeck

  [ Holger Wansing ]
  * German program translation update (Closes: 762223)

  [ Jérémy Bobbio ]
  * disable timestamps in the footer of docs by doxygen

  [ Trần Ngọc Quân ]
  * Set STRIP_FROM_PATH for doxygen

  [ Guillem Jover ]
  * apt-get: Create the temporary downloaded changelog inside tmpdir
    (closes: #763780) (CVE-2014-7206)

 -- Michael Vogt <mvo@debian.org>  Thu, 02 Oct 2014 22:05:39 +0200

apt (1.0.9.1) unstable; urgency=high

  [ Michael Vogt ]
  * Allow override of Proxy-Auto-Detect by the users configuration
    (Closes: 759264)
  * fix ci autopkgtest
  * fix regression from 1.0.9 when file:/// source are used and
    those are on a different partition than the apt state directory
    and add regression test

  [ Trần Ngọc Quân ]
  * l10n: vi.po (636t): Update program translation

  [ Chris Leick ]
  * Updated German documentation translation

  [ Mert Dirik ]
  * Turkish program translation update (Closes: 761394)

 -- Michael Vogt <mvo@debian.org>  Tue, 16 Sep 2014 20:52:25 +0200

apt (1.0.9) unstable; urgency=high

  * SECURITY UPDATE:
    - incorrect invalidating of unauthenticated data (CVE-2014-0488)
    - incorrect verification of 304 reply (CVE-2014-0487)
    - incorrect verification of Acquire::Gzip indexes (CVE-2014-0489)

 -- Michael Vogt <mvo@debian.org>  Mon, 15 Sep 2014 08:34:46 +0200

apt (1.0.8) unstable; urgency=medium

  [ Holger Wansing ]
  * German program translation update (Closes: 758837)

  [ Américo Monteiro ]
  * Portuguese manpages translation update (Closes: 759608)

  [ Warren He ]
  * initialize iPolicyBrokenCount in DepCache::Update (Closes: 758397)

  [ Andreas Oberritter ]
  * Avoid yielding blank lines with APT::Cmd::use-format=true

  [ Michael Vogt ]
  * Make Proxy-Auto-Detect check for each host (Closes: #759264)
  * Add testcase for apt list --all-versions
  * * apt-pkg/deb/dpkgpm.cc:
    - update string matching for dpkg I/O errors. (LP: #1363257)
    - properly parse the dpkg status line so that package name
      is properly set and an apport report is created. Thanks
      to Anders Kaseorg for the patch  (LP: #1353171)
  * Use heap to allocate PatternMatch to avoid potential stack overflow
    (Closes: 759612)
  * Run autopkgtest tests with "env -i" to avoid pollution from the host env
    (Closes: #759655)
  * test/integration/test-ubuntu-bug-346386-apt-get-update-paywall:
    - use downloadfile() to fix test failure
  * Fix incorrect upgradable listing in "apt list"
    (thanks to Michael Musenbrock) (Closes: #753297)
  * apt-pkg/cachefile.cc:
    - ensure we have a Policy in CacheFile.BuildDepCache()
  * methods/http.cc:
    - Improve Debug::Acquire::http debug output

  [ Dimitri John Ledkov ]
  * apt-ftparchive: make Packages & Sources generation optional,
    during Generate call

  [ David Kalnischkies ]
  * support regular expressions in 'apt search'
  * implement --full in apt search
  * fix progress report for upgrade and reinstall
  * rework PTY magic to fix stair-stepping on kfreebsd (Closes: 759684)
  * don't call pager in non-terminals for changelog (Closes: 755040)

 -- Michael Vogt <mvo@debian.org>  Tue, 09 Sep 2014 20:09:11 +0200

apt (1.0.7) unstable; urgency=medium

  [ Michael Vogt ]
  * add README.md
  * StringToBool: only act if the entire string is consumed by strtol()
  * Use @builddeps@ in the debian/tests/control file
  * apt-pkg/acquire-item.cc: make pkgAcqDiffIndex more uniform
  * Fix SmartConfigure to ignore ordering of packages that are already valid
  * doc/apt.8.xml: fix typo, thanks to Jakub Wilk (Closes: #756056)
  * doc/po/pt.po: updated, thanks to Américo Monteir (Closes: #756200)

  [ victory ]
  * Update Japanese documentation translation (Closes: #754817)

  [ Trần Ngọc Quân ]
  * l10n: vi.po (636t): Update one new string

  [ Julian Andres Klode ]
  * Fix debListParser to accept "no" as a value for the Multi-Arch field
    (Closes: #759099)

  [ Mert Dirik ]
  * Turkish program translation update (Closes: 756710)

  [ Miroslav Kure ]
  * Czech program translation update (Closes: 758208)

  [ David Kalnischkies ]
  * add dpkg::source-options for dpkg-source invocation (Closes: 757534)
  * support versioned provides as implemented by dpkg (Closes: 758153)

 -- Michael Vogt <mvo@debian.org>  Wed, 27 Aug 2014 17:11:42 -0700

apt (1.0.6) unstable; urgency=medium

  [ Chris Leick ]
  * German translation reviewed by Erik Pfannenstein

  [ Michael Vogt ]
  * methods/http.cc: use Req.str() in debug output
  * Do not try to parse invalid translation files (LP: #756317)
  * Do not clean "/" in pkgAcquire::Clean/pkgArchiveCleaner (Closes: #753531)
  * Only show packages as upgradable if the have a CandidateVer != 0
    (Closes: #753297)

  [ Trần Ngọc Quân ]
  * l10n: vi.po: Update 3 new messages

  [ Joe Hansen ]
  * Danish program translation update (Closes: 753979)

  [ David Kalnischkies ]
  * handle moved mmap after UniqFindTagWrite call (Closes: #753941)

  [ Michele Orrù ]
  * use printf instead of echo in testing framework

  [ Cédric Barboiron ]
  * Improve description how to turn off the caches (Closes: #753531)

  [ Guillem Jover ]
  * po: Fill or add missing Language field
  * po: Remove fuzzy from file msgid header
  * po: Fill Project-Id-Version with correct project id and version
  * po: Fix Plural-Forms fields
  * po: Fix or add missing email addresses
  * po: Fix encoding issues
  * po: Fix format specifier order in translation
  * build: Set the XSL parameter through the command line instead of sed
  * build: Convert from DebianDoc SGML to DocBook XML
  * doc: Convert from DebianDoc SGML to DocBook XML
  * doc: Unfuzzy DocBook translations

 -- Michael Vogt <mvo@debian.org>  Thu, 10 Jul 2014 11:46:07 +0200

apt (1.0.5) unstable; urgency=low

  [ Michael Vogt ]
  * fix autopkgtest tests
  * fix test-apt-ftparchive-cachedb-lp1274466 and apt-internal-solver tests
  * test/integration/test-essential-force-loopbreak: fix on non-amd64 systems
  * Tell the user if no updates are available after apt update (Closes: #751388)

  [ Michele Orrù ]
  * Check for gtest's header before building.

  [ Chris Leick ]
  * Updated translation of german documentation

  [ Konstantin Manna ]
  * fix two german manpage spelling mistakes (Closes: 751635)
  * add missing comma in SEE ALSO of apt-secure manpage (Closes: 748506)

  [ Fredrik Fornwall ]
  * use P_ instead of ngettext to compiling with --disable-nls (Closes: 751857)

  [ David Kalnischkies ]
  * don't send pkg from an unknown architecture via EDSP
  * fix SubstVar to be usable as a replace_all method
  * show our broken packages message in 'apt' solver
  * do not call resolver twice on (dist-)upgrade

  [ Stefano Zacchiroli ]
  * EDSP doc: clarify that Install/Remove packages are arch-qualified

 -- Michael Vogt <mvo@debian.org>  Wed, 18 Jun 2014 13:35:13 +0200

apt (1.0.4) unstable; urgency=low

  [ Michael Vogt ]
  * Implement CacheDB for source packages in apt-ftparchive
  * apt-private/acqprogress.cc: reset color in apt update
  * Show progress in run-tests
  * Never parse Version/Architecture tags in a Translation-$lang file
  * Show upgradable packages after apt update (Closes: 748389)
  * Fix various errors found by clang -fsanitize=address
  * Fix various errors found by clang scan-build
  * Show unauthenticated warning for source packages as well (Closes: #749795)
  * Add compat mode for old (32bit FileSize) CacheDB (LP: #1274466)
  * cmdline/apt-helper.cc: use less generic description/short-description
    in apt-helper download
  * add pkgSrcRecords::Step() to step through all the pkgSrcRecords
    (thanks to Helmut Grohne)

  [ David Kalnischkies ]
  * initialize Verify in second pkgAcqIndex constructor
  * consistently fail if Smart* packagemanager actions fail
  * fix tight loop detection and temporary removes
  * if Resolver fails, do not continue even if not broken
  * check exit status of external solvers
  * do not revert candidate for protected packages (Closes: 745046)
  * support Acquire::GzipIndexes in dumpavail (Closes: 742835)

  [ Stefano Zacchiroli ]
  * EDSP doc: fix typo in Request stanza description
  * EDSP: bump protocol version to 0.5
  * EDSP: add Architecture(s) multi-arch fields to the Request stanza
  * EDSP: add Source field to Package stanzas
  * EDSP: add APT-Release field to Package stanzas

  [ Sebastian Schmidt ]
  * fix screen width detection for apt/apt-get lists (Closes: 748430, 747942)

  [ Milo Casagrande ]
  * Italian program translation update (Closes: 750009)

 -- Michael Vogt <mvo@debian.org>  Tue, 10 Jun 2014 14:55:05 +0200

apt (1.0.3) unstable; urgency=medium

  [ Michael Vogt ]
  * reduce delta to ubuntu
  * provide support for vendor specific config files
  * debian/apt-doc.docs: remove README.MultiArch
  * Fix missing ScreenWidth check in apt.cc
  * Only do openpty() if both stdin/stdout are terminals (Closes: 746434)

  [ David Kalnischkies ]
  * add a README for vendor information
  * remove outdated README.MultiArch
  * build http request in a stringstream
  * enforce LFS for partial files in https range requests
  * handle pkgnames shorter than modifiers (Closes: 744940)
  * allow vendors to install configuration files

  [ John Ogness ]
  * properly undo CD-ROM mount in all error cases

  [ Mahyuddin Ramli ]
  * add vendor information for BlankOn (Closes: 743595)

  [ Adam Conrad ]
  * fix FileFd::Size bitswap on big-endian architectures (Closes: 745866)

  [ Trần Ngọc Quân ]
  * l10n: vi.po: Update one new string

 -- Michael Vogt <mvo@debian.org>  Mon, 05 May 2014 14:03:15 +0200

apt (1.0.2) unstable; urgency=medium

  [ Michael Vogt ]
  * fix apt list output for pkgs in dpkg ^rc state
  * Notice the user about "apt list -a" when only a single hit if found
  * fix test-failure in adt
  * apt-private/acqprogress.cc: fix output when ctrl-c is hit during
    apt update (LP: #1310548, closes: #744297)
  * Fix option name DPkg::Progress-Fancy in apt.8 manpage
    (LP: #1310506)

  [ David Kalnischkies ]
  * don't double-count seeks in FileFd::Skip for bzip/xz
  * deal with umask only if we really need to for mkstemp
  * consider priorities only for downloadable pkgs in resolver
  * force fancy progressbar redraw on window size change
  * clear HitEof flag in FileFd::Seek
  * use Google C++ Testing Framework for libapt tests
  * support dist-upgrade options in full-upgrade

  [ Trần Ngọc Quân ]
  * l10n: vi.po (624t): Update translation

  [ Theppitak Karoonboonyanan ]
  * Updated Thai program translation (closes: #745120)

  [ James McCoy ]
  * Consistently use Dpkg::Progress* in documentation (Closes: 745452)

 -- Michael Vogt <mvo@debian.org>  Fri, 25 Apr 2014 13:15:03 +0200

apt (1.0.1) unstable; urgency=medium

  [ Michael Vogt ]
  * Fix crash in "apt list" when a sources.list file is unreable
    (Closes: 743413)
  * make apt search case-insensitive by default
  * Fix possible race when stunnel/aptwebserver create their PID files
    in the tests
  * Fix insecure file permissions when using FileFd with OpenMode::Atomic
    (LP: #1304657)

  [ Julian Andres Klode ]
  * Version the Breaks/Replaces for sun-java{5,6}-jdk (LP: #1302736)
    (Closes: #743616)
  * Add versioned openjdk-6-jdk breaks

  [ Josef Vitu ]
  * apt: Minor typo in 'apt' man page (closes: #743657)

 -- Michael Vogt <mvo@debian.org>  Thu, 10 Apr 2014 09:48:56 +0200

apt (1.0) unstable; urgency=low

  The "Happy birthday and 10000b years in the making" release

  [ Julian Andres Klode ]
  * apt-inst: Do not try to create a substring of an empty string in
    error reporting (LP: #1288718)

  [ Beatrice Torracca ]
  * Italian manpages translation update (Closes: 741867)

  [ Kenshi Muto ]
  * Japanese programs translation update (Closes: 742255)

  [ David Kalnischkies ]
  * continue reading in xz even if it outputs nothing
  * only consider versioned kernel packages in autoremove (Closes: 741962)
  * correct some reported typos in /etc/cron.daily/apt (Closes: 702016)
  * ensure proper teardown in dpkg error cases (Closes: 738969)
  * update symbols file to include new symbols from 0.9.16
  * do IsInstallOk call in MarkInstall unconditionally
  * discard candidates via IsInstallOk to allow override (Closes: 740750)

  [ Michael Vogt ]
  * install apt binary
  * add apt.8.xml manpage
  * make fancy-progress fg/bg color configurable via something like
    Dpkg::Progress-Fancy::Progress-{bg,fg}="%1b[30m"
    (thanks to Tim Wasser for the suggestion)
  * Add progressbar to "Dpkg::Progress-Fancy"
  * fix documentation for APT::Periodic::MaxSize "0" (closes: #740551)
  * Use mkstemp() in apt-extracttemplaes (closes: #741627)
  * Add new Debug::RunScripts debug option
  * do not crash on SIGPIPE in pkgDPkgPM::RunScriptsWithPkgs()
  * enable DPkg::Progress-Fancy by default when "apt" is used
  * refresh po/pot and unfuzzy apt-extracttemplate manpage change
  * remove no longer needed apt.7 page
  * install "apt" binary by default
  * add sun-java{5,6}-jdk to breaks/replaces as they provided a
    "apt" binary as well

  [ Trần Ngọc Quân ]
  * l10n: vi.po (623t): Update Vietnamese translation
  * debian: Add default compress option to xz

 -- Michael Vogt <mvo@debian.org>  Tue, 01 Apr 2014 15:48:46 +0200

apt (0.9.16.1) unstable; urgency=medium

  [ Chris Leick ]
  * Updated German doc translation

  [ Julian Andres Klode ]
  * Fix handling of autoclosing for compressed files (Closes: #741685)

 -- Julian Andres Klode <jak@debian.org>  Sat, 15 Mar 2014 18:05:25 +0100

apt (0.9.16) unstable; urgency=medium

  [ Michael Vogt ]
  * add hashsum support in apt-helper download-file and
    add more tests

  [ Trần Ngọc Quân ]
  * l10n: vi.po (624t): Update Vietnamese translation

  [ David Kalnischkies ]
  * propagate a negative score point along breaks/conflicts
  * check version before adding scores in resolver
  * autogenerate makefile for vendor system
  * add default and override handling for Cnf::FindVector
  * support DEB_BUILD_PROFILES and -P for build profiles
  * do not configure already unpacked packages needlessly (Closes: 740843)
  * if mountpoint has a ".disk" directory it is mounted
  * no error for non-existing mountpoints in MountCdrom
  * apt-cdrom ident shouldn't be interactive (Closes: 740673)
  * support very long mtab entries in mountpoint discovery
  * msgstr with elipses need three dots
  * cmdline parsing: apt-config is not apt-cdrom
  * use a configurable list of versioned kernel packages
  * support kfreebsd and hurd in the kernel hook
  * add ".*-{kernel,modules}-$KERVER" matcher for hook
  * ensure that a dot is a dot in the hook
  * use liblzma-dev to provide xz/lzma support
  * use the pretty fullname of a pkg as download description

  [ Johannes Schauer ]
  * implement BuildProfileSpec support as dpkg has in 1.17.2 (Closes: 661537)

  [ Wojciech Górski ]
  * fix polish --install-suggests text in apt-get manpage (Closes: 741056)

 -- Michael Vogt <mvo@debian.org>  Fri, 14 Mar 2014 09:45:05 +0100

apt (0.9.15.5) unstable; urgency=medium

  [ Michael Vogt ]
  * vendor/tanglu/makefile: add missing clean/sources.list
  * run the acquire tests with the new apt-helper binary, this
    fixes the autopkgtest failures

  [ Martin Pitt ]
  * Fix autopkgtest missing dependencies and locale (closes: #739988)

 -- Michael Vogt <mvo@debian.org>  Fri, 28 Feb 2014 08:44:25 +0100

apt (0.9.15.4) unstable; urgency=low

  [ Michael Vogt ]
  * remove auto-generated apt-key and sources.list on clean (closes: 739749)
  * add testcase for Bug#718329
  * various fixes for ADT failures

  [ Jon Severinsson ]
  * add apt-vendor information for tanglu

  [ Guillem Jover ]
  * ExtractTar: Allow an empty decompressor program
  * DebFile: Refactor ExtractTarMember() out from ExtractArchive()
  * Add support for data.tar, control.tar and control.tar.xz
  * debian: Add debDebFile::ExtractTarMember to the symbols file
  * Fix typos in documentation (codespell)

 -- Michael Vogt <mvo@debian.org>  Sun, 23 Feb 2014 00:27:12 +0100

apt (0.9.15.3) unstable; urgency=medium

  [ Michael Vogt ]
  * disable https->http redirects in libcurl, thanks to Julien Cristau
  * ADT: use "Restrictions: allow-stderr and avoid apt-stderr.log in
    debian/tests/run-tests
  * test/integration/test-bug-723705-tagfile-truncates-fields:
    - fix autopkgtest failure
  * add missing canNotFindFnmatch/showFnmatchSelection
    (for the next ABI break)
  * disable fnmatch() matching from the commandline
  * merge testcase for the autoremove feature from the ubuntu branch

  [ David Kalnischkies ]
  * do not recommend dselect in apt-get manpage (Closes: 617625)
  * report https download start only if we really get it
  * allow http protocol to switch to https
  * do not compress .xhtml files and remove junk files (Closes: 738933)
  * simplify code some more to make reddit happy
  * update symbols file with hints from the buildlogs

 -- Michael Vogt <mvo@debian.org>  Thu, 20 Feb 2014 14:42:39 +0100

apt (0.9.15.2) unstable; urgency=medium

  [ Michael Vogt ]
  * move isatty() check into InitOutput()
  * Use a APT::VersionSet instead of a VersionList
    (closes: #738103)

  [ David Kalnischkies ]
  * simplify code to make compilers happy
  * update libapt-pkg.symbols file
  * bump Standards-Version to 3.9.5 (no changes needed)
  * do not use an empty APT_CONFIG environment variable
  * always cleanup patchfiles at the end of rred call
  * use VersionSet in download to handle repeats (Closes: 738103)
  * use utimes instead of utimensat/futimens (Closes: 738567)

  [ John Ogness ]
  * apt-cdrom should succeed if any drive succeeds (Closes: 728153)

  [ Trần Ngọc Quân ]
  * l10n: vi.po (621t): Update and review

 -- Michael Vogt <mvo@debian.org>  Thu, 13 Feb 2014 09:50:04 +0100

apt (0.9.15.1) unstable; urgency=medium

  [ David Kalnischkies ]
  * use gpg --homedir instead of explicit file placement
  * use svg in doxygen and ensure dot is around for it
  * pkgTagFile: if we have seen the end, do not try to see more
  * restart debSrcRecordParsers only if needed
  * discard impossible candidates in MarkInstall (Closes: #735967)

  [ Chris Leick ]
  * update german manpage translation
  * Trivian unfuzzies of the German po4a translation

  [ Michael Vogt ]
  * fix apt-get download truncation (closes: #736962)
  * do not crash if VF.File()/VF.File().Archive() is NULL
  * show "status" in apt list last to be more awk friendly
    (thanks to Axel Beckert)
  * Fix multiarch package upgrade issue
  * add test for Suite with path

  [ Colin Watson ]
  * multicompress with externals sets wrong file modes (Closes: 737130)

 -- Michael Vogt <mvo@debian.org>  Thu, 06 Feb 2014 18:09:19 +0100

apt (0.9.15) unstable; urgency=low

  * upload version from debian/experimental to unstable

 -- Michael Vogt <mvo@debian.org>  Sat, 25 Jan 2014 21:57:00 +0100

apt (0.9.14.3~exp5) experimental; urgency=medium

  [ Anthony Towns ]
  * methods/rred: minor robustness improvements

  [ Michael Vogt ]
  * make "apt-mark help" shows all commands
  * make "apt show" output more user friendly
  * add "apt full-upgrade" and tweak "apt upgrade"
  * set APT::Sources::Use-Deb822=false until the format
    is fully finalized

 -- Michael Vogt <mvo@debian.org>  Fri, 24 Jan 2014 23:21:04 +0100

apt (0.9.14.3~exp4) experimental; urgency=medium

  * implement deb822 suggestions by Anthony Towns and Julian Andres Klode:
    - add Description tag for deb822 sources
    - add support for Enabled: no in deb822 sources.list
    - add support for multiple URIs in deb822 style sources.list
    - add support for multiple types in one line
  * add integration test for apt search and apt show
  * do not ignore ioctl(TIOCSCTTY) errors

 -- Michael Vogt <mvo@debian.org>  Wed, 22 Jan 2014 18:59:07 +0100

apt (0.9.14.3~exp3) experimental; urgency=low

  * implement deb822 suggestions by donkult (thanks!):
    - rename "Dist" to "Suites"
    - rename "Section" to "Sections"
    - rename "Architectures-Delete" to "Architectures-Remove"
    - rename "Uri" to "URI"
  * add "apt list --manual-installed"
  * add "apt upgrade --dist"
  * add "apt purge"
  * flock() the file edited in "apt edit-sources"
  * apt-private/private-show.cc:
    - do not show Description-lang: header
  * reword apt !isatty() warning
  * add missing integration test for "apt list" and fix bugs
    found by it

 -- Michael Vogt <mvo@debian.org>  Sat, 18 Jan 2014 21:09:24 +0100

apt (0.9.14.3~exp2) experimental; urgency=medium

  [ Julian Andres Klode ]
  * debian/rules: Call dh_makeshlibs for 'apt'

  [ Anthony Towns ]
  * reimplement rred to allow applying all the diffs in a single pass
  * correct IndexDiff vs DiffIndex in Debug output

  [ David Kalnischkies ]
  * re-enable unlimited pdiff files download
  * integrate Anthonys rred with POC for client-side merge

  [ Michael Vogt ]
  * document deb822 style sources.list in sources.list(5)
  * rename "Dist:" in deb822 style sources.list to "Suite:"
  * rename URL to Uri in deb822-sources
  * support multiple "Suite:" entries in deb822 style sources.list:
    "Suite: stable testing unstable"

 -- Michael Vogt <mvo@debian.org>  Thu, 16 Jan 2014 21:43:22 +0100

apt (0.9.14.3~exp1) experimental; urgency=low

  [ Michael Vogt ]
  * add support for "deb822" style sources.list format and add
    APT::Sources::Use-Deb822 to support disabling it

  [ David Kalnischkies ]
  * implement POC client-side merging of pdiffs via apt-file

  [ Trần Ngọc Quân ]
  * l10n: vi.po(617t): Update Vietnamese translation

 -- Michael Vogt <mvo@debian.org>  Sun, 05 Jan 2014 15:13:32 +0100

apt (0.9.14.2) unstable; urgency=low

  [ Joe Hansen ]
  * Danish translation update. Closes: #732166

  [ Peter Green ]
  * add apt-vendor for raspbian. Closes: #732749

  [ Thomas Bechtold ]
  * apt-pkg/contrib/gpgv.cc: use /tmp as fallback dir if the
    directory from $TMPDIR  is not available (closes: #728500)

  [ Michael Vogt ]
  * vendor/getinfo:
    - fix ubuntu-codename
  * vendor/steamos/*:
    - add steamos support
  * bugfix/bts731738-fancy-progess:
    - fix terminal size issues with e.g. "less" when "APT::Progress-Fancy=1"
      is used (closes: #731738)
  * feature/policy-parser-bts732746:
    - allow more flexibility in /etc/apt/preferences, e.g. comment only
      sections (closes: #732746)
  * move TMPDIR handling into GetTempDir() and use that instead of
    getenv("TMPDIR")
  * update apt-key net-update and add integration test with the buildin
    apt webserver
  * run autopkgtest against the installed apt

 -- Michael Vogt <mvo@debian.org>  Sun, 29 Dec 2013 16:41:16 +0100

apt (0.9.14.1) unstable; urgency=medium

  * fix apt-get source -t dist regression (closes: #731853)
    and add testcase
  * clarify error message when apt-get source=ver fails
    (thans to David Kalnischkies)
  * Fix conffile prompt regression (LP: #1260297)
    and add testcase
  * improve error message for apt-get source pkg:arch{=ver,/release}

 -- Michael Vogt <mvo@debian.org>  Thu, 12 Dec 2013 18:34:29 +0100

apt (0.9.14) unstable; urgency=low

  [ David Kalnischkies ]
  * merge ubuntus apport reporting changes to reduce diff
  * enable NOISE for build logs to enable analyse
  * introduce a vendor system to change sources.list
  * add a vendor specific file to have configurable entities
  * use a substvar to set the archive-keyring in debian/control
  * cherry-pick ubuntus (disabled) net-update fixes
  * generate apt-key script with vendor info about keys
  * drop old /var/state to /var/lib transition artifacts

  [ Steve Langasek ]
  * prepare-release: declare the packages needed as source build deps.

  [ Michael Vogt ]
  * enable release based selection for deb-src (closes: 731102)
  * document Dpkg::Progress-Fancy (closes: 726169), thanks to James McCoy
  * vendor/makefile: fix build error for parallel builds
  * Handle SIGWINCH in APT::Progress-Fancy=1

 -- Michael Vogt <mvo@debian.org>  Sat, 07 Dec 2013 14:54:31 +0100

apt (0.9.13.1) unstable; urgency=low

  [ Colin Watson ]
  * fix "apt-get  --purge build-dep" (closes: #720597)
  * fix regression that APT::Keep-Fds is not honored (closes: #730490)

  [ Michael Vogt ]
  * add "-f" option to "build-dep" as sbuild is using it to fix
    regression with cross-building (LP: #1255806)
  * add autopkgtest support for the integration testsuite
  * merge mvo/feature/short-list
  * merge mvo/feature/edit-sources
  * fix segfault in pkgDepCache::SetCandidateRelease() (closes: #709560)
  * reset terminal on error (closes: #730795)
  * fix apport report writing (LP: #1254499)

 -- Michael Vogt <mvo@debian.org>  Fri, 29 Nov 2013 20:50:17 +0100

apt (0.9.13) unstable; urgency=low

  [ TJ Guthrie ]
  * Changed MinAgeSec to MinAge in /etc/cron.daily/apt:200,204
    LP: #1206047

 -- Michael Vogt <mvo@debian.org>  Sun, 24 Nov 2013 10:56:22 +0100

apt (0.9.13~exp1) experimental; urgency=low

  * Improve the API for APT::Upgrade::Upgrade()
  * Re-add "Calculating upgrade..." message
  * move upgrade related code into upgrade.{cc,h}
  * Move ListUpdate/AcquireUpdate into update.{cc,h}
  * Add new apt-pkg/install-progress.h with APT::Progress::PackageManager
    progress reporting classes
  * Move the status-fd progress reporting out of the pkgDPkgPM class
    and into PackageManagerProgressFd
  * Fix reading dpkg --status-fd on reinstalls
  * Add new APT::Status-deb822-Fd progress output
  * add Acquire::http::Proxy-Auto-Detect to the apt.conf.5 manpage
    (closes: 726597)
  * Fix detection when multiarch packages are reported by dpkg as
    disappeared Packages
  * test/integration/run-tests: output the failed test names
  * Code Cleanup in pkgDPkgPM
  * prepare next ABI via #if (APT_PKG_MAJOR >= 4 && APT_PKG_MINOR >= 13)
  * add new pid_t ExecFork(std::set<int> KeepFDs)
  * Avoid flickering when "apt-get -o DpkgPM::Progress-Fancy=1" is use
  * use sysconf(_SC_OPEN_MAX) in ExecFork()

 -- Michael Vogt <mvo@debian.org>  Fri, 01 Nov 2013 10:03:06 +0100

apt (0.9.12.1) unstable; urgency=low

  [ Michael Vogt ]
  * do not send pkgname:arch over the APT::Status-Fd to not break
    clients (closes: 726156). A new APT::Status-deb822-Fd will be
    used to fix this.
  * add integration tests for APT::Status-Fd
  * add missing _() around the new "Progress" string

  [ David Kalnischkies ]
  * fix progress-segfault in case of dpkg errors/prompts (Closes: 726047)

 -- Michael Vogt <mvo@debian.org>  Tue, 15 Oct 2013 18:25:51 +0200

apt (0.9.12) unstable; urgency=low

  [ Christian Perrier ]
  * Fix typo in apt-private/private-show.cc. Thanks to Benjamin
    Keresa. Closes: #724073

  [ Mark Hymers ]
  * fix libapt-inst for >2G debs (closes: #725483)

  [ David Kalnischkies ]
  * don't strip :any from dependencies in single-arch (Closes: 723586)
  * pkg from only trusted sources keeps being trusted (Closes: 617690)
  * compression-neutral message for missing data.tar member (Closes: 722710)
  * print-uris prints regardless of quiet-level again (Closes: 722207)
  * retry without partial data after a 416 response (Closes: 710924)
  * replace "filesize - 1" trick in http with proper 416 handling
  * fix partial (206 and 416) support in https
  * handle complete responses to https range requests (Closes: 617643, 667699)
    (LP: 1157943)
  * don't consider holds for autoremoval (Closes: 724995)
  * put fetch errors in 'source' on our errorstack
  * use pkgAcqArchive in 'download' for proper errors
  * fix lzma-support detection via xz binary
  * do not ++ on erased package pointers in autoremove

  [ Michael Vogt ]
  * Add new "apt-get upgrade --with-new-pkgs" option (and add man-page for it).
    So "apt-get upgrade --with-new-pkgs" will pull in new dependencies but
    never remove packages
  * Rename "--dpkg-progress" to "--show-progress" and document it in
    apt-get.8. This will show global install progress information in the
    terminal.
  * Fix status-fd progress calculation for certain multi-arch install/upgrade
    situations
  * add new -o DpkgPM::Progress-Fancy for nicer dpkg progress output
    on vt100+ terminals
  * fix libapt-inst for >2G debs (closes: #725483), thanks to Mark Hymers
  * debian/apt.postinst: use --compare-versions lt instead of lt-nl,
    to ensure the apt-auto-removal file is correctly create,
    thanks to Ben Hutchings
  * update Uploaders to match recent uploaders better
  * Set the default "Acquire::PDiffs::FileLimit" to 20. If the amount
    of pdiffs is bigger things tend to get slower. Set
      Acquire::PDiffs::FileLimit "0";
    in /etc/apt/apt.conf to get the old behavior back.

 -- Michael Vogt <mvo@debian.org>  Wed, 09 Oct 2013 22:39:41 +0200

apt (0.9.11.4) unstable; urgency=low

  [ Oskari Saarenmaa ]
  * don't truncate 100 char long paths in tar extraction.
    Thanks to Mika Eloranta for the testcase! (Closes: #689582)

  [ David Kalnischkies ]
  * do not trust FileFd::Eof() in pkgTagFile::Fill()
    Thanks to Cyril Brulebois (Closes: 723705)

 -- Michael Vogt <mvo@debian.org>  Fri, 20 Sep 2013 16:12:07 +0200

apt (0.9.11.3) unstable; urgency=low

  [ Michael Vogt ]
  * Add DPkgPM::Progress option to enable terminal install
    progress
  * fix typo (mkostemp->mkstemp)
  * Remove invalid "-f" option for apt-get check, thanks to
    Philipp Weis (closes: #721477)
  * Fix regression of "apt-cache unmet -i", thanks to Daniel Schepler
    (closes: #722324)

  [ David Kalnischkies ]
  * use FileFd in HashSum test to unbreak non-linux ports.
    Thanks to Aaron M. Ucko (Closes: 721723)

 -- Michael Vogt <mvo@debian.org>  Tue, 10 Sep 2013 17:32:02 +0200

apt (0.9.11.2) unstable; urgency=low

  [ Milo Casagrande ]
  * Update Italian translation. Closes: #721030

  [ Trần Ngọc Quân ]
  * Update Vietnamese translation. Closes: #720752

  [ Michael Vogt ]
  * dselect/install:
   - remove "-f" option for apt-get clean/auto-clean (closes: #720532)
  * apt-private/private-cmndline.cc:
    - fix typo in CmdMatches() selection for dselect-upgrade (closes: #720532)
  * use SPtr<pkgProblemResolver> in DoInstall() to simplify the code
  * allow pkg manipulation in the upgrade/dist-upgrade commandline, like
    apt-get dist-upgrade 2vcard- 4g8+ (thanks to Thorsten Glaser for the
    suggestion)

  [ Angel Guzman Maeso ]
  * replace usage of potential dangerous mktemp with mkstemp

 -- Michael Vogt <mvo@debian.org>  Sat, 31 Aug 2013 16:45:31 +0200

apt (0.9.11.1) unstable; urgency=low

  [ Michael Vogt ]
  * more coverity fixes:
    - explicit init
    - always chdir("/") after chroot()
    - ftparchive/override.cc: fix "skip empty lines" code, the pointer
      needs to get de-referenced first
  * dselect/update:
    - remove "-f" option for apt-get update to fix breakage (closes: 720532)

  [ Christopher Baines ]
  * Add test for bug #507998

  [ David Kalnischkies ]
  * add a breaks libapt-inst for FileFd changes in 0.9.9 (Closes: 720449)
  * add versions to manpages-it Replaces+Breaks

  [ Ángel Guzmán Maeso ]
  * apt-pkg:contrib Avoid compiler warning about sign-compare

 -- Michael Vogt <mvo@debian.org>  Sat, 24 Aug 2013 09:13:27 +0200

apt (0.9.11) unstable; urgency=low

  [ Daniel Hartwig ]
  * Clarify units of Acquire::http::Dl-Limit (closes: #705445)
  * Show a error message if {,dist-}upgrade is used with additional
    arguments (closes: #705510)

  [ Michael Vogt ]
  * lp:~mvo/apt/config-clear:
    - support Configuration.Clear() for a clear of the entire
      configuration
  * lp:~mvo/apt/add-glob-function:
    -  add Glob() to fileutl.{cc,h}
  * feature/apt-binary2
    - refactor large chunks of cmdline/*.cc into a new libapt-private
      library that is shared between the internal apt cmdline tools
    - install libapt-private* into the apt binary
    - add PACKAGE_MATCHER_ABI_COMPAT define so that this branch can be
      merged without breaking ABI
    - add lintian override for no-shlibs-control-file so that
      the internal libapt-private.so.0.0.0 can be shipped
    - adjust apt.install.in to only install libapt-private.so.*

  [ David Kalnischkies ]
  * ensure that pkgTagFile isn't writing past Buffer length (Closes: 719629)
  * allow Pre-Install-Pkgs hooks to get info over an FD != stdin
    (Closes: #671726)

  [ Christian PERRIER ]
  * French translation update.

 -- Michael Vogt <mvo@debian.org>  Wed, 21 Aug 2013 17:51:09 +0200

apt (0.9.10) unstable; urgency=low

  The "Hello to Debconf" upload

  [ Christian Perrier ]
  * Vietnamese translation update. Closes: #718615
  * Japanese translation update. Closes: #719279
  * French translation update.

  [ Michael Vogt ]
  * work on fixing coverity scan results:
    - fix some off-by-one errors
    - fix some resource leaks
    - fixes in chroot() handling
    - fix some missing va_end()
  * make the code -Wall clean again
  * remove duplicated #include<list>
  * add .travis.yml
  * use the 'abi-complicance-checker' package and remove the buildin
    copy for the abi checks

  [ David Kalnischkies ]
  * ensure that FileFd::Size returns 0 in error cases
  * add missing Turkish (tr) to po/LINGUAS
  * correct management-typo in description found by lintian
  * implement debian/rules build-{arch,indep} as required by policy 3.9.4
  * re-enable automatic parallel build of APT
  * exclude config.{sub,guess} from source package
  * update the symbol files to reflect current state
  * unset LANGUAGE for showing [Y/n] answer hints
  * fix some uninitialized data members
  * specific pins below 1000 cause downgrades (Closes: 543966)
  * use pkgTagFile to parse "header" of Release files
  * fix: --print-uris removes authentication (Closes: 719263)
  * always use our own trustdb.gpg in apt-key
  * use a tmpfile for trustdb.gpg in apt-key.
    Thanks to Andreas Beckmann for the initial patch! (Closes: #687611)
  * do not double-slash paths in apt-key (Closes: 665411)
  * make the keyring locations in apt-key configurable
  * let apt-key del work better with softlink and single key keyrings
  * do not call 'apt-key update' in apt.postinst

  [ Colin Watson ]
  * prefer native arch over higher priority for providers (Closes: #718482)

 -- Michael Vogt <mvo@debian.org>  Mon, 12 Aug 2013 21:45:07 +0200

apt (0.9.9.4) unstable; urgency=low

  [ David Kalnischkies ]
  * pick up Translation-* even if only compressed available (Closes: 717665)
  * request absolute URIs from proxies again (0.9.9.3 regression)
    (Closes: 717891)

  [ Michael vogt ]
  * fix missing changelog entry for 0.9.9.3 (git-dch issue)

 -- Michael Vogt <mvo@debian.org>  Fri, 26 Jul 2013 09:58:17 +0200

apt (0.9.9.3) unstable; urgency=low

  [ Ben Hutchings ]
  * debian/apt.auto-removal.sh:
    - do not include debug symbol packages for the kernel in the
      denylist (closes: #717616)

  [ Michael Vogt ]
  * debian/apt.postinst:
    - run /etc/kernel/postinst.d/apt-auto-removal once on upgrade
      to ensure that the correct auto-removal list is generated
      (closes: #717615)

  [ David Kalnischkies ]
  * skip all Description fields in apt-cache, not just first (Closes: 717254)
  * fix 'apt-cache search' crash with missing description (Closes: 647590)

  [ Raphael Geissert ]
  * Do not send a connection: keep-alive, at all

 -- Michael Vogt <mvo@debian.org>  Thu, 25 Jul 2013 17:14:58 +0200

apt (0.9.9.2) unstable; urgency=low

  [ Programs translations ]
  * Vietnamese updated by Tran Ngoc Quan. Closes: #717016

  [ David Kalnischkies ]
  * fix if-clause to generate hook-info for 'rc' packages (Closes: 717006)

 -- Michael Vogt <mvo@debian.org>  Wed, 17 Jul 2013 14:56:34 +0200

apt (0.9.9.1) unstable; urgency=low

  [ Michael Vogt ]
  * debian/rules:
    - call dh_clean in clean (closes: #714980)
  * apt-pkg/packagemanager.cc:
    - increate APT::pkgPackageManager::MaxLoopCount to 5000
  * cherry pick debian/apt.auto-removal.sh feature from the
    ubuntu/master branch

  [ Steve Langasek ]
  * debian/apt.conf.autoremove: don't include linux-image*,
    linux-restricted-modules*, and linux-ubuntu-modules* packages in the
    list to never be autoremoved.
  * debian/apt.auto-removal.sh, debian/rules, debian/apt.dirs: install new
    script to /etc/kernel/postinst.d/ which ensures we only automatically
    keep the currently-running kernel, the being-installed kernel, and the
    newest kernel, so we don't fill /boot up with an unlimited number of
    kernels.  LP: #923876.

  [ Adam Conrad ]
  * Fix up two things in debian/apt.auto-removal.sh:
    - Use exact matches with $-terminated regexes, so we don't get
      confusion between similarly-named kernel flavours.
    - Keep linux-backports-modules in sync with installed kernels.

  [ David Kalnischkies ]
  * Version 3 for DPkg::Pre-Install-Pkgs with MultiArch info (Closes: #712116)
  * implement arch+= and arch-= for sources.list
  * prevent MarkInstall of unsynced Multi-Arch:same siblings

 -- Michael Vogt <mvo@debian.org>  Thu, 11 Jul 2013 20:44:31 +0200

apt (0.9.9) unstable; urgency=low

  [ Michael Vogt ]
  * improve debug output for the Debug::pkgProblemResolver and
    Debug::pkgDepCache::AutoInstall
  * improve apt-cdrom output when no CD-ROM can be auto-detected
  * document --no-auto-detect in apt-cdrom

  [ David Kalnischkies ]
  * build the en manpages in subdirectory doc/en
  * remove -ldl from cdrom and -lutil from apt-get linkage
  * rewrite pkgOrderList::DepRemove to stop incorrect immediate setting
    (Closes: 645713)
  * prefer Essentials over Removals in ordering score
  * fix priority sorting by preferring higher in MarkInstall
  * try all providers in order if uninstallable in MarkInstall
  * do unpacks before configures in SmartConfigure (Closes: #707578)
  * fix support for multiple patterns in apt-cache search (Closes: #691453)
  * set Fail flag in FileFd on all errors consistently
  * don't explicitly init ExtractTar InFd with invalid fd
  * OpenDescriptor should autoclose fd always on error (Closes: #704608)
  * fail in CopyFile if the FileFds have error flag set
  * ensure state-dir exists before coyping cdrom files
  * fix file location for configure-index.gz in apt.conf(5) (Closes: #711921)
  * handle missing "Description" in apt-cache show (Closes: #712435)
  * try defaults if auto-detection failed in apt-cdrom (Closes: #712433)
  * support \n and \r\n line endings in ReadMessages
  * do not redownload unchanged InRelease files
  * trigger NODATA error for invalid InRelease files (Closes: #712486)

 -- Michael Vogt <mvo@debian.org>  Tue, 02 Jul 2013 08:58:33 +0200

apt (0.9.8.2) unstable; urgency=low

  [ Programs translations ]
  * French translation : typo fix. Closes: #677272

  [ Guillem Jover ]
  * Update Vcs fields (Closes: #708562)

  [ Michael Vogt ]
  * buildlib/apti18n.h.in:
    - fix build failure when building without NLS (closes: #671587)

  [ Gregoire Menuel ]
  * Fix double free (closes: #711045)

  [ Raphael Geissert ]
  * Fix crash when the "mirror" method does not find any entry
    (closes: #699303)

  [ Johan Kiviniemi ]
  * cmdline/apt-key:
    - Create new keyrings with mode 0644 instead of 0600.
    - Accept a nonexistent --keyring file with the adv subcommand as well.

 -- Michael Vogt <mvo@debian.org>  Thu, 06 Jun 2013 19:15:14 +0200

apt (0.9.8.1) unstable; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/indexcopy.cc:
    - non-inline RunGPGV methods to restore ABI compatibility with previous
      versions to fix partial upgrades (Closes: #707771)

  [ Michael Vogt ]
  * moved source to http://git.debian.org/apt/apt.git
  * updated gbp.conf to match what bzr-buildpackage is doing
  * remove .bzr-buildpackage/default.conf (superseded by gbp.conf)

 -- Michael Vogt <mvo@debian.org>  Thu, 16 May 2013 14:50:43 +0200

apt (0.9.8) unstable; urgency=low

  [ Ludovico Cavedon ]
  * properly handle if-modfied-since with libcurl/https
    (closes: #705648)

  [ Andreas Beckman ]
  * apt-pkg/algorithms.cc:
    - Do not propagate negative scores from rdepends. Propagating the absolute
      value of a negative score may boost obsolete packages and keep them
      installed instead of installing their successors.  (Closes: #699759)

  [ Michael Vogt ]
  * apt-pkg/sourcelist.cc:
    - fix segfault when a hostname contains a [, thanks to
      Tzafrir Cohen (closes: #704653)
  * debian/control:
    - replace manpages-it (closes: #704723)

  [ David Kalnischkies ]
  * various simple changes to fix cppcheck warnings
  * apt-pkg/pkgcachegen.cc:
    - do not store the MD5Sum for every description language variant as
      it will be the same for all so it can be shared to save cache space
    - handle language tags for descriptions are unique strings to be shared
    - factor version string creation out of NewDepends, so we can easily reuse
      version strings e.g. for implicit multi-arch dependencies
    - equal comparisons are used mostly in same-source relations,
      so use this to try to reuse some version strings
    - sort group and package names in the hashtable on insert
    - share version strings between same versions (of different architectures)
      to save some space and allow quick comparisons later on
  * apt-pkg/pkgcache.cc:
    - assume sorted hashtable entries for groups/packages
  * apt-pkg/cacheiterators.h:
    - provide DepIterator::IsSatisfied as a nicer shorthand for DepCheck
  * apt-pkg/deb/debversion.cc:
    - add a string-equal shortcut for equal version comparisons

  [ Marc Deslauriers ]
  * make apt-ftparchive generate missing deb-src hashes (LP: #1078697)

  [ Yaroslav Halchenko ]
  * Fix English spelling error in a message ('A error'). Unfuzzy
    translations. Closes: #705087

  [ Programs translations ]
  * French translation completed (Christian Perrier)

  [ Manpages translations ]
  * French translation completed (Christian Perrier)

  [ Daniel Hartwig ]
  * apt-pkg/contrib/strutl.cc:
    - include port in shortened URIs (e.g. with apt-cache policy, progress
      display) thanks to James McCoy (Closes: #154868, #322074)
    - percent-encode username and password when writing URIs
  * methods/http.cc:
    - properly escape IP-literals (e.g. IPv6 address) when building
      Host headers and URIs (Closes: #620344)
  * methods/https.cc:
    - use https_proxy environment variable if present, falling back to
      http_proxy otherwise
    - use authentication credentials from proxy URI
      (Closes: #651640, LP: #1087512)
    - environment variables do not override an explicit no proxy
      directive ("DIRECT") in apt.conf
    - disregard all_proxy environment variable, like other methods

 -- Michael Vogt <mvo@debian.org>  Wed, 08 May 2013 18:43:28 +0200

apt (0.9.7.9~exp2) experimental; urgency=low

  [ Programs translations ]
  * Update all PO files and apt-all.pot
  * French translation completed (Christian Perrier)

  [ Daniel Hartwig ]
  * cmdline/apt-get.cc:
    - do not have space between "-a" and option when cross building
      (closes: #703792)
  * test/integration/test-apt-get-download:
    - fix test now that #1098752 is fixed
  * po/{ca,cs,ru}.po:
    - fix merge artifact

  [ David Kalnischkies ]
  * apt-pkg/indexcopy.cc:
    - rename RunGPGV to ExecGPGV and move it to apt-pkg/contrib/gpgv.cc
  * apt-pkg/contrib/gpgv.cc:
    - ExecGPGV is a method which should never return, so mark it as such
      and fix the inconsistency of returning in error cases
    - don't close stdout/stderr if it is also the statusfd
    - if ExecGPGV deals with a clear-signed file it will split this file
      into data and signatures, pass it to gpgv for verification
    - add method to open (maybe) clearsigned files transparently
  * apt-pkg/acquire-item.cc:
    - keep the last good InRelease file around just as we do it with
      Release.gpg in case the new one we download isn't good for us
  * apt-pkg/deb/debmetaindex.cc:
    - re-enable InRelease by default
  * ftparchive/writer.cc,
    apt-pkg/deb/debindexfile.cc,
    apt-pkg/deb/deblistparser.cc:
    - use OpenMaybeClearSignedFile to be free from detecting and
      skipping clearsigning metadata in dsc and Release files

  [ Michael Vogt ]
  * add regression test for CVE-2013-1051
  * implement GPGSplit() based on the idea from Ansgar Burchardt
    (many thanks!)
  * methods/connect.cc:
    - use Errno() instead of strerror(), thanks to David Kalnischk
  * doc/apt.conf.5.xml:
    - document Acquire::ForceIPv{4,6}

 -- Michael Vogt <mvo@debian.org>  Wed, 03 Apr 2013 14:19:58 +0200

apt (0.9.7.9~exp1) experimental; urgency=low

  [ Niels Thykier ]
  * test/libapt/assert.h, test/libapt/run-tests:
    - exit with status 1 on test failure

  [ Daniel Hartwig ]
  * test/integration/framework:
    - continue after test failure but preserve exit status

  [ Programs translation updates ]
  * Turkish (Mert Dirik). Closes: #703526

  [ Colin Watson ]
  * methods/connect.cc:
    - provide useful error message in case of EAI_SYSTEM
      (closes: #703603)

  [ Michael Vogt ]
  * add new config options "Acquire::ForceIPv4" and
    "Acquire::ForceIPv6" to allow focing one or the other
    (closes: #611891)
  * lp:~mvo/apt/fix-tagfile-hash:
    - fix false positives in pkgTagSection.Exists(), thanks to
      Niels Thykier for the testcase (closes: #703240)
    - this will require rebuilds of the clients as this used to
      be a inline function

 -- Michael Vogt <mvo@debian.org>  Fri, 22 Mar 2013 21:57:08 +0100

apt (0.9.7.8) unstable; urgency=critical

  * SECURITY UPDATE: InRelease verification bypass
    - CVE-2013-1051

  [ David Kalnischk ]
  * apt-pkg/deb/debmetaindex.cc,
    test/integration/test-bug-595691-empty-and-broken-archive-files,
    test/integration/test-releasefile-verification:
    - disable InRelease downloading until the verification issue is
      fixed, thanks to Ansgar Burchardt for finding the flaw

 -- Michael Vogt <mvo@debian.org>  Thu, 14 Mar 2013 07:47:36 +0100

apt (0.9.7.8~exp2) experimental; urgency=low

  * include two missing patches to really fix bug #696225, thanks to
    Guillem Jover
  * ensure sha512 is really used when available, thanks to Tyler Hicks
   (LP: #1098752)

 -- Michael Vogt <mvo@debian.org>  Fri, 01 Mar 2013 19:06:55 +0100

apt (0.9.7.8~exp1) experimental; urgency=low

  [ Manpages translation updates ]
  * Italian (Beatrice Torracca). Closes: #696601

  [ Programs translation updates ]
  * Japanese (Kenshi Muto). Closes: #699783

  [ Michael Vogt ]
  * fix pkgProblemResolver::Scores, thanks to Paul Wise.
    Closes: #697577
  * fix missing translated apt.8 manpages, thanks to Helge Kreutzmann
    for the report. Closes: #696923
  * apt-pkg/contrib/progress.cc:
    - Make "..." translatable to fix inconsistencies in the output
      of e.g. apt-get update. While this adds new translatable strings,
      not having translations for them will not break anything.
      Thanks to Guillem Jover. Closes: #696225
  * debian/apt.cron.daily:
    - when reading from /dev/urandom, use less entropy and fix a rare
      bug when the random number chksum is less than 1000.
      Closes: #695285
  * methods/https.cc:
    - reuse connection in https, thanks to Thomas Bushnell, BSG for the
      patch. LP: #1087543, Closes: #695359
    - add missing curl_easy_cleanup()
  * methods/http.cc:
    - quote spaces in filenames to ensure as the http method is also
      (potentially) used for non deb,dsc content that may contain
      spaces, thanks to Daniel Hartwig and Thomas Bushnell
      (LP: #1086997)
    - quote plus in filenames to work around a bug in the S3 server
      (LP: #1003633)
  * apt-pkg/indexrecords.cc:
    - support '\r' in the Release file

  [ David Kalnischkies ]
  * apt-pkg/depcache.cc:
    - prefer to install packages which have an already installed M-A:same
      sibling while choosing providers (LP: #1130419)

 -- Michael Vogt <mvo@debian.org>  Fri, 01 Mar 2013 14:16:42 +0100

apt (0.9.7.7) unstable; urgency=low

  [ Program translation updates ]
  * Catalan (Jordi Mallach)
  * Drop a confusing non-breaking space. Closes: #691024
  * Thai (Theppitak Karoonboonyanan). Closes: #691613
  * Vietnamese (Trần Ngọc Quân). Closes: #693773
  * Fix Plural forms in German, French, Japanese and Portuguese
    translations. Thanks to Jakub Wilk for reporting these errors.

  [ David Kalnischkies ]
  * apt-pkg/packagemanager.cc:
    - do not do lock-step configuration for a M-A:same package if it isn't
      unpacked yet in SmartConfigure and do not unpack a M-A:same package
      again in SmartUnPack if we have already configured it (LP: #1062503)
  * apt-pkg/depcache.cc:
    - don't call MarkInstall with the FromUser flag set for packages
      which are dependencies of APT::Never-MarkAuto-Sections matchers
    - no mode changes should obviously be ok for pkgDepCache::IsModeChangeOk
  * cmdline/apt-get.cc:
    - do not call Mark{Install,Delete} from the autoremove code with
      the FromUser bit set to avoid modifying the auto-installed bit
  * apt-pkg/algorithms.cc:
    - ensure pkgProblemResolver calls MarkDelete without FromUser set
      so that it can't overrule holds and the protection flag

  [ Michael Vogt ]
  * change permissions of /var/log/apt/term.log to 0640 (LP: #975199)

  [ Jonathan Thomas ]
  * apt-pkg/algorithms.cc:
    - fix package-pointer array memory leak in ResolveByKeepInternal()

 -- Michael Vogt <mvo@debian.org>  Thu, 13 Dec 2012 09:52:19 +0100

apt (0.9.7.6) unstable; urgency=low

  [ Program translation updates ]
  * Ukrainian (A. Bondarenko)

  [ David Kalnischkies ]
  * apt-pkg/pkgcachegen.cc:
    - ensure that dependencies for packages:none are always generated
    - add 2 missing remap registrations causing a segfault in case
      we use the not remapped iterators after a move of the mmap again
    - write the native architecture as unique string into the cache header
      as it is used for arch:all packages as a map to arch:native.
      Otherwise arch comparisons later will see differences (Closes: #689323)
  * apt-pkg/pkgcache.cc:
    - ignore negative dependencies applying in the same group for M-A:same
      packages on the real package name as self-conflicts (Closes: #688863)
  * cmdline/apt-cache.cc:
    - print versioned dependency relations in (r)depends if the option
      APT::Cache::ShowVersion is true (default: false) as discussed in
      #218995 to help debian-cd fixing #687949. Thanks to Sam Lidder
      for initial patch and Steve McIntyre for nagging and testing!
  * apt-pkg/edsp.cc:
    - include reinstall requests and already installed (= protected) packages
      in the install-request for external resolvers (Closes: #689331)
  * apt-pkg/policy.cc:
    - match pins with(out) an architecture as we do on the commandline
      (partly fixing #687255, b= support has to wait for jessie)
  * apt-pkg/contrib/netrc.cc:
    - remove the 64 char limit for login/password in internal usage
    - remove 256 char line limit by using getline() (POSIX.1-2008)

  [ Colin Watson ]
  * apt-pkg/pkgcachegen.cc:
    - Fix crash if the cache is remapped while writing a Provides version
      (LP: #1066445).

 -- Michael Vogt <mvo@debian.org>  Tue, 16 Oct 2012 18:08:53 +0200

apt (0.9.7.5) unstable; urgency=low

  [ Manpages translation updates ]
  * Japanese (KURASAWA Nozomu) (Closes: #684435)
  * Portuguese (Américo Monteiro) (Closes: #686975)

  [ David Kalnischkies ]
  * handle packages without a mandatory architecture (debian-policy §5.3)
    by introducing a pseudo-architecture 'none' so that the small group of
    users with these packages can get right of them without introducing too
    much hassle for other users (Closes: #686346)
  * apt-pkg/cdrom.cc:
    - copy only configured translation files from a CD-ROM and not all
      available translation files preventing new installs with d-i from
      being initialized with all translations (Closes: #678227)
    - handle Components in the reduction for the source.list as multi-arch CDs
      otherwise create duplicated source entries (e.g. "wheezy main main")
  * apt-pkg/packagemanager.cc:
    - unpack versions only in case a different version from the package
      is currently in unpack state to recover from broken system states
      (like different file in M-A:same package and other dpkg errors)
      and avoid re-unpack otherwise (Closes: #670900)
  * debian/control:
    - let libapt-pkg break apt < 0.9.4 to ensure that the installed http-
      method supports the new redirection-style, thanks to Raphael Geissert
      for reporting & testing (Closes: #685192)
  * doc/apt_preferences.5.xml:
    - use the correct interval (x <= P < y) for pin value documentation as
      these are the intervals used by the code (Closes: #685989)
  * apt-pkg/indexcopy.cc:
    - do not create duplicated flat-archive CD-ROM sources for foreign
      architectures on multi-arch CD-ROMs
    - do not warn about files which have a record in the Release file, but
      are not present on the CD to mirror the behavior of the other methods
      and to allow uncompressed indexes to be dropped without scaring users
  * apt-pkg/pkgcachegen.cc:
    - do not create 'native' (or now 'none') package structures as a side
      effect of description translation parsing as it pollutes the cache

 -- Michael Vogt <mvo@debian.org>  Tue, 11 Sep 2012 15:56:44 +0200

apt (0.9.7.4) unstable; urgency=low

  [ Manpages translation updates ]
  * Polish (Robert Luberda) (Closes: #683109)

  [ Program translation updates ]
  * Polish (Michał Kułach)

  [ Pino Toscano ]
  * apt-pkg/contrib/mmap.cc:
    - guard only the msync call with _POSIX_SYNCHRONIZED_IO rather
      than also the fallback code as it breaks APT on hurd since 0.9.7.3
      as the fallback is now always used on non-linux (Closes: #683354)

  [ David Kalnischkies ]
  * apt-pkg/contrib/fileutl.cc:
    - remove _POSIX_SYNCHRONIZED_IO guard in FileFd::Sync() around fsync
      as this guard is only needed for fdatasync and not defined on hurd
  * cmdline/apt-get.cc:
    - error out on (unsatisfiable) build-deps on purly virtual packages
      instead of ignoring these dependencies; thanks to Johannes Schauer
      for the detailed report! (Closes: #683786)
    - ensure that the right architecture is used for cross-dependencies in
      cases we have to choose a provider by defaulting on host-arch
      instead of build-arch
  * doc/apt-verbatim.ent:
    - denote 'wheezy' as stable codename and 'jessie' as testing codename
      in the documentation in preparation for release
  * apt-pkg/indexcopy.cc:
    - do not use atomic writing if the target is /dev/null as we don't want
      to replace it, not even automically. (Closes: #683410)
  * apt-pkg/cdrom.cc:
    - do not link() but rename() the cdroms.list to cdroms.list~ as a backup
      to ensure that apt-cdrom can be run multiple times (Closes: #676302)

 -- Michael Vogt <mvo@debian.org>  Mon, 06 Aug 2012 15:55:04 +0200

apt (0.9.7.3) unstable; urgency=low

  [ Manpages translation updates ]
  * Spanish; (Omar Campagne). Closes: #681566

  [ Program translation updates ]
  * Czech (Miroslav Kure). Closes: #680758

  [ David Kalnischkies ]
  * apt-pkg/cacheset.cc:
    - handle :all and :native correctly as architectures again
      in the commandline parsing (regression in 0.9.7)
  * apt-pkg/packagemanager.cc:
    - do not segfault if nothing can be configured to satisfy
      a pre-depends (e.g. in a pre-depends loop) (Closes: #681958)
  * apt-pkg/contrib/mmap.cc:
    - trigger the usage of the fallback code for kfreebsd also in the
      second (filebased) constructor of DynamicMMap (Closes: #677704)
    - refer to APT::Cache-Start in case the growing failed as if -Limit is
      really the offender it will be noted in a previous error message.
    - for filesystems not supporting mmap'ing a file we need to use a
      SyncToFd dummy just as we did for compressed files in 0.9.5

 -- Michael Vogt <mvo@debian.org>  Fri, 27 Jul 2012 17:53:41 +0200

apt (0.9.7.2) unstable; urgency=low

  [ Manpages translation updates ]
  * French (Christian Perrier)
  * German (Chris Leick)

  [ Program translation updates ]
  * Greek (Θανάσης Νάτσης)
  * Japanese (Kenshi Muto) (Closes: #679662)
  * Russian (Yuri Kozlov) (Closes: #679599)
  * Danish (Joe Dalton) (Closes: #680119)
  * Portuguese (Miguel Figueiredo) (Closes: #680616)

  [ David Kalnischkies ]
  * debian/apt.cron.daily:
    - do not try to backup extended_states file if it doesn't
      exist (Closes: #680287)
  * ftparchive/writer.cc:
    - handle the APT::FTPArchive::Packages::SHA512 option correctly instead
      of overriding SHA256, thanks Christian Marillat! (Closes: #680252)
  * cmdline/apt-mark.cc:
    - arch:all packages are treated as arch:native packages, but dpkg
      expects pkg:all for selections, so use the arch of the installed
      version instead of the package structure if possible.
      Thanks to Stepan Golosunov for the report! (Closes: #680041)
  * apt-pkg/clean.cc:
    - run autoclean against pkg:arch and not always against pkg:native as
      this removes valid cache entries (Closes: #679371)
  * apt-pkg/deb/deblistparser.cc:
    - negative dependencies need to apply to all architectures,
      but those with a specific architecture only apply to this one
  * apt-pkg/cachefilter.cc:
    - remove architecture-specific arch to tuple expansion-rules as they lead
      to the same tuples for different architectures (e.g. linux-arm for arm,
      armel and armhf) while the dpkg-architecture code uses triples which
      are different (in the first part, which we omit in our tuples), so e.g.
      build-dep restrictions for armel ended up effecting armhf as well

 -- Michael Vogt <mvo@debian.org>  Fri, 13 Jul 2012 21:33:56 +0200

apt (0.9.7.1) unstable; urgency=low

  [ Program translation updates ]
  * Bulgarian (Damyan Ivanov) (Closes: #678983)
  * Hungarian (Gabor Kelemen)
  * Italian (Milo Casagrande)
  * Slovenian (Andrej Znidarsic)
  * German (Holger Wansing) (Closes: #679314)
  * Slovak (Ivan Masár) (Closes: #679448)

  [ David Kalnischkies ]
  * cmdline/apt-internal-solver.cc, cmdline/apt-mark.cc:
    - typo fixes and unfuzzy translations
  * debian/control:
    - libapt-{pkg,inst} packages should be in section 'libs' instead
      of 'admin' as by ftp-master override request in #677596
    - demote debiandoc-sgml to Build-Depends-Indep
  * doc/makefile:
    - separate translation building of debiandoc from manpages
      so that we don't need to build debiandoc for binary packages

 -- Michael Vogt <mvo@debian.org>  Fri, 29 Jun 2012 14:26:32 +0200

apt (0.9.7) unstable; urgency=low

  [ Julian Andres Klode ]
  * apt-pkg/contrib/mmap.cc:
    - Fix the Fallback option to work correctly, by not calling
      realloc() on a map mapped by mmap(), and by using malloc
      and friends instead of new[].
    - Zero out the new memory allocated with realloc().

  [ Daniel Hartwig ]
  * apt-pkg/pkgcachegen.cc:
    - always reset _error->StackCount in MakeStatusCache (Closes: #677175)

  [ David Kalnischkies ]
  * apt-pkg/deb/deblistparser.cc:
    - ensure that mixed positive/negative architecture wildcards
      are handled in the same way as dpkg handles them
    - use PackageArchitectureMatchesSpecification filter
  * apt-pkg/cachefilter.cc:
    - add PackageArchitectureMatchesSpecification (Closes: #672603)
  * apt-pkg/cacheset.cc:
    - add PackageContainerInterface::FromGroup to support
      architecture specifications with wildcards on the commandline
  * apt-pkg/pkgcache.cc:
    - do a string comparison for architecture checking in IsMultiArchImplicit
      as 'unique' strings in the pkgcache aren't unique (Closes: #677454)
  * buildlib/configure.mak:
    - print a message detailing how to get config.guess and config.sub
      in case they are not in /usr/share/misc (Closes: #677312)
  * cmdline/apt-get.cc:
    - print a friendly message in 'download' if a package can't be
      downloaded (Closes: #677887)

 -- Michael Vogt <mvo@debian.org>  Tue, 19 Jun 2012 16:42:43 +0200

apt (0.9.6) unstable; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/cdrom.cc:
    - fix regression from 0.9.3 which dumped the main configuration
      _config instead of the cdrom settings (Cnf) as identified and
      tested by Milan Kupcevic, thanks! (Closes: #674100)
  * cmdline/apt-get.cc:
    - do not show 'list of broken packages' header if no package
      is broken as it happens e.g. for external resolver errors
    - print URIs for all changelogs in case of --print-uris,
      thanks to Daniel Hartwig for the patch! (Closes: #674897)
    - show 'bzr branch' as 'bzr get' is deprecated (LP: #1011032)
    - check build-dep candidate if install is forbidden
  * debian/apt-utils.links:
    - the internal resolver 'apt' is now directly installed in
      /usr/lib/apt/solvers, so don't instruct dh to create a broken link
  * doc/apt-verbatim.ent:
    - APT doesn't belong to the product 'Linux', so use 'APT' instead
      as after all APT is a big suite of applications
  * doc/examples/sources.list:
    - use the codename instead of 'stable' in the examples sources.list
      as we do in the manpage and as the debian-installer does
  * doc/apt-get.8.xml:
    - use apt-utils as package example instead of libc6
  * apt-pkg/contrib/cmdline.cc:
    - apply patch from Daniel Hartwig to fix a segfault in case
      the LongOpt is empty (Closes: #676331)
    - fix segfault with empty LongOpt in --no-* branch
  * ftparchive/apt-ftparchive.cc:
    - default to putting the Contents-* files below $(SECTION) as apt-file
      expects them there - thanks Martin-Éric Racine! (Closes: #675827)
  * apt-pkg/deb/deblistparser.cc:
    - set pkgCacheGen::Essential to "all" again (Closes: #675449)
  * apt-pkg/algorithms.cc:
    - force install only for one essential package out of a group
  * apt-pkg/aptconfiguration.cc:
    - if APT::Languages=none save "none" in allCodes so that the detected
      configuration is cached as intended (Closes: #674690, LP: #1004947)
  * apt-pkg/cacheiterators.h:
    - add an IsMultiArchImplicit() method for Dep- and PrvIterator

  [ Justin B Rye ]
  * doc/apt-cdrom.8.xml:
    - replace CDROM with the proper CD-ROM in text
    - correct disc vs. disk issues
  * doc/apt-extracttemplates.1.xml:
    - debconf is not DebConf
  * doc/apt-get.8.xml:
    - move dselect-upgrade below dist-upgrade
    - review and fix spelling issues
  * doc/apt-ftparchive.8.xml, doc/apt-config.8.xml,
    doc/apt-key.8.xml, doc/apt-mark.8.xml,
    doc/apt_preferences.5.xml, doc/apt-secure.8.xml,
    doc/apt-sortpkgs.1.xml, sources.list.5.xml:
    - review and fix typo, grammar and style issues
  * doc/apt.conf.5.xml:
    - review and fix typo, grammar and style issues
    - rephrase APT::Immediate-Configuration and many others

  [ Sebastian Heinlein ]
  * cmdline/apt-key:
    - do not hardcode /etc but use Dir::Etc instead

  [ Robert Luberda ]
  * Polish manpage translation update (Closes: #675603)
  * doc/apt-mark.8.xml:
    - in hold, the option name is --file not --filename

  [ Christian Perrier ]
  * French program and manpage translation update
  * Danish program translation by Joe Hansen. Closes: #675605

  [ Thibaut Girka ]
  * cmdline/apt-get.cc:
    - complain correctly about :any build-dep on M-A:none packages
  * apt-pkg/deb/deblistparser.cc:
    - add support for arch-specific qualifiers in dependencies

 -- Michael Vogt <mvo@debian.org>  Mon, 11 Jun 2012 16:21:53 +0200

apt (0.9.5.1) unstable; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/contrib/fileutl.cc:
    - dup() given compressed fd in OpenDescriptor if AutoClose
      is disabled as otherwise gzclose() and co will close it
  * doc/*.xml:
    - mark even more stuff as untranslatable and improve the
      markup here and there (no real text change)
    - use docbook DTD 4.5 instead of 4.2 to have valid docs

  [ Justin B Rye ]
  * doc/*.xml:
    - remove 'GNU/Linux' from 'Debian systems' strings as Debian
      has more systems than just GNU/Linux nowadays
  * doc/apt-cache.8.xml:
    - fix a typo as well as adding missing literal markup
    - three small rewordings for better english sentences

 -- Michael Vogt <mvo@debian.org>  Thu, 24 May 2012 17:16:34 +0200

apt (0.9.5) unstable; urgency=low

  [ Chris Leick ]
  * proofreading of the manpage pot
  * German manpage translation update (Closes: #673294)

  [ David Kalnischkies ]
  * buildlib/podomain.mak:
    - ensure that all sources end up in the srclist so that we don't
      forget to extract half of the translation strings
  * buildlib/inttypes.h.in:
    - remove inttypes.h compatibility as providing such a c99 types
      compatibility conflicts with the usage of c99 type long long
  * apt-pkg/contrib/mmap.cc:
    - have a dummy SyncToFd around in case of ReadOnly access to a
      compressed file as we otherwise on Close() do not delete[] the
      char buffer but munmap() it… (Closes: #673815)
  * debian/control:
    - moving debiandoc-sgml to Build-Depends-Indep was one step too much
      for the buildds as we still build two sgml files in arch:any
  * debian/rules:
    - move internal-solver as 'apt' to his friend dump-solver in
      /usr/lib/apt/solvers to avoid writing a manpage for it

 -- Michael Vogt <mvo@debian.org>  Tue, 22 May 2012 16:14:22 +0200

apt (0.9.4) unstable; urgency=low

  [ David Kalnischkies ]
  * methods/http.cc:
    - after many years of pointless discussions disable http/1.1 pipelining
      by default as many webservers and proxies seem to be unable to conform
      to specification must's (rfc2616 section 8.1.2.2) (LP: #996151)
    - add spaces around PACKAGE_VERSION to fix FTBFS with -std=c++11
  * apt-pkg/pkgcachegen.cc:
    - make IsDuplicatedDescription static so that it is really private
      as we don't need a symbol for it as it is not in a header
  * Makefile, buildlib/*.mak:
    - reshuffle dependencies so that parallel building seems to work
    - separate manpages from the rest of the doc building
  * prepare-release:
    - apt-inst version isn't apt versions, so don't override variable
  * debian/rules:
    - apt-utils packages manpages, so it should depend on build-doc
    - make apt and apt-utils packages depend on manpages instead of full doc
  * debian/control:
    - move doxygen and debiandoc-sgml to Build-Depends-Indep as docs
      are no longer build in the same target as the manpages
  * apt-pkg/acquire-methods.cc:
    - factor out into private Dequeue() to fix access to deleted pointer
  * apt-pkg/contrib/fileutl.cc:
    - ensure that we close compressed fds, wait for forks and such even if
      the FileFd itself is set to not autoclose the given Fd
  * cmdline/apt-get.cc:
    - use the host architecture, not the build architecture for matching
      of [architecture restrictions] in Build-Depends (Closes: #672927)
  * doc/makefile:
    - build manpages with the correct l10n.gentext.default.language setting
      to get the correct section titles provided by docbook
  * doc/po/de.po:
    - updated german manpage translation by Chris Leick, thanks!
  * apt-pkg/packagemanager.cc:
    - do not run into loop on new-pre-depends-breaks (Closes: #673536)
  * doc/*.xml:
    - add a few translator notes and reword some paragraphs to ensure that
      translators and users alike can better understand them (Closes: #669409)
    - in <term> mark all options with <option> and mark <term><option>
      as untranslated for po4a removing ~200 unless "translateable" strings
  * apt-pkg/aptconfiguration.cc:
    - longcode Translation files are saved with encoded underscore,
      so make sure to pick these files up as well for Acquire::Languages
  * ftparchive/writer.cc:
    - include Contents-* files in Release files (Closes: #673647)

  [ Michael Vogt ]
  * merged updated de.po, thanks to Holger Wansing (closes: #672466)

  [ Raphael Geissert ]
  * apt-pkg/acquire*.cc:
    - handle redirections in the worker with the right method instead of
      in the method the redirection occurred in (Closes: #668111)
  * methods/http.cc:
    - forbid redirects to change protocol
  * methods/mirror.cc:
    - generate an equal sign also for the first arch (Closes: #669142)

  [ Marius Vollmer ]
  * apt-pkg/algorithms.cc:
    - fix memory leak of Flags in pkgSimulate by a proper destructor

 -- Michael Vogt <mvo@debian.org>  Mon, 21 May 2012 12:29:05 +0200

apt (0.9.3) unstable; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/contrib/strutl.cc:
    - remove the message size limit from ioprintf and strprintf
  * apt-pkg/contrib/configuration.cc:
    - add a more versatile Dump() method
    - normalize a bit by replacing // and /./ with / in FindFile
    - /dev/null is a special absolute path as it has no subdirectories
  * apt-pkg/acquire-worker.cc:
    - use Dump() to generate the configuration message for sending
  * cmdline/apt-config.cc:
    - make it possible to limit dump to a subtree
    - implement --empty and --format option for dump
  * apt-pkg/cdrom.cc:
    - use Dump() to generate the configuration output
  * apt-pkg/depcache.cc:
    - clearly separate 'positive' and 'negative' dependencies and
      their upgrade-resolution tries in MarkInstall and especially don't
      treat Conflicts differently compared to Breaks here
    - provider is only a possible solution if the provides has the right
      version (or none as we have no versioned provides in debian) and not
      if the version of the provider matches
  * edsp/edspsystem.cc:
    - check with RealFileExists for scenario file as otherwise a directory
      like one provided with RootDir triggers the usage of EDSP
  * debian/libapt-inst1.5.symbols:
    - use the correct library name the symbols header
  * apt-pkg/pkgcachegen.cc:
    - check if NewDescription allocation has failed and error out accordingly
    - check if we work on a valid description in IsDuplicateDescription as
      we end up working on dangling pointers otherwise which segfaults on
      s390x and ppc64 (Closes: #669427)
  * apt-pkg/deb/deblistparser.cc:
    - check length and containing chars for a given description md5sum
  * ensure that apti18n.h is included last as advertised (Closes: #671623)
  * apt-pkg/acquire-worker.cc:
    - revert the use of FileFd::Write in OutFdReady as we don't want error
      reports about EAGAIN here as we retry later. Thanks to YOSHINO Yoshihito
      for the report. (Closes: #671721)
  * apt-pkg/contrib/fileutl.cc:
    - check that the fd which are closed are valid
    - ensure that we do init d only once and especially not with its own
      content as this causes some "interesting" hickups resulting in segfaults
      as it seems (Closes: #554387, #670979)
    - collect zombie (de)compressor processes on reopen
    - ensure that in error conditions the Fail flag is set
    - ensure that d is set before accessing it
  * apt-pkg/aptconfiguration.cc:
    - use NULL instead of "" for no (un)compress parameters
  * apt-pkg/algorithms.cc:
    - factor out of ListUpdate a AcquireUpdate to be able to provide your
      own pkgAcquire fetcher to the wrapper
  * apt-inst/deb/debfile.h:
    - readd 'md5.h' to the uncleaned header includes to make qapt build
      against us again unchanged to unblock transition (Closes: #669163)

 -- Michael Vogt <mvo@debian.org>  Fri, 11 May 2012 17:16:22 +0200

apt (0.9.2) unstable; urgency=low

  [ Michael Vogt ]
  * apt-inst/contrib/extracttar.cc:
    - ensure that in StartGzip the InFd is set to "AutoClose" to ensure
      that the pipe is closed when InFd is closed. This fixes a Fd leak
      (LP: #985452)

  [ David Kalnischkies ]
   * apt-pkg/deb/deblistparser.cc:
    - only treat the native apt as essential by default (Closes: #669377)
  * apt-pkg/contrib/fileutl.cc:
    - redirect stderr from compressors to /dev/null
  * apt-pkg/aptconfiguration.cc:
    - if the compressor is not installed, but we link against it's
      library accept it as a CompressionType (Closes: #669328)
  * apt-pkg/contrib/sha2_internal.cc:
    - do not use the input data directly but memcpy it instead as
      it could be unaligned as in the http-transport which causes
      a sigbus error on sparc (Closes: #669061)
  * apt-pkg/cacheset.cc:
    - actually return to the fallback modifier if we have detected we
      should for packagenames which look like modifiers (Closes: #669591)

  [ Adam Conrad ]
  * Set FD_CLOEXEC on history.log's FD (Closes: #610069, LP: #636010)

  [ Thorsten Spindler ]
  * apt-pkg/deb/dpkgpm.cc:
    - do not crash if (*I).Pkg is NULL (LP: #939867)

  [ Malcolm Scott ]
  * apt-pkg/packagemanager.cc:
    - iterate over all pre-depends or-group member instead of looping
      endlessly over the first member in SmartUnpack (LP: #985852)

 -- Michael Vogt <mvo@debian.org>  Fri, 20 Apr 2012 11:26:16 +0200

apt (0.9.1) unstable; urgency=low

  [ David Kalnischkies ]
  * cmdline/apt-get.cc:
    - if pkgCacheFile::Generate is disabled in 'update' don't
      remove the caches (and don't try to open them)
  * apt-pkg/packagemanager.cc:
    - init counter in SmartConfigure so that the loop-breaker isn't
      triggered at random… (Closes: #669060)

  [ Christian Perrier ]
  * Fix typo in apt-get(8). Closes: #664833
  * Replace "argument" by "paramètre" in French translation.
    Merci, les Titeps!
  * Drop hardcoded "en.html" suffix in apt-secure manpage.
    Thanks to David Prevot.

 -- Michael Vogt <mvo@debian.org>  Tue, 17 Apr 2012 09:49:31 +0200

apt (0.9.0) unstable; urgency=low

  * upload to debian/unstable

 -- Michael Vogt <mvo@debian.org>  Mon, 16 Apr 2012 15:53:17 +0200

apt (0.9.0~exp1) experimental; urgency=low

  [ Michael Vogt ]
  * apt-pkg/packagemanager.cc:
    - fix inconsistent clog/cout usage in the debug output
    - add APT::pkgPackageManager::MaxLoopCount to ensure that the
      ordering code does not get into a endless loop when it flip-flops
      between two states
  * update libapt-inst1.4 to libapt-inst1.5 because of the cleanup
    performed
  * prepare debian/unstable upload, if there are no issues with this
    upload it will directly go into unstable as 0.9.0

  [ David Kalnischkies ]
  * do not update po and pot files in the process of the build as this
    causes timestamp changes for the mo files which therefore can't
    be refcounted by dpkg for your M-A: same packages
    (Closes: #659333, LP: #924628)
  * apt-inst/database.{cc,h}, apt-inst/deb/dpkgdb.{cc,h}:
    - drop instead of fix as it is only needed if you want to reimplement dpkg
      and comes straight from the beginning of last decade (Closes: #663372)
  * apt-inst/deb/debfile.cc:
    - {Extract,Merge}Control() is another instance of "lets reimplement dpkg"
      so shot of this code before someone ends up using this…
  * debian/libapt-pkg4.12:
    - update symbols file
  * debian/apt-utils.install:
    - ship the ftparchive, apt-extractemplates and apt-sortpkgs locales
      in the apt-utils package instead of the apt package
  * apt-pkg/packagemanager.cc:
    - recheck all dependencies if we changed a package in SmartConfigure
      as this could break an earlier dependency (LP: #940396)
    - recheck dependencies in SmartUnpack after a change, too
  * apt-pkg/acquire-worker.cc:
    - check return of write() as gcc recommends
  * apt-pkg/acquire.cc:
    - check return of write() as gcc recommends
  * apt-pkg/cdrom.cc:
    - check return of chdir() and link() as gcc recommends
  * apt-pkg/clean.cc:
    - check return of chdir() as gcc recommends
  * apt-pkg/contrib/netrc.cc:
    - check return of asprintf() as gcc recommends
  * methods/rred.cc:
    - check return of writev() as gcc recommends
  * methods/mirror.cc:
    - check return of chdir() as gcc recommends
  * apt-pkg/deb/dpkgpm.cc:
    - check return of write() a gcc recommends
  * apt-inst/deb/debfile.cc:
    - check return of chdir() as gcc recommends
  * apt-inst/deb/dpkgdb.cc:
    - check return of chdir() as gcc recommends
  * methods/makefile:
    - do not link rred against libz anymore as FileFd handles all
      this transparently now
  * debian/control:
    - bump Standards-Version to 3.9.3 (no changes needed)
    - add libbz2-dev as new build-dependency
    - remove the libz-dev alternative from zlib1g-dev build-dependency
    - suggest xz-utils instead of bzip2 and lzma
  * doc/apt-get.8.xml:
    - typofix: respect → respecting, thanks Mike Erickson! (Closes: #664833)
  * debian/rules:
    - do not sed in configure.in to set the version-number
  * prepare-release:
    - add as a small script to lazy check and prepare releases
  * doc/*:
    - move the command synopsis out of each manpage into apt-verbatim.ent
      as they are a hell to translate and just single out the parameters
      which can be translated to apt.ent
  * apt-pkg/aptconfiguration.cc:
    - if present, prefer xz binary over lzma
    - if we have zlib builtin insert add a dummy gzip compressor for FileFD
    - do the same for bz2 builtin if available
  * methods/bzip2.cc:
    - remove it as the functionality for all compressors can be
      provided by gzip.cc now with the usage of FileFD
  * apt-pkg/contrib/fileutl.cc:
    - use libz2 library for (de)compression instead of the bzip2 binary as
      the first is a dependency of dpkg and the later just priority:optional
      so we gain 'easier' access to bz2-compressed Translation files this way
  * cmdline/apt-get.cc:
    - print list of autoremoves in alphabetical order (Closes: #639008)

  [ Bogdan Purcareata ]
  * doc/apt-get.8.xml:
    - add 'download' to the usage line (Closes: #649340)
  * cmdline/apt-get.cc:
    - distinguish information about 'apt-get autoremove' based on the
      number of auto-removed packages both before and after the list
      of packages (Closes: #665833)

  [ Steve Langasek ]
  * don't treat build-depends-indep as cross-build-dependencies; we should
    always install the host arch versions.  LP: #968828.

  [ Paolo Rotolo ]
  * Fix string from automatic to automatically (LP: #967393).

 -- Michael Vogt <mvo@debian.org>  Thu, 12 Apr 2012 12:40:39 +0200

apt (0.8.16~exp13) experimental; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/acquire-item.cc:
    - remove 'old' InRelease file if we can't get a new one before
      proceeding with Release.gpg to avoid the false impression of a still
      trusted repository by a (still present) old InRelease file.
      Thanks to Simon Ruderich for reporting this issue! (CVE-2012-0214)
    - add Debug::pkgAcqArchive::NoQueue to disable package downloading
  * apt-pkg/deb/dpkgpm.cc:
    - chroot if needed before dpkg --assert-multi-arch
    - ensure that dpkg binary doesn't have the chroot-directory prefixed
    - call dpkg --assert-multi-arch with execvp instead of execv
    - save the universe by not printing messages about apport if a package
      with this name is not installed (Closes: #619646)
    - handle a SIGINT in all modes as a break after the currently running
      dpkg transaction instead of ignoring it completely
  * apt-pkg/depcache.cc:
    - if a M-A:same package is marked for reinstall, mark all it's installed
      silbings for reinstallation as well (LP: #859188)
  * apt-pkg/contrib/configuration.cc:
    - do not stop parent transversal in FindDir if the value is empty
  * methods/http{s,}.cc:
    - if a file without an extension is requested send an 'Accept: text/*'
      header to avoid that the server chooses unsupported compressed files
      in a content-negotiation attempt (Closes: #657560)
    - remove the arbitrary MAXLEN limit for response lines (Closes: #658346)
  * apt-pkg/aptconfiguration.cc:
    - chroot if needed before calling dpkg --print-foreign-architectures
    - ensure that architectures are not added multiple times
  * cmdline/apt-mark.cc:
    - detect if dpkg has multiarch support before calling --set-selections
    - correctly ignore already (un)hold packages
  * apt-pkg/cachefile.cc:
    - clean up lost atomic cachefiles with 'clean' (Closes: #650513)
  * apt-pkg/indexrecords.cc:
    - do not create empty Entries as a sideeffect of Lookup()
  * apt-pkg/acquire-item.cc:
    - drop support for i18n/Index file (introduced in 0.8.11) and use
      the Release file instead to get the Translations (Closes: #649314)
    - use pdiff for Translation-* files if available (Closes: #657902)
  * ftparchive/writer.cc:
    - add 'Translation-*' to the default patterns
  * cmdline/apt-get.cc:
    - if a package can't be removed as it is not installed, suggest to
      the user an (installed) multiarch silbing with 'Did you mean?'
    - improve 'error' message for packages which are only referenced
      e.g. in a Depends line and are now requested for removal
  * cmdline/apt-cache.cc:
    - correct --pre-depends option by using dash consistently (LP: #940837)
  * apt-pkg/packagemanager.cc:
    - do not try to a void a breaks if the broken package pre-depends
      on the breaker, but let dpkg auto-deconfigure it
  * apt-pkg/contrib/fileutl.cc:
    - do not warn about the ignoring of directories (Closes: #662762)

  [ Steve Langasek ]
  * cmdline/apt-get.cc:
    - for cross-build-dependencies M-A: none should be DEB_HOST_ARCH,
      not DEB_BUILD_ARCH (Closes: #646288)

  [ Colin Watson ]
  * apt-pkg/algorithms.cc:
    - don't break out of the main-resolver loop for Breaks to deal with all
      of them in a single iteration (Closes: #657695, LP: #922485)
    - use a signed int instead of short for score calculation as upgrades
      become so big now that it can overflow (Closes: #657732, LP: #917173)
  * Fix IndexCopy::CopyPackages and TranslationsCopy::CopyTranslations to
    handle compressed files again (LP: #924182, closes: #658096)

  [ Michael Vogt ]
  * apt-pkg/deb/dpkgpm.cc:
    - fix crash when a package is in removed but residual config state
      (LP: #923807)
  * apt-pkg/contrib/fileutl.h:
    - fix compat with FileFd::OpenDescriptor() in ReadOnlyGzip mode
  * apt-pkg/packagemanager.cc:
    - fix bug in predepends handling - ensure that packages that needs
      unpackaging are unpacked before they are configured (LP: #927993)

  [ Julian Andres Klode ]
  * apt-pkg/deb/deblistparser.cc:
    - Set the Essential flag on APT instead of only Important
  * apt-pkg/packagemanager.cc:
    - Do not use immediate configuration for packages with the Important flag
  * Treat the Important flag like the Essential flag with those differences:
    - No Immediate configuration (see above)
    - Not automatically installed during dist-upgrade
    - No higher score for installation ordering

 -- Michael Vogt <mvo@debian.org>  Tue, 06 Mar 2012 18:12:57 +0100

apt (0.8.16~exp12) experimental; urgency=low

  [ Michael Vogt ]
  * apt-pkg/deb/dpkgpm.cc:
    - fix segfault on pkg removal

  [ David Kalnischkies ]
  * apt-pkg/cacheiterators.h:
    - return the correct version arch for all+foreign, too
  * apt-pkg/packagemanager.cc:
    - ignore breaks on not-installed versions while searching for
      breakage loops as we don't have to avoid them
  * debian/control:
    - remove APT from the short descriptions as lintian doesn't like it
      and it doesn't transport any information for a reader anyway
    - apply typofixes by Pascal De Vuyst, thanks! (Closes: #652834, #652835)
  * debian/rules:
    - apply patch to enable usage of hardning CPPFLAGS and LDFLAGS by
      Moritz Muehlenhoff, thanks! (Closes: #653504)
  * methods/https.cc:
    - use curls list append instead of appending Range and If-Range by hand
      which generates malformed requests, thanks Mel Collins for the hint!
      (Closes: #646381)
  * test/libapt/run-tests:
    - hurd doesn't have dmesg yet and we don't really need it either,
      so use with $0 a more stable data source for hashsumming

  [ Pino Toscano ]
  * test/libapt/globalerror_test.cc:
    - errno 0 has a different strerror on hurd, so generate the expected
      message dynamically instead of hardcoding 'Success' (Closes: #656530)

 -- Michael Vogt <mvo@debian.org>  Tue, 24 Jan 2012 12:24:38 +0100

apt (0.8.16~exp11) experimental; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/deb/dpkgpm.cc:
    - redirect out/input of dpkg --assert-multi-arch to /dev/null
    - if multi-arch is detected ensure that pkg:all is reported as pkg:all

 -- Michael Vogt <mvo@debian.org>  Thu, 19 Jan 2012 13:48:18 +0100

apt (0.8.16~exp10) experimental; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/depcache.cc:
    - implicit conflicts (for multiarch) are supposed to conflict
      only with real packages, not with virtual providers
  * apt-pkg/pkgcache.cc:
    - ignore implicit conflicts on providers in AllTarget, too
  * apt-pkg/deb/dpkgpm.cc:
    - check if dpkg supports multiarch with --assert-multi-arch
      and if it does be always explicit about the architecture
  * apt-pkg/contrib/fileutl.h:
    - store the offset in the internal fd before calculate size of
      the zlib-handled file to jump back to this place again
  * apt-pkg/aptconfiguration.cc:
    - parse dpkg --print-foreign-architectures correctly in
      case archs are separated by newline instead of space, too.
      (Closes: #655590)

  [ Michael Vogt ]
  * apt-pkg/contrib/fileutl.h:
    - fix segfault triggered by the python-apt testsuite

 -- Michael Vogt <mvo@debian.org>  Wed, 18 Jan 2012 12:52:26 +0100

apt (0.8.16~exp9) experimental; urgency=low

  [ Julian Andres Klode ]
  * apt-pkg/cdrom.cc:
    - Accept .bz2, .xz files in addition to .gz files (Closes: #649451)

  [ Michael Vogt ]
  * apt-pkg/cdrom.cc:
    - use aptconfiguration to get the supported compression types
  * debian/control:
    - bump debhelper build-dep to debhelper (>= 8.1.3~)
    - set libapt-pkg-dev to multi-arch: same too
  * g++ 4.7 fixes

  [ Colin Watson ]
  * Convert libapt-pkg4.12 and libapt-inst1.4 to Multi-Arch: same.

  [ David Kalnischkies ]
  * apt-pkg/cacheset.cc:
    - make the cachesets real containers which can embedding any container
      to be able to use the same interface regardless of set or list usage
    - provide a {Package,Version}List similar to {Package,Version}Set
  * cmdline/apt-{get,cache,mark}.cc:
    - use Lists instead of Sets if input order should be preserved for
      commands accepting lists of packages, e.g. policy (Closes: #625960)
  * apt-pkg/depcache.cc:
    - prefer native providers over foreigns even if the chain is foreign
  * cmdline/apt-get.cc:
    - ignore foreign architectures if we check if a provides has only one
      resolver as it's basically the same for the user, so no need to choose
  * cmdline/apt-config.cc:
    - dump the APT::Compressor settings correctly and completely
  * apt-pkg/contrib/fileutl.{h,cc}:
    - implement a ModificationTime method for FileFd
    - add a ReadLine method
    - drop the explicit export of gz-compression handling
  * apt-pkg/cdrom.cc:
    - support InRelease files on cdrom

 -- Michael Vogt <mvo@debian.org>  Thu, 05 Jan 2012 20:26:31 +0100

apt (0.8.16~exp8) experimental; urgency=low

  [ David Kalnischkies ]
  * algorithms.cc:
    - show a debug why a package was kept by ResolveByKeep()
  * apt-pkg/packagemanager.cc:
    - do not fail on unpacked packages in SmartUnPack, just don't
      schedule them for unpack, but do all checks and configure them
    - do not enter an endless loop for (essential) pre-dependency loops
  * apt-pkg/contrib/sha2_internal.cc:
    - use a pointer-union to peace gcc strict-aliasing warning
  * apt-pkg/deb/deblistparser.cc:
    - M-A: foreign packages provide for other archs, too

 -- David Kalnischkies <kalnischkies@gmail.com>  Thu, 03 Nov 2011 09:40:29 -0500

apt (0.8.16~exp7) experimental; urgency=low

  [ David Kalnischkies ]
  * do not pollute namespace in the headers with using (Closes: #500198)
  * use forward declaration in headers if possible instead of includes
  * remove old APT_COMPATIBILITY ifdef's
  * apt-pkg/deb/dpkgpm.cc:
    - use std::vector instead of fixed size arrays to store args and
      multiarch-packagename strings
    - load the dpkg base arguments only one time and reuse them later
  * cmdline/apt-get.cc:
    - follow Provides in the evaluation of saving candidates, too, for
      satisfying garbage package dependencies (Closes: #640590)
  * apt-pkg/algorithms.cc:
    - if a package is garbage, don't try to save it with FixByInstall
  * apt-pkg/deb/debsrcrecords.cc:
    - remove the limit of 400 Binaries for a source package (Closes: #622110)
  * apt-pkg/deb/deblistparser.cc:
    - fix crash when the dynamic mmap needs to be grown in
      LoadReleaseInfo (LP: #854090)
  * apt-pkg/deb/debmetaindex.cc:
    - none is a separator, not a language: no need for Index (Closes: #624218)
  * apt-pkg/aptconfiguration.cc:
    - do not builtin languages only if none is forced (Closes: #643787)
  * apt-pkg/pkgcachegen.cc:
    - refactor MergeList by creating -Group, -Package and -Version specialist
    - share description list between "same" versions (LP: #868977)
      This also means that descriptions are shared across archives now.
    - add implicit dependencies needed for Multi-Arch at the time a Version
      struct is created and not at the end of the cache generation
  * apt-pkg/pkgcache.cc:
    - always prefer "en" over "" for "en"-language regardless of cache-order

  [ Michael Vogt ]
  * apt-pkg/contrib/configuration.cc:
    - fix double delete (LP: #848907)
    - ignore only the invalid regexp instead of all options
  * apt-pkg/acquire-item.h, apt-pkg/deb/debmetaindex.cc:
    - fix fetching language information by adding OptionalSubIndexTarget
  * methods/https.cc:
    - cleanup broken downloads properly

  [ Colin Watson ]
  * ftparchive/cachedb.cc:
    - fix buffersize in bytes2hex

 -- Michael Vogt <mvo@debian.org>  Fri, 14 Oct 2011 13:51:35 +0200

apt (0.8.16~exp6) experimental; urgency=low

  [ Christopher Baines ]
  * enable APT in unpack/configure ordering to handle loops as well
    as tight dependencies between immediate packages better
    enabling also the possibility to mark all packages as immediate
    (at least Closes: #353290, #540227, #559733, #621836, #639290)

  [ David Kalnischkies ]
  * [abi-break] Support large files in the complete toolset. Indexes of this
    size are pretty unlikely for now, but we need it for deb
    packages which could become bigger than 4GB now (LP: #815895)
  * merged the debian-sid branch

  [ Michael Vogt ]
  * bump ABI version

 -- Michael Vogt <mvo@debian.org>  Wed, 14 Sep 2011 21:06:51 +0200

apt (0.8.16~exp5) experimental; urgency=low

  * merged the latest debian-sid fixes
  * apt-pkg/makefile:
    - install sha256.h compat header
  * apt-pkg/pkgcachegen.{cc,h}:
    - use ref-to-ptr semantic in NewDepends() to ensure that the
      libapt does not segfault if the cache is remapped in between
      (LP: #812862)
    - fix crash when P.Arch() was used but the cache got remapped
  * apt-pkg/acquire-item.{cc,h}:
    - do not check for a "Package" tag in optional index targets
      like the translations index
  * apt-pkg/acquire.cc:
    - fix potential divide-by-zero
  * methods/mirror.cc:
    - include the architecture(s) in the query string as well so
      that the server can make better decisions

 -- Michael Vogt <mvo@debian.org>  Mon, 15 Aug 2011 14:52:54 +0200

apt (0.8.16~exp4) experimental; urgency=low

  [ Julian Andres Klode ]
  * apt-pkg/pkgcache.h:
    - [ABI break] Add pkgCache::Header::CacheFileSize, storing the cache size
  * apt-pkg/pkgcachegen.cc:
    - Write the file size to the cache
  * apt-pkg/pkgcache.cc:
    - Check that cache is at least CacheFileSize bytes large (LP: #16467)

  [ Michael Vogt ]
  * merged latest fixes from debian-sid
  * apt-pkg/cdrom.{cc,h}:
    - cleanup old ABI break avoidance hacks
  * [ABI break] apt-pkg/acquire-item.{cc,h}:
    - cleanup around OptionalIndexTarget and SubIndexTarget
  * [ABI break] merged patch from Jonathan Thomas to have a new
    RecordField() function in the pkgRecorder parser. Many thanks
    Thomas
  * [ABI break] merge patch from Jonathan Thomas to speed up the
    depcache by caching the install-recommends and install-suggests
    values
  * apt-pkg/contrib/fileutl.{cc,h}:
    - add GetModificationTime() helper
  * apt-pkg/pkgcachegen.cc:
    - regenerate the cache if the sources.list changes to ensure
      that changes in the ordering there will be honored by apt
  * apt-pkg/sourcelist.{cc,h}:
    - add pkgSourceList::GetLastModifiedTime() helper

 -- Michael Vogt <mvo@debian.org>  Thu, 28 Jul 2011 16:57:08 +0200

